#ifndef _IIOP_server_h_
#define _IIOP_server_h_

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corba.h>

#ifndef _typedef___Version
#define _typedef___Version
typedef struct Version {
  CORBA_char major;
  CORBA_char minor;
} Version;
#endif /* _typedef___Version */

void flick_marshal_stub_Version(flick_marshal_stream_t _stream, const struct Version *_data);

void flick_unmarshal_stub_Version(flick_marshal_stream_t _stream, struct Version *_data);

#ifndef _typedef___IOP_ServiceID
#define _typedef___IOP_ServiceID
typedef CORBA_unsigned_long IOP_ServiceID;
#endif /* _typedef___IOP_ServiceID */

void flick_marshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, const IOP_ServiceID *_data);

void flick_unmarshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, IOP_ServiceID *_data);

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  CORBA_octet *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___IOP_ServiceContext
#define _typedef___IOP_ServiceContext
typedef struct IOP_ServiceContext {
  IOP_ServiceID context_id;
  struct CORBA_sequence_integer context_data;
} IOP_ServiceContext;
#endif /* _typedef___IOP_ServiceContext */

void flick_marshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, const struct IOP_ServiceContext *_data);

void flick_unmarshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data);

#ifndef _typedef___CORBA_sequence_ServiceContext
#define _typedef___CORBA_sequence_ServiceContext
typedef struct CORBA_sequence_ServiceContext {
  unsigned long int _length;
  struct IOP_ServiceContext *_buffer;
} CORBA_sequence_ServiceContext;
#endif /* _typedef___CORBA_sequence_ServiceContext */

#ifndef _typedef___IOP_ServiceContextList
#define _typedef___IOP_ServiceContextList
typedef struct CORBA_sequence_ServiceContext IOP_ServiceContextList;
#endif /* _typedef___IOP_ServiceContextList */

void flick_marshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, const IOP_ServiceContextList *_data);

void flick_unmarshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data);

#define IOP_TransactionServer (0)

#ifndef _typedef___GIOP_Principal
#define _typedef___GIOP_Principal
typedef CORBA_Object GIOP_Principal;
#endif /* _typedef___GIOP_Principal */

void flick_marshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, const GIOP_Principal *_data);

void flick_unmarshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, GIOP_Principal *_data);

#ifndef _typedef___GIOP_MsgType
#define _typedef___GIOP_MsgType
typedef unsigned long int GIOP_MsgType;
#endif /* _typedef___GIOP_MsgType */

void flick_marshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, const GIOP_MsgType *_data);

void flick_unmarshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, GIOP_MsgType *_data);

#define GIOP_Request (0)

#define GIOP_Reply (1)

#define GIOP_CancelRequest (2)

#define GIOP_LocateRequest (3)

#define GIOP_LocateReply (4)

#define GIOP_CloseConnection (5)

#define GIOP_MessageError (6)

#ifndef _typedef___GIOP_MessageHeader
#define _typedef___GIOP_MessageHeader
typedef struct GIOP_MessageHeader {
  CORBA_char magic[4];
  struct Version GIOP_version;
  CORBA_boolean byte_order;
  CORBA_octet message_type;
  CORBA_unsigned_long message_size;
} GIOP_MessageHeader;
#endif /* _typedef___GIOP_MessageHeader */

void flick_marshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, const struct GIOP_MessageHeader *_data);

void flick_unmarshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data);


#ifndef _typedef___GIOP_RequestHeader
#define _typedef___GIOP_RequestHeader
typedef struct GIOP_RequestHeader {
  IOP_ServiceContextList service_context;
  CORBA_unsigned_long request_id;
  CORBA_boolean response_expected;
  struct CORBA_sequence_integer object_key;
  CORBA_char *operation;
  GIOP_Principal requesting_principal;
} GIOP_RequestHeader;
#endif /* _typedef___GIOP_RequestHeader */

void flick_marshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, const struct GIOP_RequestHeader *_data);

void flick_unmarshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data);

#ifndef _typedef___GIOP_ReplyStatusType
#define _typedef___GIOP_ReplyStatusType
typedef unsigned long int GIOP_ReplyStatusType;
#endif /* _typedef___GIOP_ReplyStatusType */

void flick_marshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, const GIOP_ReplyStatusType *_data);

void flick_unmarshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data);

#define GIOP_NO_EXCEPTION (0)

#define GIOP_USER_EXCEPTION (1)

#define GIOP_SYSTEM_EXCEPTION (2)

#define GIOP_LOCATION_FORWARD (3)

#ifndef _typedef___GIOP_ReplyHeader
#define _typedef___GIOP_ReplyHeader
typedef struct GIOP_ReplyHeader {
  IOP_ServiceContextList server_context;
  CORBA_unsigned_long request_id;
  GIOP_ReplyStatusType reply_status;
} GIOP_ReplyHeader;
#endif /* _typedef___GIOP_ReplyHeader */

void flick_marshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_ReplyHeader *_data);

void flick_unmarshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data);

#ifndef _typedef___GIOP_CancelRequestHeader
#define _typedef___GIOP_CancelRequestHeader
typedef struct GIOP_CancelRequestHeader {
  CORBA_unsigned_long request_id;
} GIOP_CancelRequestHeader;
#endif /* _typedef___GIOP_CancelRequestHeader */

void flick_marshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_CancelRequestHeader *_data);

void flick_unmarshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data);


#ifndef _typedef___GIOP_LocateRequestHeader
#define _typedef___GIOP_LocateRequestHeader
typedef struct GIOP_LocateRequestHeader {
  CORBA_unsigned_long request_id;
  struct CORBA_sequence_integer object_key;
} GIOP_LocateRequestHeader;
#endif /* _typedef___GIOP_LocateRequestHeader */

void flick_marshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateRequestHeader *_data);

void flick_unmarshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data);

#ifndef _typedef___GIOP_LocateStatusType
#define _typedef___GIOP_LocateStatusType
typedef unsigned long int GIOP_LocateStatusType;
#endif /* _typedef___GIOP_LocateStatusType */

void flick_marshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, const GIOP_LocateStatusType *_data);

void flick_unmarshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data);

#define GIOP_UNKNOWN_OBJECT (0)

#define GIOP_OBJECT_HERE (1)

#define GIOP_OBJECT_FORWARD (2)

#ifndef _typedef___GIOP_LocateReplyHeader
#define _typedef___GIOP_LocateReplyHeader
typedef struct GIOP_LocateReplyHeader {
  CORBA_unsigned_long request_id;
  GIOP_LocateStatusType locate_status;
} GIOP_LocateReplyHeader;
#endif /* _typedef___GIOP_LocateReplyHeader */

void flick_marshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateReplyHeader *_data);

void flick_unmarshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data);


#ifndef _typedef___IIOP_ProfileBody
#define _typedef___IIOP_ProfileBody
typedef struct IIOP_ProfileBody {
  struct Version iiop_version;
  CORBA_char *host;
  CORBA_unsigned_short port;
  struct CORBA_sequence_integer object_key;
} IIOP_ProfileBody;
#endif /* _typedef___IIOP_ProfileBody */

void flick_marshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, const struct IIOP_ProfileBody *_data);

void flick_unmarshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data);

#endif /* _IIOP_server_h_ */
