#include "arrayez_-client.h"

void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 8;
  flick_iiop_encode_new_glob(32);
#if 0 /* We never byte swap on encoding */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t0_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 8;
  flick_iiop_decode_new_glob(32);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t3_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8_swap(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t6_array_length = 8;
  flick_iiop_decode_new_glob(32);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(32);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_unsigned16_t _t9_array_length;
  flick_unsigned16_t _t11_array_iter;

  _t9_array_length = 256;
  flick_iiop_encode_new_glob(1024);
#if 0 /* We never byte swap on encoding */
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t11_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t9_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t12_array_length;
  flick_unsigned16_t _t14_array_iter;

  _t12_array_length = 256;
  flick_iiop_decode_new_glob(1024);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t14_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t12_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256_swap(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t15_array_length;
  flick_unsigned16_t _t17_array_iter;

  _t15_array_length = 256;
  flick_iiop_decode_new_glob(1024);
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(1024);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_unsigned16_t _t18_array_length;
  flick_unsigned16_t _t20_array_iter;

  _t18_array_length = 8192;
  flick_iiop_encode_new_glob(4 * _t18_array_length);
#if 0 /* We never byte swap on encoding */
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)[_t20_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(*_data, sizeof(long) * _t18_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(4 * _t18_array_length);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t21_array_length;
  flick_unsigned16_t _t23_array_iter;

  _t21_array_length = 8192;
  flick_iiop_decode_new_glob(4 * _t21_array_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)[_t23_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(*_data, sizeof(long) * _t21_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(4 * _t21_array_length);
}

void flick_unmarshal_stub_arrays_arr8k_swap(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t24_array_length;
  flick_unsigned16_t _t26_array_iter;

  _t24_array_length = 8192;
  flick_iiop_decode_new_glob(4 * _t24_array_length);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t26_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _t24_array_length);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_long arrays_test8(arrays _obj, arrays_arr8 a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t30_array_length;
    flick_unsigned8_t _t32_array_iter;

    flick_iiop_encode_new_glob(48);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '8');
    flick_cdr_encode_char8(9, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t30_array_length = 8;
    flick_iiop_encode_end_chunk(16);
#if 0 /* We never byte swap on encoding */
    for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, a[_t32_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(a, sizeof(long) * _t30_array_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_end_glob(48);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_long arrays_test256(arrays _obj, arrays_arr256 a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned16_t _t36_array_length;
    flick_unsigned16_t _t38_array_iter;

    flick_iiop_encode_new_glob(1040);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 8);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '2');
    flick_cdr_encode_char8(9, '5');
    flick_cdr_encode_char8(10, '6');
    flick_cdr_encode_char8(11, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t36_array_length = 256;
    flick_iiop_encode_end_chunk(16);
#if 0 /* We never byte swap on encoding */
    for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, a[_t38_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(a, sizeof(long) * _t36_array_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_end_glob(1040);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_long arrays_test8k(arrays _obj, arrays_arr8k a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned16_t _t42_array_length;
    flick_unsigned16_t _t44_array_iter;

    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 7);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '8');
    flick_cdr_encode_char8(9, 'k');
    flick_cdr_encode_char8(10, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t42_array_length = 8192;
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
    flick_iiop_encode_new_glob(4 * _t42_array_length);
#if 0 /* We never byte swap on encoding */
    for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, a[_t44_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(a, sizeof(long) * _t42_array_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_end_glob(4 * _t42_array_length);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

