#include "arrays-client.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->elem1);
  flick_cdr_encode_char8(4, _data->elem2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->elem1);
  flick_cdr_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_end_swap(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->elem1);
  flick_cdr_swap_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->elem1);
  flick_cdr_encode_signed32(4, _data->elem2);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->elem1);
  flick_cdr_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_begin_swap(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->elem1);
  flick_cdr_swap_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  flick_iiop_encode_new_glob(209);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_iiop_encode_end_chunk(1);
#if 0 /* We never byte swap on encoding */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t2_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->data, sizeof(long) * _t0_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(209);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_iiop_decode_new_glob(209);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  _t3_array_length = 50;
  flick_iiop_decode_end_chunk(1);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->data, sizeof(long) * _t3_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(209);
}

void flick_unmarshal_stub_cLd_swap(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_iiop_decode_new_glob(209);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t6_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(209);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_iiop_encode_new_glob(209);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  _t9_array_length = 50;
  flick_iiop_encode_end_chunk(8);
#if 0 /* We never byte swap on encoding */
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->data[_t11_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->data, sizeof(long) * _t9_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(209);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_iiop_decode_new_glob(209);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t12_array_length = 50;
  flick_iiop_decode_end_chunk(8);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->data[_t14_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->data, sizeof(long) * _t12_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(209);
}

void flick_unmarshal_stub_dLc_swap(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_iiop_decode_new_glob(209);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t15_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data[_t17_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(209);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_iiop_encode_new_glob(204);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  _t18_array_length = 50;
  flick_iiop_encode_end_chunk(2);
#if 0 /* We never byte swap on encoding */
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_encode_signed32(0, _data->data[_t20_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->data, sizeof(long) * _t18_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->last);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(204);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_iiop_decode_new_glob(204);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  _t21_array_length = 50;
  flick_iiop_decode_end_chunk(2);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_decode_signed32(0, _data->data[_t23_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->data, sizeof(long) * _t21_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(204);
}

void flick_unmarshal_stub_sLs_swap(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;

  flick_iiop_decode_new_glob(204);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t24_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t26_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(204);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;

  flick_iiop_encode_new_glob(416);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  _t27_array_length = 50;
  flick_iiop_encode_end_chunk(1);
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_signed32(3, _data->data[_t29_array_iter].elem1);
      flick_cdr_encode_char8(7, _data->data[_t29_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  _t30_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_signed32(3, _data->data[_t32_array_iter].elem1);
      flick_cdr_decode_char8(7, _data->data[_t32_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_unmarshal_stub_cLCd_swap(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t33_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_signed32(3, _data->data[_t35_array_iter].elem1);
      flick_cdr_swap_decode_char8(7, _data->data[_t35_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;

  flick_iiop_encode_new_glob(259);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  _t36_array_length = 50;
  flick_iiop_encode_end_chunk(8);
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t38_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t38_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(259);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;

  flick_iiop_decode_new_glob(259);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t39_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t41_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t41_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(259);
}

void flick_unmarshal_stub_dLCc_swap(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;

  flick_iiop_decode_new_glob(259);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t42_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t44_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t44_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(259);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t45_array_length;
  flick_unsigned8_t _t47_array_iter;

  flick_iiop_encode_new_glob(255);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  _t45_array_length = 50;
  flick_iiop_encode_end_chunk(2);
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t47_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t47_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(3);
  flick_cdr_encode_signed16(1, _data->last);
  flick_iiop_encode_end_chunk(3);
  flick_iiop_encode_end_glob(255);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t48_array_length;
  flick_unsigned8_t _t50_array_iter;

  flick_iiop_decode_new_glob(255);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  _t48_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t50_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t50_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(255);
}

void flick_unmarshal_stub_sLCs_swap(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t51_array_length;
  flick_unsigned8_t _t53_array_iter;

  flick_iiop_decode_new_glob(255);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t51_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t53_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t53_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_swap_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(255);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t54_array_length;
  flick_unsigned8_t _t56_array_iter;

  flick_iiop_encode_new_glob(259);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  _t54_array_length = 50;
  flick_iiop_encode_end_chunk(1);
  for (_t56_array_iter = 0; _t56_array_iter < _t54_array_length; _t56_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t56_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t56_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(259);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t57_array_length;
  flick_unsigned8_t _t59_array_iter;

  flick_iiop_decode_new_glob(259);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  _t57_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t59_array_iter = 0; _t59_array_iter < _t57_array_length; _t59_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t59_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t59_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(259);
}

void flick_unmarshal_stub_cCLd_swap(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t60_array_length;
  flick_unsigned8_t _t62_array_iter;

  flick_iiop_decode_new_glob(259);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t60_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t62_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t62_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(259);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t63_array_length;
  flick_unsigned8_t _t65_array_iter;

  flick_iiop_encode_new_glob(409);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  _t63_array_length = 50;
  flick_iiop_encode_end_chunk(8);
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_char8(0, _data->data[_t65_array_iter].elem1);
      flick_cdr_encode_signed32(4, _data->data[_t65_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(409);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t66_array_length;
  flick_unsigned8_t _t68_array_iter;

  flick_iiop_decode_new_glob(409);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t66_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t68_array_iter = 0; _t68_array_iter < _t66_array_length; _t68_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_char8(0, _data->data[_t68_array_iter].elem1);
      flick_cdr_decode_signed32(4, _data->data[_t68_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(409);
}

void flick_unmarshal_stub_dCLc_swap(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t69_array_length;
  flick_unsigned8_t _t71_array_iter;

  flick_iiop_decode_new_glob(409);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t69_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t71_array_iter = 0; _t71_array_iter < _t69_array_length; _t71_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_char8(0, _data->data[_t71_array_iter].elem1);
      flick_cdr_swap_decode_signed32(4, _data->data[_t71_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(409);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t72_array_length;
  flick_unsigned8_t _t74_array_iter;

  flick_iiop_encode_new_glob(404);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  _t72_array_length = 50;
  flick_iiop_encode_end_chunk(2);
  for (_t74_array_iter = 0; _t74_array_iter < _t72_array_length; _t74_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t74_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_encode_signed32(0, _data->data[_t74_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->last);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t75_array_length;
  flick_unsigned8_t _t77_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  _t75_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t77_array_iter = 0; _t77_array_iter < _t75_array_length; _t77_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t77_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_decode_signed32(0, _data->data[_t77_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_unmarshal_stub_sCLs_swap(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t78_array_length;
  flick_unsigned8_t _t80_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t78_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t80_array_iter = 0; _t80_array_iter < _t78_array_length; _t80_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t80_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_swap_decode_signed32(0, _data->data[_t80_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct cLd arrays_test_cLd(arrays _obj, struct cLd *inp, struct cLd *iop, struct cLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cLd _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t87_array_length;
    flick_unsigned8_t _t89_array_iter;
    flick_unsigned8_t _t90_array_length;
    flick_unsigned8_t _t92_array_iter;

    flick_iiop_encode_new_glob(438);
    flick_iiop_encode_new_chunk(21);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'c');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'd');
    flick_cdr_encode_char8(12, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(20, inp->first);
    _t87_array_length = 50;
    flick_iiop_encode_end_chunk(21);
#if 0 /* We never byte swap on encoding */
    for (_t89_array_iter = 0; _t89_array_iter < _t87_array_length; _t89_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_signed32(0, inp->data[_t89_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(inp->data, sizeof(long) * _t87_array_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    _t90_array_length = 50;
    flick_iiop_encode_end_chunk(9);
#if 0 /* We never byte swap on encoding */
    for (_t92_array_iter = 0; _t92_array_iter < _t90_array_length; _t92_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_signed32(0, iop->data[_t92_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(iop->data, sizeof(long) * _t90_array_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, iop->last);
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(438);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(631);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t120_array_length;
            flick_unsigned8_t _t122_array_iter;
            flick_unsigned8_t _t123_array_length;
            flick_unsigned8_t _t125_array_iter;
            flick_unsigned8_t _t126_array_length;
            flick_unsigned8_t _t128_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, iop->first);
            _t120_array_length = 50;
            flick_iiop_decode_end_chunk(1);
            for (_t122_array_iter = 0; _t122_array_iter < _t120_array_length; _t122_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t122_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, iop->last);
            flick_cdr_swap_decode_char8(8, outp->first);
            _t123_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t125_array_iter = 0; _t125_array_iter < _t123_array_length; _t125_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t125_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, outp->last);
            flick_cdr_swap_decode_char8(8, _return.first);
            _t126_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t128_array_iter = 0; _t128_array_iter < _t126_array_length; _t128_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t128_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.last);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(631);
    }
  } else {
    {
      flick_iiop_decode_new_glob(631);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t102_array_length;
            flick_unsigned8_t _t104_array_iter;
            flick_unsigned8_t _t105_array_length;
            flick_unsigned8_t _t107_array_iter;
            flick_unsigned8_t _t108_array_length;
            flick_unsigned8_t _t110_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, iop->first);
            _t102_array_length = 50;
            flick_iiop_decode_end_chunk(1);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t104_array_iter = 0; _t104_array_iter < _t102_array_length; _t104_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, iop->data[_t104_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(iop->data, sizeof(long) * _t102_array_length, iiop);
#endif
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_decode_float64(0, iop->last);
            flick_cdr_decode_char8(8, outp->first);
            _t105_array_length = 50;
            flick_iiop_decode_end_chunk(9);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t107_array_iter = 0; _t107_array_iter < _t105_array_length; _t107_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, outp->data[_t107_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(outp->data, sizeof(long) * _t105_array_length, iiop);
#endif
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_decode_float64(0, outp->last);
            flick_cdr_decode_char8(8, _return.first);
            _t108_array_length = 50;
            flick_iiop_decode_end_chunk(9);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t110_array_iter = 0; _t110_array_iter < _t108_array_length; _t110_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return.data[_t110_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(_return.data, sizeof(long) * _t108_array_length, iiop);
#endif
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.last);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(631);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct dLc arrays_test_dLc(arrays _obj, struct dLc *inp, struct dLc *iop, struct dLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dLc _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t135_array_length;
    flick_unsigned8_t _t137_array_iter;
    flick_unsigned8_t _t138_array_length;
    flick_unsigned8_t _t140_array_iter;

    flick_iiop_encode_new_glob(445);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'c');
    flick_cdr_encode_char8(12, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    _t135_array_length = 50;
    flick_iiop_encode_end_chunk(8);
#if 0 /* We never byte swap on encoding */
    for (_t137_array_iter = 0; _t137_array_iter < _t135_array_length; _t137_array_iter++)
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, inp->data[_t137_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(inp->data, sizeof(long) * _t135_array_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, inp->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
    flick_cdr_encode_float64(0, iop->first);
    _t138_array_length = 50;
    flick_iiop_encode_end_chunk(8);
#if 0 /* We never byte swap on encoding */
    for (_t140_array_iter = 0; _t140_array_iter < _t138_array_length; _t140_array_iter++)
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, iop->data[_t140_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(iop->data, sizeof(long) * _t138_array_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, iop->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_end_glob(445);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(645);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t168_array_length;
            flick_unsigned8_t _t170_array_iter;
            flick_unsigned8_t _t171_array_length;
            flick_unsigned8_t _t173_array_iter;
            flick_unsigned8_t _t174_array_length;
            flick_unsigned8_t _t176_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, iop->first);
            _t168_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t170_array_iter = 0; _t170_array_iter < _t168_array_length; _t170_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, iop->data[_t170_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, outp->first);
            _t171_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t173_array_iter = 0; _t173_array_iter < _t171_array_length; _t173_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, outp->data[_t173_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, _return.first);
            _t174_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t176_array_iter = 0; _t176_array_iter < _t174_array_length; _t176_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _return.data[_t176_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(645);
    }
  } else {
    {
      flick_iiop_decode_new_glob(645);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t150_array_length;
            flick_unsigned8_t _t152_array_iter;
            flick_unsigned8_t _t153_array_length;
            flick_unsigned8_t _t155_array_iter;
            flick_unsigned8_t _t156_array_length;
            flick_unsigned8_t _t158_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, iop->first);
            _t150_array_length = 50;
            flick_iiop_decode_end_chunk(8);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t152_array_iter = 0; _t152_array_iter < _t150_array_length; _t152_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, iop->data[_t152_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(iop->data, sizeof(long) * _t150_array_length, iiop);
#endif
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_decode_float64(0, outp->first);
            _t153_array_length = 50;
            flick_iiop_decode_end_chunk(8);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t155_array_iter = 0; _t155_array_iter < _t153_array_length; _t155_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, outp->data[_t155_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(outp->data, sizeof(long) * _t153_array_length, iiop);
#endif
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_decode_float64(0, _return.first);
            _t156_array_length = 50;
            flick_iiop_decode_end_chunk(8);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t158_array_iter = 0; _t158_array_iter < _t156_array_length; _t158_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, _return.data[_t158_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(_return.data, sizeof(long) * _t156_array_length, iiop);
#endif
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(645);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct sLs arrays_test_sLs(arrays _obj, struct sLs *inp, struct sLs *iop, struct sLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sLs _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t183_array_length;
    flick_unsigned8_t _t185_array_iter;
    flick_unsigned8_t _t186_array_length;
    flick_unsigned8_t _t188_array_iter;

    flick_iiop_encode_new_glob(428);
    flick_iiop_encode_new_chunk(22);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 's');
    flick_cdr_encode_char8(12, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, inp->first);
    _t183_array_length = 50;
    flick_iiop_encode_end_chunk(22);
#if 0 /* We never byte swap on encoding */
    for (_t185_array_iter = 0; _t185_array_iter < _t183_array_length; _t185_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(4, 2, 1, 0);
        flick_cdr_encode_signed32(0, inp->data[_t185_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(inp->data, sizeof(long) * _t183_array_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_new_chunk(4);
    flick_cdr_encode_signed16(0, inp->last);
    flick_cdr_encode_signed16(2, iop->first);
    _t186_array_length = 50;
    flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
    for (_t188_array_iter = 0; _t188_array_iter < _t186_array_length; _t188_array_iter++)
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, iop->data[_t188_array_iter]);
        flick_iiop_encode_end_chunk(4);
      }
#else /* Always bcopy */
    flick_cdr_encode_bcopy(iop->data, sizeof(long) * _t186_array_length, iiop);
#endif /* alway bcopy */
    flick_iiop_encode_new_chunk(2);
    flick_cdr_encode_signed16(0, iop->last);
    flick_iiop_encode_end_chunk(2);
    flick_iiop_encode_end_glob(428);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(616);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t216_array_length;
            flick_unsigned8_t _t218_array_iter;
            flick_unsigned8_t _t219_array_length;
            flick_unsigned8_t _t221_array_iter;
            flick_unsigned8_t _t222_array_length;
            flick_unsigned8_t _t224_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, iop->first);
            _t216_array_length = 50;
            flick_iiop_decode_end_chunk(2);
            for (_t218_array_iter = 0; _t218_array_iter < _t216_array_length; _t218_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t218_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, iop->last);
            flick_cdr_swap_decode_signed16(2, outp->first);
            _t219_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t221_array_iter = 0; _t221_array_iter < _t219_array_length; _t221_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, outp->data[_t221_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, outp->last);
            flick_cdr_swap_decode_signed16(2, _return.first);
            _t222_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t224_array_iter = 0; _t224_array_iter < _t222_array_length; _t224_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _return.data[_t224_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return.last);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(616);
    }
  } else {
    {
      flick_iiop_decode_new_glob(616);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t198_array_length;
            flick_unsigned8_t _t200_array_iter;
            flick_unsigned8_t _t201_array_length;
            flick_unsigned8_t _t203_array_iter;
            flick_unsigned8_t _t204_array_length;
            flick_unsigned8_t _t206_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, iop->first);
            _t198_array_length = 50;
            flick_iiop_decode_end_chunk(2);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t200_array_iter = 0; _t200_array_iter < _t198_array_length; _t200_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                flick_cdr_decode_signed32(0, iop->data[_t200_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(iop->data, sizeof(long) * _t198_array_length, iiop);
#endif
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed16(0, iop->last);
            flick_cdr_decode_signed16(2, outp->first);
            _t201_array_length = 50;
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t203_array_iter = 0; _t203_array_iter < _t201_array_length; _t203_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, outp->data[_t203_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(outp->data, sizeof(long) * _t201_array_length, iiop);
#endif
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed16(0, outp->last);
            flick_cdr_decode_signed16(2, _return.first);
            _t204_array_length = 50;
            flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t206_array_iter = 0; _t206_array_iter < _t204_array_length; _t206_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, _return.data[_t206_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(_return.data, sizeof(long) * _t204_array_length, iiop);
#endif
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return.last);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(616);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct cLCd arrays_test_cLCd(arrays _obj, struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cLCd _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t231_array_length;
    flick_unsigned8_t _t233_array_iter;
    flick_unsigned8_t _t234_array_length;
    flick_unsigned8_t _t236_array_iter;

    flick_iiop_encode_new_glob(852);
    flick_iiop_encode_new_chunk(21);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'c');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'C');
    flick_cdr_encode_char8(12, 'd');
    flick_cdr_encode_char8(13, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(20, inp->first);
    _t231_array_length = 50;
    flick_iiop_encode_end_chunk(21);
    for (_t233_array_iter = 0; _t233_array_iter < _t231_array_length; _t233_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_signed32(3, inp->data[_t233_array_iter].elem1);
        flick_cdr_encode_char8(7, inp->data[_t233_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    _t234_array_length = 50;
    flick_iiop_encode_end_chunk(9);
    for (_t236_array_iter = 0; _t236_array_iter < _t234_array_length; _t236_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_signed32(3, iop->data[_t236_array_iter].elem1);
        flick_cdr_encode_char8(7, iop->data[_t236_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
    flick_cdr_encode_float64(0, iop->last);
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(852);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1252);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t264_array_length;
            flick_unsigned8_t _t266_array_iter;
            flick_unsigned8_t _t267_array_length;
            flick_unsigned8_t _t269_array_iter;
            flick_unsigned8_t _t270_array_length;
            flick_unsigned8_t _t272_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, iop->first);
            _t264_array_length = 50;
            flick_iiop_decode_end_chunk(1);
            for (_t266_array_iter = 0; _t266_array_iter < _t264_array_length; _t266_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_signed32(3, iop->data[_t266_array_iter].elem1);
                flick_cdr_swap_decode_char8(7, iop->data[_t266_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, iop->last);
            flick_cdr_swap_decode_char8(8, outp->first);
            _t267_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t269_array_iter = 0; _t269_array_iter < _t267_array_length; _t269_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_signed32(3, outp->data[_t269_array_iter].elem1);
                flick_cdr_swap_decode_char8(7, outp->data[_t269_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, outp->last);
            flick_cdr_swap_decode_char8(8, _return.first);
            _t270_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t272_array_iter = 0; _t272_array_iter < _t270_array_length; _t272_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_signed32(3, _return.data[_t272_array_iter].elem1);
                flick_cdr_swap_decode_char8(7, _return.data[_t272_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, _return.last);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1252);
    }
  } else {
    {
      flick_iiop_decode_new_glob(1252);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t246_array_length;
            flick_unsigned8_t _t248_array_iter;
            flick_unsigned8_t _t249_array_length;
            flick_unsigned8_t _t251_array_iter;
            flick_unsigned8_t _t252_array_length;
            flick_unsigned8_t _t254_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, iop->first);
            _t246_array_length = 50;
            flick_iiop_decode_end_chunk(1);
            for (_t248_array_iter = 0; _t248_array_iter < _t246_array_length; _t248_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_signed32(3, iop->data[_t248_array_iter].elem1);
                flick_cdr_decode_char8(7, iop->data[_t248_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
            flick_cdr_decode_float64(0, iop->last);
            flick_cdr_decode_char8(8, outp->first);
            _t249_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t251_array_iter = 0; _t251_array_iter < _t249_array_length; _t251_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_signed32(3, outp->data[_t251_array_iter].elem1);
                flick_cdr_decode_char8(7, outp->data[_t251_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
            flick_cdr_decode_float64(0, outp->last);
            flick_cdr_decode_char8(8, _return.first);
            _t252_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t254_array_iter = 0; _t254_array_iter < _t252_array_length; _t254_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_signed32(3, _return.data[_t254_array_iter].elem1);
                flick_cdr_decode_char8(7, _return.data[_t254_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_decode_float64(0, _return.last);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(1252);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct dLCc arrays_test_dLCc(arrays _obj, struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dLCc _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t279_array_length;
    flick_unsigned8_t _t281_array_iter;
    flick_unsigned8_t _t282_array_length;
    flick_unsigned8_t _t284_array_iter;

    flick_iiop_encode_new_glob(544);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'C');
    flick_cdr_encode_char8(12, 'c');
    flick_cdr_encode_char8(13, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    _t279_array_length = 50;
    flick_iiop_encode_end_chunk(8);
    for (_t281_array_iter = 0; _t281_array_iter < _t279_array_length; _t281_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, inp->data[_t281_array_iter].elem1);
        flick_cdr_encode_char8(4, inp->data[_t281_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, inp->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
    flick_cdr_encode_float64(0, iop->first);
    _t282_array_length = 50;
    flick_iiop_encode_end_chunk(8);
    for (_t284_array_iter = 0; _t284_array_iter < _t282_array_length; _t284_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, iop->data[_t284_array_iter].elem1);
        flick_cdr_encode_char8(4, iop->data[_t284_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, iop->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_end_glob(544);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(793);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t312_array_length;
            flick_unsigned8_t _t314_array_iter;
            flick_unsigned8_t _t315_array_length;
            flick_unsigned8_t _t317_array_iter;
            flick_unsigned8_t _t318_array_length;
            flick_unsigned8_t _t320_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, iop->first);
            _t312_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t314_array_iter = 0; _t314_array_iter < _t312_array_length; _t314_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t314_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, iop->data[_t314_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_swap_decode_float64(0, outp->first);
            _t315_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t317_array_iter = 0; _t317_array_iter < _t315_array_length; _t317_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t317_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, outp->data[_t317_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_swap_decode_float64(0, _return.first);
            _t318_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t320_array_iter = 0; _t320_array_iter < _t318_array_length; _t320_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t320_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, _return.data[_t320_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(793);
    }
  } else {
    {
      flick_iiop_decode_new_glob(793);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t294_array_length;
            flick_unsigned8_t _t296_array_iter;
            flick_unsigned8_t _t297_array_length;
            flick_unsigned8_t _t299_array_iter;
            flick_unsigned8_t _t300_array_length;
            flick_unsigned8_t _t302_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, iop->first);
            _t294_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t296_array_iter = 0; _t296_array_iter < _t294_array_length; _t296_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, iop->data[_t296_array_iter].elem1);
                flick_cdr_decode_char8(4, iop->data[_t296_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_decode_float64(0, outp->first);
            _t297_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t299_array_iter = 0; _t299_array_iter < _t297_array_length; _t299_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, outp->data[_t299_array_iter].elem1);
                flick_cdr_decode_char8(4, outp->data[_t299_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_decode_float64(0, _return.first);
            _t300_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t302_array_iter = 0; _t302_array_iter < _t300_array_length; _t302_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return.data[_t302_array_iter].elem1);
                flick_cdr_decode_char8(4, _return.data[_t302_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(793);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct sLCs arrays_test_sLCs(arrays _obj, struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sLCs _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t327_array_length;
    flick_unsigned8_t _t329_array_iter;
    flick_unsigned8_t _t330_array_length;
    flick_unsigned8_t _t332_array_iter;

    flick_iiop_encode_new_glob(530);
    flick_iiop_encode_new_chunk(22);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'C');
    flick_cdr_encode_char8(12, 's');
    flick_cdr_encode_char8(13, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, inp->first);
    _t327_array_length = 50;
    flick_iiop_encode_end_chunk(22);
    for (_t329_array_iter = 0; _t329_array_iter < _t327_array_length; _t329_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, inp->data[_t329_array_iter].elem1);
        flick_cdr_encode_char8(4, inp->data[_t329_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(5);
    flick_cdr_encode_signed16(1, inp->last);
    flick_cdr_encode_signed16(3, iop->first);
    _t330_array_length = 50;
    flick_iiop_encode_end_chunk(5);
    for (_t332_array_iter = 0; _t332_array_iter < _t330_array_length; _t332_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, iop->data[_t332_array_iter].elem1);
        flick_cdr_encode_char8(4, iop->data[_t332_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(3);
    flick_cdr_encode_signed16(1, iop->last);
    flick_iiop_encode_end_chunk(3);
    flick_iiop_encode_end_glob(530);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(769);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t360_array_length;
            flick_unsigned8_t _t362_array_iter;
            flick_unsigned8_t _t363_array_length;
            flick_unsigned8_t _t365_array_iter;
            flick_unsigned8_t _t366_array_length;
            flick_unsigned8_t _t368_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, iop->first);
            _t360_array_length = 50;
            flick_iiop_decode_end_chunk(2);
            for (_t362_array_iter = 0; _t362_array_iter < _t360_array_length; _t362_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t362_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, iop->data[_t362_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_swap_decode_signed16(1, iop->last);
            flick_cdr_swap_decode_signed16(3, outp->first);
            _t363_array_length = 50;
            flick_iiop_decode_end_chunk(5);
            for (_t365_array_iter = 0; _t365_array_iter < _t363_array_length; _t365_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t365_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, outp->data[_t365_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_swap_decode_signed16(1, outp->last);
            flick_cdr_swap_decode_signed16(3, _return.first);
            _t366_array_length = 50;
            flick_iiop_decode_end_chunk(5);
            for (_t368_array_iter = 0; _t368_array_iter < _t366_array_length; _t368_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t368_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, _return.data[_t368_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_signed16(1, _return.last);
            flick_iiop_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(769);
    }
  } else {
    {
      flick_iiop_decode_new_glob(769);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t342_array_length;
            flick_unsigned8_t _t344_array_iter;
            flick_unsigned8_t _t345_array_length;
            flick_unsigned8_t _t347_array_iter;
            flick_unsigned8_t _t348_array_length;
            flick_unsigned8_t _t350_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, iop->first);
            _t342_array_length = 50;
            flick_iiop_decode_end_chunk(2);
            for (_t344_array_iter = 0; _t344_array_iter < _t342_array_length; _t344_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, iop->data[_t344_array_iter].elem1);
                flick_cdr_decode_char8(4, iop->data[_t344_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_decode_signed16(1, iop->last);
            flick_cdr_decode_signed16(3, outp->first);
            _t345_array_length = 50;
            flick_iiop_decode_end_chunk(5);
            for (_t347_array_iter = 0; _t347_array_iter < _t345_array_length; _t347_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, outp->data[_t347_array_iter].elem1);
                flick_cdr_decode_char8(4, outp->data[_t347_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_decode_signed16(1, outp->last);
            flick_cdr_decode_signed16(3, _return.first);
            _t348_array_length = 50;
            flick_iiop_decode_end_chunk(5);
            for (_t350_array_iter = 0; _t350_array_iter < _t348_array_length; _t350_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return.data[_t350_array_iter].elem1);
                flick_cdr_decode_char8(4, _return.data[_t350_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_signed16(1, _return.last);
            flick_iiop_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(769);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct cCLd arrays_test_cCLd(arrays _obj, struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cCLd _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t375_array_length;
    flick_unsigned8_t _t377_array_iter;
    flick_unsigned8_t _t378_array_length;
    flick_unsigned8_t _t380_array_iter;

    flick_iiop_encode_new_glob(538);
    flick_iiop_encode_new_chunk(21);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'c');
    flick_cdr_encode_char8(10, 'C');
    flick_cdr_encode_char8(11, 'L');
    flick_cdr_encode_char8(12, 'd');
    flick_cdr_encode_char8(13, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(20, inp->first);
    _t375_array_length = 50;
    flick_iiop_encode_end_chunk(21);
    for (_t377_array_iter = 0; _t377_array_iter < _t375_array_length; _t377_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, inp->data[_t377_array_iter].elem1);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_signed32(0, inp->data[_t377_array_iter].elem2);
        flick_iiop_encode_end_chunk(4);
      }
    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    _t378_array_length = 50;
    flick_iiop_encode_end_chunk(9);
    for (_t380_array_iter = 0; _t380_array_iter < _t378_array_length; _t380_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, iop->data[_t380_array_iter].elem1);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_signed32(0, iop->data[_t380_array_iter].elem2);
        flick_iiop_encode_end_chunk(4);
      }
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, iop->last);
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(538);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(781);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t408_array_length;
            flick_unsigned8_t _t410_array_iter;
            flick_unsigned8_t _t411_array_length;
            flick_unsigned8_t _t413_array_iter;
            flick_unsigned8_t _t414_array_length;
            flick_unsigned8_t _t416_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, iop->first);
            _t408_array_length = 50;
            flick_iiop_decode_end_chunk(1);
            for (_t410_array_iter = 0; _t410_array_iter < _t408_array_length; _t410_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, iop->data[_t410_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t410_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, iop->last);
            flick_cdr_swap_decode_char8(8, outp->first);
            _t411_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t413_array_iter = 0; _t413_array_iter < _t411_array_length; _t413_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, outp->data[_t413_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t413_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, outp->last);
            flick_cdr_swap_decode_char8(8, _return.first);
            _t414_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t416_array_iter = 0; _t416_array_iter < _t414_array_length; _t416_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _return.data[_t416_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t416_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.last);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(781);
    }
  } else {
    {
      flick_iiop_decode_new_glob(781);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t390_array_length;
            flick_unsigned8_t _t392_array_iter;
            flick_unsigned8_t _t393_array_length;
            flick_unsigned8_t _t395_array_iter;
            flick_unsigned8_t _t396_array_length;
            flick_unsigned8_t _t398_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, iop->first);
            _t390_array_length = 50;
            flick_iiop_decode_end_chunk(1);
            for (_t392_array_iter = 0; _t392_array_iter < _t390_array_length; _t392_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, iop->data[_t392_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, iop->data[_t392_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_decode_float64(0, iop->last);
            flick_cdr_decode_char8(8, outp->first);
            _t393_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t395_array_iter = 0; _t395_array_iter < _t393_array_length; _t395_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, outp->data[_t395_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, outp->data[_t395_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_decode_float64(0, outp->last);
            flick_cdr_decode_char8(8, _return.first);
            _t396_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t398_array_iter = 0; _t398_array_iter < _t396_array_length; _t398_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _return.data[_t398_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return.data[_t398_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.last);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(781);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct dCLc arrays_test_dCLc(arrays _obj, struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dCLc _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t423_array_length;
    flick_unsigned8_t _t425_array_iter;
    flick_unsigned8_t _t426_array_length;
    flick_unsigned8_t _t428_array_iter;

    flick_iiop_encode_new_glob(845);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'C');
    flick_cdr_encode_char8(11, 'L');
    flick_cdr_encode_char8(12, 'c');
    flick_cdr_encode_char8(13, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    _t423_array_length = 50;
    flick_iiop_encode_end_chunk(8);
    for (_t425_array_iter = 0; _t425_array_iter < _t423_array_length; _t425_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_char8(0, inp->data[_t425_array_iter].elem1);
        flick_cdr_encode_signed32(4, inp->data[_t425_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, inp->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
    flick_cdr_encode_float64(0, iop->first);
    _t426_array_length = 50;
    flick_iiop_encode_end_chunk(8);
    for (_t428_array_iter = 0; _t428_array_iter < _t426_array_length; _t428_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_char8(0, iop->data[_t428_array_iter].elem1);
        flick_cdr_encode_signed32(4, iop->data[_t428_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, iop->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_end_glob(845);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1245);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t456_array_length;
            flick_unsigned8_t _t458_array_iter;
            flick_unsigned8_t _t459_array_length;
            flick_unsigned8_t _t461_array_iter;
            flick_unsigned8_t _t462_array_length;
            flick_unsigned8_t _t464_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, iop->first);
            _t456_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t458_array_iter = 0; _t458_array_iter < _t456_array_length; _t458_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, iop->data[_t458_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, iop->data[_t458_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, outp->first);
            _t459_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t461_array_iter = 0; _t461_array_iter < _t459_array_length; _t461_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, outp->data[_t461_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, outp->data[_t461_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, _return.first);
            _t462_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t464_array_iter = 0; _t464_array_iter < _t462_array_length; _t464_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, _return.data[_t464_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, _return.data[_t464_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1245);
    }
  } else {
    {
      flick_iiop_decode_new_glob(1245);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t438_array_length;
            flick_unsigned8_t _t440_array_iter;
            flick_unsigned8_t _t441_array_length;
            flick_unsigned8_t _t443_array_iter;
            flick_unsigned8_t _t444_array_length;
            flick_unsigned8_t _t446_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, iop->first);
            _t438_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t440_array_iter = 0; _t440_array_iter < _t438_array_length; _t440_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, iop->data[_t440_array_iter].elem1);
                flick_cdr_decode_signed32(4, iop->data[_t440_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_decode_float64(0, outp->first);
            _t441_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t443_array_iter = 0; _t443_array_iter < _t441_array_length; _t443_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, outp->data[_t443_array_iter].elem1);
                flick_cdr_decode_signed32(4, outp->data[_t443_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_decode_float64(0, _return.first);
            _t444_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t446_array_iter = 0; _t446_array_iter < _t444_array_length; _t446_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, _return.data[_t446_array_iter].elem1);
                flick_cdr_decode_signed32(4, _return.data[_t446_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(1245);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

struct sCLs arrays_test_sCLs(arrays _obj, struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sCLs _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t471_array_length;
    flick_unsigned8_t _t473_array_iter;
    flick_unsigned8_t _t474_array_length;
    flick_unsigned8_t _t476_array_iter;

    flick_iiop_encode_new_glob(828);
    flick_iiop_encode_new_chunk(22);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 'C');
    flick_cdr_encode_char8(11, 'L');
    flick_cdr_encode_char8(12, 's');
    flick_cdr_encode_char8(13, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, inp->first);
    _t471_array_length = 50;
    flick_iiop_encode_end_chunk(22);
    for (_t473_array_iter = 0; _t473_array_iter < _t471_array_length; _t473_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, inp->data[_t473_array_iter].elem1);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
        flick_cdr_encode_signed32(0, inp->data[_t473_array_iter].elem2);
        flick_iiop_encode_end_chunk(4);
      }
    flick_iiop_encode_new_chunk(4);
    flick_cdr_encode_signed16(0, inp->last);
    flick_cdr_encode_signed16(2, iop->first);
    _t474_array_length = 50;
    flick_iiop_encode_end_chunk(4);
    for (_t476_array_iter = 0; _t476_array_iter < _t474_array_length; _t476_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_char8(0, iop->data[_t476_array_iter].elem1);
        flick_cdr_encode_signed32(4, iop->data[_t476_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(2);
    flick_cdr_encode_signed16(0, iop->last);
    flick_iiop_encode_end_chunk(2);
    flick_iiop_encode_end_glob(828);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1216);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t504_array_length;
            flick_unsigned8_t _t506_array_iter;
            flick_unsigned8_t _t507_array_length;
            flick_unsigned8_t _t509_array_iter;
            flick_unsigned8_t _t510_array_length;
            flick_unsigned8_t _t512_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, iop->first);
            _t504_array_length = 50;
            flick_iiop_decode_end_chunk(2);
            for (_t506_array_iter = 0; _t506_array_iter < _t504_array_length; _t506_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, iop->data[_t506_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                flick_cdr_swap_decode_signed32(0, iop->data[_t506_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, iop->last);
            flick_cdr_swap_decode_signed16(2, outp->first);
            _t507_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t509_array_iter = 0; _t509_array_iter < _t507_array_length; _t509_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, outp->data[_t509_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, outp->data[_t509_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, outp->last);
            flick_cdr_swap_decode_signed16(2, _return.first);
            _t510_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t512_array_iter = 0; _t512_array_iter < _t510_array_length; _t512_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, _return.data[_t512_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, _return.data[_t512_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return.last);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1216);
    }
  } else {
    {
      flick_iiop_decode_new_glob(1216);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t486_array_length;
            flick_unsigned8_t _t488_array_iter;
            flick_unsigned8_t _t489_array_length;
            flick_unsigned8_t _t491_array_iter;
            flick_unsigned8_t _t492_array_length;
            flick_unsigned8_t _t494_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, iop->first);
            _t486_array_length = 50;
            flick_iiop_decode_end_chunk(2);
            for (_t488_array_iter = 0; _t488_array_iter < _t486_array_length; _t488_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, iop->data[_t488_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                flick_cdr_decode_signed32(0, iop->data[_t488_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed16(0, iop->last);
            flick_cdr_decode_signed16(2, outp->first);
            _t489_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t491_array_iter = 0; _t491_array_iter < _t489_array_length; _t491_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, outp->data[_t491_array_iter].elem1);
                flick_cdr_decode_signed32(4, outp->data[_t491_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed16(0, outp->last);
            flick_cdr_decode_signed16(2, _return.first);
            _t492_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t494_array_iter = 0; _t494_array_iter < _t492_array_length; _t494_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, _return.data[_t494_array_iter].elem1);
                flick_cdr_decode_signed32(4, _return.data[_t494_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return.last);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(1216);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

