#include "atomic_-client.h"

void flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, const Atomic_test *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_Atomic_test_swap(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_short Atomic_test_Short(Atomic_test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 'S');
    flick_cdr_encode_char8(5, 'h');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 'r');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(16, a);
    flick_cdr_encode_signed16(18, *b);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_swap_decode_signed16(0, *b);
            flick_cdr_swap_decode_signed16(2, *c);
            flick_cdr_swap_decode_signed16(4, _return);
            flick_iiop_decode_end_chunk(6);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(10);
    }
  } else {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_decode_signed16(0, *b);
            flick_cdr_decode_signed16(2, *c);
            flick_cdr_decode_signed16(4, _return);
            flick_iiop_decode_end_chunk(6);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(10);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_long Atomic_test_Long(Atomic_test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 5);
    flick_cdr_encode_char8(4, 'L');
    flick_cdr_encode_char8(5, 'o');
    flick_cdr_encode_char8(6, 'n');
    flick_cdr_encode_char8(7, 'g');
    flick_cdr_encode_char8(8, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(16, a);
    flick_cdr_encode_signed32(20, *b);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_signed32(0, *b);
            flick_cdr_swap_decode_signed32(4, *c);
            flick_cdr_swap_decode_signed32(8, _return);
            flick_iiop_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_signed32(0, *b);
            flick_cdr_decode_signed32(4, *c);
            flick_cdr_decode_signed32(8, _return);
            flick_iiop_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_unsigned_short Atomic_test_UShort(Atomic_test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_short _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 7);
    flick_cdr_encode_char8(4, 'U');
    flick_cdr_encode_char8(5, 'S');
    flick_cdr_encode_char8(6, 'h');
    flick_cdr_encode_char8(7, 'o');
    flick_cdr_encode_char8(8, 'r');
    flick_cdr_encode_char8(9, 't');
    flick_cdr_encode_char8(10, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned16(16, a);
    flick_cdr_encode_unsigned16(18, *b);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_swap_decode_unsigned16(0, *b);
            flick_cdr_swap_decode_unsigned16(2, *c);
            flick_cdr_swap_decode_unsigned16(4, _return);
            flick_iiop_decode_end_chunk(6);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(10);
    }
  } else {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_decode_unsigned16(0, *b);
            flick_cdr_decode_unsigned16(2, *c);
            flick_cdr_decode_unsigned16(4, _return);
            flick_iiop_decode_end_chunk(6);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(10);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_unsigned_long Atomic_test_ULong(Atomic_test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 'U');
    flick_cdr_encode_char8(5, 'L');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 'n');
    flick_cdr_encode_char8(8, 'g');
    flick_cdr_encode_char8(9, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(16, a);
    flick_cdr_encode_unsigned32(20, *b);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_unsigned32(0, *b);
            flick_cdr_swap_decode_unsigned32(4, *c);
            flick_cdr_swap_decode_unsigned32(8, _return);
            flick_iiop_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, *b);
            flick_cdr_decode_unsigned32(4, *c);
            flick_cdr_decode_unsigned32(8, _return);
            flick_iiop_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_float Atomic_test_Float(Atomic_test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 'F');
    flick_cdr_encode_char8(5, 'l');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 'a');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_float32(16, a);
    flick_cdr_encode_float32(20, *b);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_float32(0, *b);
            flick_cdr_swap_decode_float32(4, *c);
            flick_cdr_swap_decode_float32(8, _return);
            flick_iiop_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_float32(0, *b);
            flick_cdr_decode_float32(4, *c);
            flick_cdr_decode_float32(8, _return);
            flick_iiop_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_double Atomic_test_Double(Atomic_test _obj, CORBA_double a, CORBA_double *b, CORBA_double *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(32);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 7);
    flick_cdr_encode_char8(4, 'D');
    flick_cdr_encode_char8(5, 'o');
    flick_cdr_encode_char8(6, 'u');
    flick_cdr_encode_char8(7, 'b');
    flick_cdr_encode_char8(8, 'l');
    flick_cdr_encode_char8(9, 'e');
    flick_cdr_encode_char8(10, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
    flick_cdr_encode_float64(0, a);
    flick_cdr_encode_float64(8, *b);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(32);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(28);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(24, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, *b);
            flick_cdr_swap_decode_float64(8, *c);
            flick_cdr_swap_decode_float64(16, _return);
            flick_iiop_decode_end_chunk(24);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(28);
    }
  } else {
    {
      flick_iiop_decode_new_glob(28);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(24, 3, 2, 0);
            flick_cdr_decode_float64(0, *b);
            flick_cdr_decode_float64(8, *c);
            flick_cdr_decode_float64(16, _return);
            flick_iiop_decode_end_chunk(24);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(28);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_boolean Atomic_test_Boolean(Atomic_test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(18);
    flick_iiop_encode_new_chunk(18);
    flick_cdr_encode_unsigned32(0, 8);
    flick_cdr_encode_char8(4, 'B');
    flick_cdr_encode_char8(5, 'o');
    flick_cdr_encode_char8(6, 'o');
    flick_cdr_encode_char8(7, 'l');
    flick_cdr_encode_char8(8, 'e');
    flick_cdr_encode_char8(9, 'a');
    flick_cdr_encode_char8(10, 'n');
    flick_cdr_encode_char8(11, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(16, a);
    flick_cdr_encode_unsigned8(17, *b);
    flick_iiop_encode_end_chunk(18);
    flick_iiop_encode_end_glob(18);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_unsigned8(0, *b);
            flick_cdr_swap_decode_unsigned8(1, *c);
            flick_cdr_swap_decode_unsigned8(2, _return);
            flick_iiop_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(7);
    }
  } else {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, *b);
            flick_cdr_decode_unsigned8(1, *c);
            flick_cdr_decode_unsigned8(2, _return);
            flick_iiop_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(7);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_char Atomic_test_Char(Atomic_test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(18);
    flick_iiop_encode_new_chunk(18);
    flick_cdr_encode_unsigned32(0, 5);
    flick_cdr_encode_char8(4, 'C');
    flick_cdr_encode_char8(5, 'h');
    flick_cdr_encode_char8(6, 'a');
    flick_cdr_encode_char8(7, 'r');
    flick_cdr_encode_char8(8, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(16, a);
    flick_cdr_encode_char8(17, *b);
    flick_iiop_encode_end_chunk(18);
    flick_iiop_encode_end_glob(18);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_char8(0, *b);
            flick_cdr_swap_decode_char8(1, *c);
            flick_cdr_swap_decode_char8(2, _return);
            flick_iiop_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(7);
    }
  } else {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_char8(0, *b);
            flick_cdr_decode_char8(1, *c);
            flick_cdr_decode_char8(2, _return);
            flick_iiop_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(7);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

CORBA_octet Atomic_test_Octet(Atomic_test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(18);
    flick_iiop_encode_new_chunk(18);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 'O');
    flick_cdr_encode_char8(5, 'c');
    flick_cdr_encode_char8(6, 't');
    flick_cdr_encode_char8(7, 'e');
    flick_cdr_encode_char8(8, 't');
    flick_cdr_encode_char8(9, 0);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(16, a);
    flick_cdr_encode_unsigned8(17, *b);
    flick_iiop_encode_end_chunk(18);
    flick_iiop_encode_end_glob(18);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_corba_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_unsigned8(0, *b);
            flick_cdr_swap_decode_unsigned8(1, *c);
            flick_cdr_swap_decode_unsigned8(2, _return);
            flick_iiop_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(7);
    }
  } else {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, *b);
            flick_cdr_decode_unsigned8(1, *c);
            flick_cdr_decode_unsigned8(2, _return);
            flick_iiop_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(7);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

