#include "constant-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &M_A_server, "M_A_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &M_A_server, "M_A_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_N(flick_marshal_stream_t _stream, const N *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_N_swap(flick_marshal_stream_t _stream, N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_E(flick_marshal_stream_t _stream, const E *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_E_swap(flick_marshal_stream_t _stream, E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_F(flick_marshal_stream_t _stream, const F *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->type);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->type);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_F_swap(flick_marshal_stream_t _stream, F *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->type);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_M_N(flick_marshal_stream_t _stream, const M_N *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_M_N_swap(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_M_E(flick_marshal_stream_t _stream, const M_E *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_M_E_swap(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, const M_A_N *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_M_A_N_swap(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, const M_A_E *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_M_A_E_swap(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_M_A(flick_marshal_stream_t _stream, const M_A *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_M_A_swap(flick_marshal_stream_t _stream, M_A *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int M_A_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t27_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t27_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t27_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t28_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t28_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t28_switch_tag)
            {
            case 'f':
              {
                char _t29_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t29_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t29_switch_tag)
                  {
                  case 'o':
                    {
                      char _t30_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t30_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t30_switch_tag)
                        {
                        case 'o':
                          {
                            char _t31_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t31_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t31_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    M_A _obj;
                                    M_A_N _local_x;
                                    M_A_N *_local_y;
                                    M_A_N *_local_z;
                                    CORBA_Environment *_ev;
                                    M_A_N _return;
                                    M_A_N _t32_storage;
                                    CORBA_Environment _t33_storage;
                                    unsigned int _t34_principal;
                                    M_A_N _t35_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_y = &_t32_storage;
                                    _ev = &_t33_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_swap_decode_unsigned32(0, _t34_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_swap_decode_unsigned32(4, _local_x);
                                    _local_z = &_t35_storage;
                                    flick_cdr_swap_decode_unsigned32(8, *_local_z);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(20);
                                    flick_corba_init_environment();
                                    _return = M_A_foo(_obj, _local_x, _local_y, _local_z, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, *_local_y);
                                          flick_cdr_encode_unsigned32(4, *_local_z);
                                          flick_cdr_encode_unsigned32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                          flick_iiop_encode_end_chunk(1);
                                          switch (_ev->_atomic_user_id)
                                            {
                                            case 0:
                                              {
                                                flick_iiop_encode_new_chunk(3);
                                                flick_cdr_encode_signed16(1, ((M_A_E *)(_ev->_except))->cause);
                                                CORBA_flick_free((M_A_E *)(_ev->_except));
                                                flick_iiop_encode_end_chunk(3);
                                                break;
                                              }
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(7);
                                                flick_cdr_encode_signed32(3, ((F *)(_ev->_except))->type);
                                                CORBA_flick_free((F *)(_ev->_except));
                                                flick_iiop_encode_end_chunk(7);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                break;
                                              }
                                            }
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t9_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t9_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t9_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t10_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t10_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t10_switch_tag)
            {
            case 'f':
              {
                char _t11_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t11_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t11_switch_tag)
                  {
                  case 'o':
                    {
                      char _t12_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t12_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t12_switch_tag)
                        {
                        case 'o':
                          {
                            char _t13_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t13_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t13_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    M_A _obj;
                                    M_A_N _local_x;
                                    M_A_N *_local_y;
                                    M_A_N *_local_z;
                                    CORBA_Environment *_ev;
                                    M_A_N _return;
                                    M_A_N _t14_storage;
                                    CORBA_Environment _t15_storage;
                                    unsigned int _t16_principal;
                                    M_A_N _t17_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _local_y = &_t14_storage;
                                    _ev = &_t15_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(12);
                                    flick_cdr_decode_unsigned32(0, _t16_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    flick_cdr_decode_unsigned32(4, _local_x);
                                    _local_z = &_t17_storage;
                                    flick_cdr_decode_unsigned32(8, *_local_z);
                                    flick_iiop_decode_end_chunk(12);
                                    flick_iiop_decode_end_glob(20);
                                    flick_corba_init_environment();
                                    _return = M_A_foo(_obj, _local_x, _local_y, _local_z, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(16);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(12);
                                          flick_cdr_encode_unsigned32(0, *_local_y);
                                          flick_cdr_encode_unsigned32(4, *_local_z);
                                          flick_cdr_encode_unsigned32(8, _return);
                                          flick_iiop_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                          flick_iiop_encode_end_chunk(1);
                                          switch (_ev->_atomic_user_id)
                                            {
                                            case 0:
                                              {
                                                flick_iiop_encode_new_chunk(3);
                                                flick_cdr_encode_signed16(1, ((M_A_E *)(_ev->_except))->cause);
                                                CORBA_flick_free((M_A_E *)(_ev->_except));
                                                flick_iiop_encode_end_chunk(3);
                                                break;
                                              }
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(7);
                                                flick_cdr_encode_signed32(3, ((F *)(_ev->_except))->type);
                                                CORBA_flick_free((F *)(_ev->_except));
                                                flick_iiop_encode_end_chunk(7);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                break;
                                              }
                                            }
                                        }
                                      }
                                    flick_iiop_encode_end_glob(16);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return 0;
}
