#include "corbastat-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &test_server, "test_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t_swap(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t_swap(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t_swap(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t_swap(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t_swap(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t_swap(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t_swap(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t_swap(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t_swap(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const struct my_timespec *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->my_tv_sec);
  flick_cdr_encode_signed32(4, _data->my_tv_nsec);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec_swap(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_swap_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->my_tv_sec);
  flick_cdr_encode_signed32(4, _data->my_tv_nsec);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t_swap(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_swap_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_test_my_stat(flick_marshal_stream_t _stream, const struct test_my_stat *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_iiop_encode_new_glob(136);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->st_dev);
  _t0_array_length = 3;
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->st_pad1[_t2_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->st_pad1, sizeof(long) * _t0_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(24);
  flick_cdr_encode_unsigned32(0, _data->st_ino);
  flick_cdr_encode_unsigned32(4, _data->st_mode);
  flick_cdr_encode_unsigned32(8, _data->st_nlink);
  flick_cdr_encode_signed32(12, _data->st_uid);
  flick_cdr_encode_signed32(16, _data->st_gid);
  flick_cdr_encode_unsigned32(20, _data->st_rdev);
  _t3_array_length = 2;
  flick_iiop_encode_end_chunk(24);
#if 0 /* We never byte swap on encoding */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->st_pad2[_t5_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->st_pad2, sizeof(long) * _t3_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(40);
  flick_cdr_encode_signed32(0, _data->st_size);
  flick_cdr_encode_signed32(4, _data->st_pad3);
  flick_cdr_encode_signed32(8, _data->st_atime.my_tv_sec);
  flick_cdr_encode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_cdr_encode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_cdr_encode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_cdr_encode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_cdr_encode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_cdr_encode_signed32(32, _data->st_blksize);
  flick_cdr_encode_signed32(36, _data->st_blocks);
  _t6_array_length = 16;
  flick_iiop_encode_end_chunk(40);
#if 0 /* We never byte swap on encoding */
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->st_fstype[_t8_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->st_fstype, sizeof(char) * _t6_array_length, iiop);
#endif /* alway bcopy */
  _t9_array_length = 8;
#if 0 /* We never byte swap on encoding */
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->st_pad4[_t11_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->st_pad4, sizeof(long) * _t9_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(136);
}

void flick_unmarshal_stub_test_my_stat(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_iiop_decode_new_glob(136);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->st_dev);
  _t12_array_length = 3;
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->st_pad1[_t14_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->st_pad1, sizeof(long) * _t12_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(24);
  flick_cdr_decode_unsigned32(0, _data->st_ino);
  flick_cdr_decode_unsigned32(4, _data->st_mode);
  flick_cdr_decode_unsigned32(8, _data->st_nlink);
  flick_cdr_decode_signed32(12, _data->st_uid);
  flick_cdr_decode_signed32(16, _data->st_gid);
  flick_cdr_decode_unsigned32(20, _data->st_rdev);
  _t15_array_length = 2;
  flick_iiop_decode_end_chunk(24);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->st_pad2[_t17_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->st_pad2, sizeof(long) * _t15_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(40);
  flick_cdr_decode_signed32(0, _data->st_size);
  flick_cdr_decode_signed32(4, _data->st_pad3);
  flick_cdr_decode_signed32(8, _data->st_atime.my_tv_sec);
  flick_cdr_decode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_cdr_decode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_cdr_decode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_cdr_decode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_cdr_decode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_cdr_decode_signed32(32, _data->st_blksize);
  flick_cdr_decode_signed32(36, _data->st_blocks);
  _t18_array_length = 16;
  flick_iiop_decode_end_chunk(40);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->st_fstype[_t20_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->st_fstype, sizeof(char) * _t18_array_length, iiop);
#endif
  _t21_array_length = 8;
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->st_pad4[_t23_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->st_pad4, sizeof(long) * _t21_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(136);
}

void flick_unmarshal_stub_test_my_stat_swap(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  flick_iiop_decode_new_glob(136);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->st_dev);
  _t24_array_length = 3;
  flick_iiop_decode_end_chunk(4);
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad1[_t26_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->st_ino);
  flick_cdr_swap_decode_unsigned32(4, _data->st_mode);
  flick_cdr_swap_decode_unsigned32(8, _data->st_nlink);
  flick_cdr_swap_decode_signed32(12, _data->st_uid);
  flick_cdr_swap_decode_signed32(16, _data->st_gid);
  flick_cdr_swap_decode_unsigned32(20, _data->st_rdev);
  _t27_array_length = 2;
  flick_iiop_decode_end_chunk(24);
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad2[_t29_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(40);
  flick_cdr_swap_decode_signed32(0, _data->st_size);
  flick_cdr_swap_decode_signed32(4, _data->st_pad3);
  flick_cdr_swap_decode_signed32(8, _data->st_atime.my_tv_sec);
  flick_cdr_swap_decode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_cdr_swap_decode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_cdr_swap_decode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(32, _data->st_blksize);
  flick_cdr_swap_decode_signed32(36, _data->st_blocks);
  _t30_array_length = 16;
  flick_iiop_decode_end_chunk(40);
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->st_fstype[_t32_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  _t33_array_length = 8;
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->st_pad4[_t35_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(136);
}

void flick_marshal_stub_test_entry(flick_marshal_stream_t _stream, const struct test_entry *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;
  flick_unsigned8_t _t45_array_length;
  flick_unsigned8_t _t47_array_iter;

  flick_cdr_encode_string(_data->filename, CORBA_flick_free, iiop, 255);
  flick_iiop_encode_new_glob(136);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->info.st_dev);
  _t36_array_length = 3;
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->info.st_pad1[_t38_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->info.st_pad1, sizeof(long) * _t36_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(24);
  flick_cdr_encode_unsigned32(0, _data->info.st_ino);
  flick_cdr_encode_unsigned32(4, _data->info.st_mode);
  flick_cdr_encode_unsigned32(8, _data->info.st_nlink);
  flick_cdr_encode_signed32(12, _data->info.st_uid);
  flick_cdr_encode_signed32(16, _data->info.st_gid);
  flick_cdr_encode_unsigned32(20, _data->info.st_rdev);
  _t39_array_length = 2;
  flick_iiop_encode_end_chunk(24);
#if 0 /* We never byte swap on encoding */
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->info.st_pad2[_t41_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->info.st_pad2, sizeof(long) * _t39_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_new_chunk(40);
  flick_cdr_encode_signed32(0, _data->info.st_size);
  flick_cdr_encode_signed32(4, _data->info.st_pad3);
  flick_cdr_encode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_cdr_encode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_cdr_encode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_cdr_encode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_cdr_encode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_cdr_encode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_cdr_encode_signed32(32, _data->info.st_blksize);
  flick_cdr_encode_signed32(36, _data->info.st_blocks);
  _t42_array_length = 16;
  flick_iiop_encode_end_chunk(40);
#if 0 /* We never byte swap on encoding */
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->info.st_fstype[_t44_array_iter]);
      flick_iiop_encode_end_chunk(1);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->info.st_fstype, sizeof(char) * _t42_array_length, iiop);
#endif /* alway bcopy */
  _t45_array_length = 8;
#if 0 /* We never byte swap on encoding */
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->info.st_pad4[_t47_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->info.st_pad4, sizeof(long) * _t45_array_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(136);
}

void flick_unmarshal_stub_test_entry(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_unsigned8_t _t48_array_length;
  flick_unsigned8_t _t50_array_iter;
  flick_unsigned8_t _t51_array_length;
  flick_unsigned8_t _t53_array_iter;
  flick_unsigned8_t _t54_array_length;
  flick_unsigned8_t _t56_array_iter;
  flick_unsigned8_t _t57_array_length;
  flick_unsigned8_t _t59_array_iter;

  flick_cdr_decode_string(_data->filename, CORBA_flick_alloc, iiop, 255);
  flick_iiop_decode_new_glob(136);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->info.st_dev);
  _t48_array_length = 3;
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->info.st_pad1[_t50_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->info.st_pad1, sizeof(long) * _t48_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(24);
  flick_cdr_decode_unsigned32(0, _data->info.st_ino);
  flick_cdr_decode_unsigned32(4, _data->info.st_mode);
  flick_cdr_decode_unsigned32(8, _data->info.st_nlink);
  flick_cdr_decode_signed32(12, _data->info.st_uid);
  flick_cdr_decode_signed32(16, _data->info.st_gid);
  flick_cdr_decode_unsigned32(20, _data->info.st_rdev);
  _t51_array_length = 2;
  flick_iiop_decode_end_chunk(24);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->info.st_pad2[_t53_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->info.st_pad2, sizeof(long) * _t51_array_length, iiop);
#endif
  flick_iiop_decode_new_chunk(40);
  flick_cdr_decode_signed32(0, _data->info.st_size);
  flick_cdr_decode_signed32(4, _data->info.st_pad3);
  flick_cdr_decode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_cdr_decode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_cdr_decode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_cdr_decode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_cdr_decode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_cdr_decode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_cdr_decode_signed32(32, _data->info.st_blksize);
  flick_cdr_decode_signed32(36, _data->info.st_blocks);
  _t54_array_length = 16;
  flick_iiop_decode_end_chunk(40);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t56_array_iter = 0; _t56_array_iter < _t54_array_length; _t56_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->info.st_fstype[_t56_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
#else
  flick_cdr_decode_bcopy(_data->info.st_fstype, sizeof(char) * _t54_array_length, iiop);
#endif
  _t57_array_length = 8;
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t59_array_iter = 0; _t59_array_iter < _t57_array_length; _t59_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->info.st_pad4[_t59_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->info.st_pad4, sizeof(long) * _t57_array_length, iiop);
#endif
  flick_iiop_decode_end_glob(136);
}

void flick_unmarshal_stub_test_entry_swap(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_unsigned8_t _t60_array_length;
  flick_unsigned8_t _t62_array_iter;
  flick_unsigned8_t _t63_array_length;
  flick_unsigned8_t _t65_array_iter;
  flick_unsigned8_t _t66_array_length;
  flick_unsigned8_t _t68_array_iter;
  flick_unsigned8_t _t69_array_length;
  flick_unsigned8_t _t71_array_iter;

  flick_cdr_swap_decode_string(_data->filename, CORBA_flick_alloc, iiop, 255);
  flick_iiop_decode_new_glob(136);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_dev);
  _t60_array_length = 3;
  flick_iiop_decode_end_chunk(4);
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad1[_t62_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_ino);
  flick_cdr_swap_decode_unsigned32(4, _data->info.st_mode);
  flick_cdr_swap_decode_unsigned32(8, _data->info.st_nlink);
  flick_cdr_swap_decode_signed32(12, _data->info.st_uid);
  flick_cdr_swap_decode_signed32(16, _data->info.st_gid);
  flick_cdr_swap_decode_unsigned32(20, _data->info.st_rdev);
  _t63_array_length = 2;
  flick_iiop_decode_end_chunk(24);
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad2[_t65_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(40);
  flick_cdr_swap_decode_signed32(0, _data->info.st_size);
  flick_cdr_swap_decode_signed32(4, _data->info.st_pad3);
  flick_cdr_swap_decode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_cdr_swap_decode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_cdr_swap_decode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_cdr_swap_decode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(32, _data->info.st_blksize);
  flick_cdr_swap_decode_signed32(36, _data->info.st_blocks);
  _t66_array_length = 16;
  flick_iiop_decode_end_chunk(40);
  for (_t68_array_iter = 0; _t68_array_iter < _t66_array_length; _t68_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->info.st_fstype[_t68_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  _t69_array_length = 8;
  for (_t71_array_iter = 0; _t71_array_iter < _t69_array_length; _t71_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad4[_t71_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(136);
}

void flick_marshal_stub_test_inner(flick_marshal_stream_t _stream, const struct test_inner *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a);
  flick_cdr_encode_signed32(4, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_test_inner(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a);
  flick_cdr_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_test_inner_swap(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_cdr_swap_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_test_outer(flick_marshal_stream_t _stream, const struct test_outer *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->a.a);
  flick_cdr_encode_signed32(4, _data->a.b);
  flick_cdr_encode_signed32(8, _data->b.a);
  flick_cdr_encode_signed32(12, _data->b.b);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_test_outer(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->a.a);
  flick_cdr_decode_signed32(4, _data->a.b);
  flick_cdr_decode_signed32(8, _data->b.a);
  flick_cdr_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_test_outer_swap(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->a.a);
  flick_cdr_swap_decode_signed32(4, _data->a.b);
  flick_cdr_swap_decode_signed32(8, _data->b.a);
  flick_cdr_swap_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_test_directory(flick_marshal_stream_t _stream, const test_directory *_data)
{
  unsigned long int _t97_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t97_array_iter = 0; _t97_array_iter < _data->_length; _t97_array_iter++)
    {
      flick_unsigned8_t _t110_array_length;
      flick_unsigned8_t _t112_array_iter;
      flick_unsigned8_t _t113_array_length;
      flick_unsigned8_t _t115_array_iter;
      flick_unsigned8_t _t116_array_length;
      flick_unsigned8_t _t118_array_iter;
      flick_unsigned8_t _t119_array_length;
      flick_unsigned8_t _t121_array_iter;

      flick_cdr_encode_string(_data->_buffer[_t97_array_iter].filename, CORBA_flick_free, iiop, 255);
      flick_iiop_encode_new_glob(136);
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t97_array_iter].info.st_dev);
      _t110_array_length = 3;
      flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
      for (_t112_array_iter = 0; _t112_array_iter < _t110_array_length; _t112_array_iter++)
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, _data->_buffer[_t97_array_iter].info.st_pad1[_t112_array_iter]);
          flick_iiop_encode_end_chunk(4);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->_buffer[_t97_array_iter].info.st_pad1, sizeof(long) * _t110_array_length, iiop);
#endif /* alway bcopy */
      flick_iiop_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t97_array_iter].info.st_ino);
      flick_cdr_encode_unsigned32(4, _data->_buffer[_t97_array_iter].info.st_mode);
      flick_cdr_encode_unsigned32(8, _data->_buffer[_t97_array_iter].info.st_nlink);
      flick_cdr_encode_signed32(12, _data->_buffer[_t97_array_iter].info.st_uid);
      flick_cdr_encode_signed32(16, _data->_buffer[_t97_array_iter].info.st_gid);
      flick_cdr_encode_unsigned32(20, _data->_buffer[_t97_array_iter].info.st_rdev);
      _t113_array_length = 2;
      flick_iiop_encode_end_chunk(24);
#if 0 /* We never byte swap on encoding */
      for (_t115_array_iter = 0; _t115_array_iter < _t113_array_length; _t115_array_iter++)
        {
          flick_iiop_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, _data->_buffer[_t97_array_iter].info.st_pad2[_t115_array_iter]);
          flick_iiop_encode_end_chunk(4);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->_buffer[_t97_array_iter].info.st_pad2, sizeof(long) * _t113_array_length, iiop);
#endif /* alway bcopy */
      flick_iiop_encode_new_chunk(40);
      flick_cdr_encode_signed32(0, _data->_buffer[_t97_array_iter].info.st_size);
      flick_cdr_encode_signed32(4, _data->_buffer[_t97_array_iter].info.st_pad3);
      flick_cdr_encode_signed32(8, _data->_buffer[_t97_array_iter].info.st_atime.my_tv_sec);
      flick_cdr_encode_signed32(12, _data->_buffer[_t97_array_iter].info.st_atime.my_tv_nsec);
      flick_cdr_encode_signed32(16, _data->_buffer[_t97_array_iter].info.st_mtime.my_tv_sec);
      flick_cdr_encode_signed32(20, _data->_buffer[_t97_array_iter].info.st_mtime.my_tv_nsec);
      flick_cdr_encode_signed32(24, _data->_buffer[_t97_array_iter].info.st_ctime.my_tv_sec);
      flick_cdr_encode_signed32(28, _data->_buffer[_t97_array_iter].info.st_ctime.my_tv_nsec);
      flick_cdr_encode_signed32(32, _data->_buffer[_t97_array_iter].info.st_blksize);
      flick_cdr_encode_signed32(36, _data->_buffer[_t97_array_iter].info.st_blocks);
      _t116_array_length = 16;
      flick_iiop_encode_end_chunk(40);
#if 0 /* We never byte swap on encoding */
      for (_t118_array_iter = 0; _t118_array_iter < _t116_array_length; _t118_array_iter++)
        {
          flick_iiop_encode_new_chunk(1);
          flick_cdr_encode_char8(0, _data->_buffer[_t97_array_iter].info.st_fstype[_t118_array_iter]);
          flick_iiop_encode_end_chunk(1);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->_buffer[_t97_array_iter].info.st_fstype, sizeof(char) * _t116_array_length, iiop);
#endif /* alway bcopy */
      _t119_array_length = 8;
#if 0 /* We never byte swap on encoding */
      for (_t121_array_iter = 0; _t121_array_iter < _t119_array_length; _t121_array_iter++)
        {
          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_encode_signed32(0, _data->_buffer[_t97_array_iter].info.st_pad4[_t121_array_iter]);
          flick_iiop_encode_end_chunk(4);
        }
#else /* Always bcopy */
      flick_cdr_encode_bcopy(_data->_buffer[_t97_array_iter].info.st_pad4, sizeof(long) * _t119_array_length, iiop);
#endif /* alway bcopy */
      flick_iiop_encode_end_glob(136);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_test_directory(flick_marshal_stream_t _stream, test_directory *_data)
{
  unsigned long int _t147_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_entry ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t147_array_iter = 0; _t147_array_iter < _data->_length; _t147_array_iter++)
    {
      flick_unsigned8_t _t160_array_length;
      flick_unsigned8_t _t162_array_iter;
      flick_unsigned8_t _t163_array_length;
      flick_unsigned8_t _t165_array_iter;
      flick_unsigned8_t _t166_array_length;
      flick_unsigned8_t _t168_array_iter;
      flick_unsigned8_t _t169_array_length;
      flick_unsigned8_t _t171_array_iter;

      flick_cdr_decode_string(_data->_buffer[_t147_array_iter].filename, CORBA_flick_alloc, iiop, 255);
      flick_iiop_decode_new_glob(136);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t147_array_iter].info.st_dev);
      _t160_array_length = 3;
      flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t162_array_iter = 0; _t162_array_iter < _t160_array_length; _t162_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_signed32(0, _data->_buffer[_t147_array_iter].info.st_pad1[_t162_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
#else
      flick_cdr_decode_bcopy(_data->_buffer[_t147_array_iter].info.st_pad1, sizeof(long) * _t160_array_length, iiop);
#endif
      flick_iiop_decode_new_chunk(24);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t147_array_iter].info.st_ino);
      flick_cdr_decode_unsigned32(4, _data->_buffer[_t147_array_iter].info.st_mode);
      flick_cdr_decode_unsigned32(8, _data->_buffer[_t147_array_iter].info.st_nlink);
      flick_cdr_decode_signed32(12, _data->_buffer[_t147_array_iter].info.st_uid);
      flick_cdr_decode_signed32(16, _data->_buffer[_t147_array_iter].info.st_gid);
      flick_cdr_decode_unsigned32(20, _data->_buffer[_t147_array_iter].info.st_rdev);
      _t163_array_length = 2;
      flick_iiop_decode_end_chunk(24);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t165_array_iter = 0; _t165_array_iter < _t163_array_length; _t165_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_signed32(0, _data->_buffer[_t147_array_iter].info.st_pad2[_t165_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
#else
      flick_cdr_decode_bcopy(_data->_buffer[_t147_array_iter].info.st_pad2, sizeof(long) * _t163_array_length, iiop);
#endif
      flick_iiop_decode_new_chunk(40);
      flick_cdr_decode_signed32(0, _data->_buffer[_t147_array_iter].info.st_size);
      flick_cdr_decode_signed32(4, _data->_buffer[_t147_array_iter].info.st_pad3);
      flick_cdr_decode_signed32(8, _data->_buffer[_t147_array_iter].info.st_atime.my_tv_sec);
      flick_cdr_decode_signed32(12, _data->_buffer[_t147_array_iter].info.st_atime.my_tv_nsec);
      flick_cdr_decode_signed32(16, _data->_buffer[_t147_array_iter].info.st_mtime.my_tv_sec);
      flick_cdr_decode_signed32(20, _data->_buffer[_t147_array_iter].info.st_mtime.my_tv_nsec);
      flick_cdr_decode_signed32(24, _data->_buffer[_t147_array_iter].info.st_ctime.my_tv_sec);
      flick_cdr_decode_signed32(28, _data->_buffer[_t147_array_iter].info.st_ctime.my_tv_nsec);
      flick_cdr_decode_signed32(32, _data->_buffer[_t147_array_iter].info.st_blksize);
      flick_cdr_decode_signed32(36, _data->_buffer[_t147_array_iter].info.st_blocks);
      _t166_array_length = 16;
      flick_iiop_decode_end_chunk(40);
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t168_array_iter = 0; _t168_array_iter < _t166_array_length; _t168_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _data->_buffer[_t147_array_iter].info.st_fstype[_t168_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
#else
      flick_cdr_decode_bcopy(_data->_buffer[_t147_array_iter].info.st_fstype, sizeof(char) * _t166_array_length, iiop);
#endif
      _t169_array_length = 8;
#if 0 /* are we in the swapping decode or non-swapping decode */
      for (_t171_array_iter = 0; _t171_array_iter < _t169_array_length; _t171_array_iter++)
        {
          flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_decode_signed32(0, _data->_buffer[_t147_array_iter].info.st_pad4[_t171_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
#else
      flick_cdr_decode_bcopy(_data->_buffer[_t147_array_iter].info.st_pad4, sizeof(long) * _t169_array_length, iiop);
#endif
      flick_iiop_decode_end_glob(136);
    }
}

void flick_unmarshal_stub_test_directory_swap(flick_marshal_stream_t _stream, test_directory *_data)
{
  unsigned long int _t197_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_entry ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  for (_t197_array_iter = 0; _t197_array_iter < _data->_length; _t197_array_iter++)
    {
      flick_unsigned8_t _t210_array_length;
      flick_unsigned8_t _t212_array_iter;
      flick_unsigned8_t _t213_array_length;
      flick_unsigned8_t _t215_array_iter;
      flick_unsigned8_t _t216_array_length;
      flick_unsigned8_t _t218_array_iter;
      flick_unsigned8_t _t219_array_length;
      flick_unsigned8_t _t221_array_iter;

      flick_cdr_swap_decode_string(_data->_buffer[_t197_array_iter].filename, CORBA_flick_alloc, iiop, 255);
      flick_iiop_decode_new_glob(136);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t197_array_iter].info.st_dev);
      _t210_array_length = 3;
      flick_iiop_decode_end_chunk(4);
      for (_t212_array_iter = 0; _t212_array_iter < _t210_array_length; _t212_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t197_array_iter].info.st_pad1[_t212_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_new_chunk(24);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t197_array_iter].info.st_ino);
      flick_cdr_swap_decode_unsigned32(4, _data->_buffer[_t197_array_iter].info.st_mode);
      flick_cdr_swap_decode_unsigned32(8, _data->_buffer[_t197_array_iter].info.st_nlink);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t197_array_iter].info.st_uid);
      flick_cdr_swap_decode_signed32(16, _data->_buffer[_t197_array_iter].info.st_gid);
      flick_cdr_swap_decode_unsigned32(20, _data->_buffer[_t197_array_iter].info.st_rdev);
      _t213_array_length = 2;
      flick_iiop_decode_end_chunk(24);
      for (_t215_array_iter = 0; _t215_array_iter < _t213_array_length; _t215_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t197_array_iter].info.st_pad2[_t215_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_new_chunk(40);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t197_array_iter].info.st_size);
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t197_array_iter].info.st_pad3);
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t197_array_iter].info.st_atime.my_tv_sec);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t197_array_iter].info.st_atime.my_tv_nsec);
      flick_cdr_swap_decode_signed32(16, _data->_buffer[_t197_array_iter].info.st_mtime.my_tv_sec);
      flick_cdr_swap_decode_signed32(20, _data->_buffer[_t197_array_iter].info.st_mtime.my_tv_nsec);
      flick_cdr_swap_decode_signed32(24, _data->_buffer[_t197_array_iter].info.st_ctime.my_tv_sec);
      flick_cdr_swap_decode_signed32(28, _data->_buffer[_t197_array_iter].info.st_ctime.my_tv_nsec);
      flick_cdr_swap_decode_signed32(32, _data->_buffer[_t197_array_iter].info.st_blksize);
      flick_cdr_swap_decode_signed32(36, _data->_buffer[_t197_array_iter].info.st_blocks);
      _t216_array_length = 16;
      flick_iiop_decode_end_chunk(40);
      for (_t218_array_iter = 0; _t218_array_iter < _t216_array_length; _t218_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _data->_buffer[_t197_array_iter].info.st_fstype[_t218_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
      _t219_array_length = 8;
      for (_t221_array_iter = 0; _t221_array_iter < _t219_array_length; _t221_array_iter++)
        {
          flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t197_array_iter].info.st_pad4[_t221_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_end_glob(136);
    }
}

void flick_marshal_stub_test_longlist(flick_marshal_stream_t _stream, const test_longlist *_data)
{
  unsigned long int _t223_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->_length);
#if 0 /* We never byte swap on encoding */
  for (_t223_array_iter = 0; _t223_array_iter < _data->_length; _t223_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t223_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_test_longlist(flick_marshal_stream_t _stream, test_longlist *_data)
{
  unsigned long int _t225_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t225_array_iter = 0; _t225_array_iter < _data->_length; _t225_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t225_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_test_longlist_swap(flick_marshal_stream_t _stream, test_longlist *_data)
{
  unsigned long int _t227_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  for (_t227_array_iter = 0; _t227_array_iter < _data->_length; _t227_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t227_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_test_structlist(flick_marshal_stream_t _stream, const test_structlist *_data)
{
  unsigned long int _t229_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(16 * _data->_length);
  for (_t229_array_iter = 0; _t229_array_iter < _data->_length; _t229_array_iter++)
    {
      flick_iiop_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->_buffer[_t229_array_iter].a.a);
      flick_cdr_encode_signed32(4, _data->_buffer[_t229_array_iter].a.b);
      flick_cdr_encode_signed32(8, _data->_buffer[_t229_array_iter].b.a);
      flick_cdr_encode_signed32(12, _data->_buffer[_t229_array_iter].b.b);
      flick_iiop_encode_end_chunk(16);
    }
  flick_iiop_encode_end_glob(16 * _data->_length);
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_test_structlist(flick_marshal_stream_t _stream, test_structlist *_data)
{
  unsigned long int _t231_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_outer ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  for (_t231_array_iter = 0; _t231_array_iter < _data->_length; _t231_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->_buffer[_t231_array_iter].a.a);
      flick_cdr_decode_signed32(4, _data->_buffer[_t231_array_iter].a.b);
      flick_cdr_decode_signed32(8, _data->_buffer[_t231_array_iter].b.a);
      flick_cdr_decode_signed32(12, _data->_buffer[_t231_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_test_structlist_swap(flick_marshal_stream_t _stream, test_structlist *_data)
{
  unsigned long int _t233_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_outer ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  for (_t233_array_iter = 0; _t233_array_iter < _data->_length; _t233_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t233_array_iter].a.a);
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t233_array_iter].a.b);
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t233_array_iter].b.a);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t233_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t465_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t465_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t465_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t466_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t466_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t466_switch_tag)
            {
            case 'd':
              {
                char _t467_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t467_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t467_switch_tag)
                  {
                  case 'i':
                    {
                      char _t468_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t468_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t468_switch_tag)
                        {
                        case 'r':
                          {
                            char _t469_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t469_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t469_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    test_directory *_local_entries;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_Environment _t470_storage;
                                    unsigned int _t471_principal;
                                    test_directory _t472_storage;
                                    unsigned long int _t498_array_iter;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t470_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_swap_decode_unsigned32(0, _t471_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_entries = &_t472_storage;
                                    flick_cdr_swap_decode_unsigned32(4, _local_entries->_length);
                                    _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry ));
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(20);
                                    for (_t498_array_iter = 0; _t498_array_iter < _local_entries->_length; _t498_array_iter++)
                                      {
                                        flick_unsigned8_t _t511_array_length;
                                        flick_unsigned8_t _t513_array_iter;
                                        flick_unsigned8_t _t514_array_length;
                                        flick_unsigned8_t _t516_array_iter;
                                        flick_unsigned8_t _t517_array_length;
                                        flick_unsigned8_t _t519_array_iter;
                                        flick_unsigned8_t _t520_array_length;
                                        flick_unsigned8_t _t522_array_iter;

                                        flick_cdr_swap_decode_auto_string(_local_entries->_buffer[_t498_array_iter].filename, auto_flick_alloc, iiop);
                                        flick_iiop_decode_new_glob(136);
                                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_swap_decode_unsigned32(0, _local_entries->_buffer[_t498_array_iter].info.st_dev);
                                        _t511_array_length = 3;
                                        flick_iiop_decode_end_chunk(4);
                                        for (_t513_array_iter = 0; _t513_array_iter < _t511_array_length; _t513_array_iter++)
                                          {
                                            flick_iiop_decode_new_chunk(4);
                                            flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t498_array_iter].info.st_pad1[_t513_array_iter]);
                                            flick_iiop_decode_end_chunk(4);
                                          }
                                        flick_iiop_decode_new_chunk(24);
                                        flick_cdr_swap_decode_unsigned32(0, _local_entries->_buffer[_t498_array_iter].info.st_ino);
                                        flick_cdr_swap_decode_unsigned32(4, _local_entries->_buffer[_t498_array_iter].info.st_mode);
                                        flick_cdr_swap_decode_unsigned32(8, _local_entries->_buffer[_t498_array_iter].info.st_nlink);
                                        flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t498_array_iter].info.st_uid);
                                        flick_cdr_swap_decode_signed32(16, _local_entries->_buffer[_t498_array_iter].info.st_gid);
                                        flick_cdr_swap_decode_unsigned32(20, _local_entries->_buffer[_t498_array_iter].info.st_rdev);
                                        _t514_array_length = 2;
                                        flick_iiop_decode_end_chunk(24);
                                        for (_t516_array_iter = 0; _t516_array_iter < _t514_array_length; _t516_array_iter++)
                                          {
                                            flick_iiop_decode_new_chunk(4);
                                            flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t498_array_iter].info.st_pad2[_t516_array_iter]);
                                            flick_iiop_decode_end_chunk(4);
                                          }
                                        flick_iiop_decode_new_chunk(40);
                                        flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t498_array_iter].info.st_size);
                                        flick_cdr_swap_decode_signed32(4, _local_entries->_buffer[_t498_array_iter].info.st_pad3);
                                        flick_cdr_swap_decode_signed32(8, _local_entries->_buffer[_t498_array_iter].info.st_atime.my_tv_sec);
                                        flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t498_array_iter].info.st_atime.my_tv_nsec);
                                        flick_cdr_swap_decode_signed32(16, _local_entries->_buffer[_t498_array_iter].info.st_mtime.my_tv_sec);
                                        flick_cdr_swap_decode_signed32(20, _local_entries->_buffer[_t498_array_iter].info.st_mtime.my_tv_nsec);
                                        flick_cdr_swap_decode_signed32(24, _local_entries->_buffer[_t498_array_iter].info.st_ctime.my_tv_sec);
                                        flick_cdr_swap_decode_signed32(28, _local_entries->_buffer[_t498_array_iter].info.st_ctime.my_tv_nsec);
                                        flick_cdr_swap_decode_signed32(32, _local_entries->_buffer[_t498_array_iter].info.st_blksize);
                                        flick_cdr_swap_decode_signed32(36, _local_entries->_buffer[_t498_array_iter].info.st_blocks);
                                        _t517_array_length = 16;
                                        flick_iiop_decode_end_chunk(40);
                                        for (_t519_array_iter = 0; _t519_array_iter < _t517_array_length; _t519_array_iter++)
                                          {
                                            flick_iiop_decode_new_chunk(1);
                                            flick_cdr_swap_decode_char8(0, _local_entries->_buffer[_t498_array_iter].info.st_fstype[_t519_array_iter]);
                                            flick_iiop_decode_end_chunk(1);
                                          }
                                        _t520_array_length = 8;
                                        for (_t522_array_iter = 0; _t522_array_iter < _t520_array_length; _t522_array_iter++)
                                          {
                                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t498_array_iter].info.st_pad4[_t522_array_iter]);
                                            flick_iiop_decode_end_chunk(4);
                                          }
                                        flick_iiop_decode_end_glob(136);
                                      }
                                    flick_corba_init_environment();
                                    _return = test_dir(_obj, _local_entries, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(8);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case 'l':
              {
                char _t523_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t523_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t523_switch_tag)
                  {
                  case 'n':
                    {
                      char _t524_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t524_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t524_switch_tag)
                        {
                        case 'g':
                          {
                            char _t525_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t525_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t525_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    test_longlist *_local_entries;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_Environment _t526_storage;
                                    unsigned int _t527_principal;
                                    test_longlist _t528_storage;
                                    unsigned long int _t530_array_iter;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t526_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_swap_decode_unsigned32(0, _t527_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_entries = &_t528_storage;
                                    flick_cdr_swap_decode_unsigned32(4, _local_entries->_length);
                                    _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(CORBA_long ));
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(4 * _local_entries->_length);
                                    for (_t530_array_iter = 0; _t530_array_iter < _local_entries->_length; _t530_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t530_array_iter]);
                                        flick_iiop_decode_end_chunk(4);
                                      }
                                    flick_iiop_decode_end_glob(4 * _local_entries->_length);
                                    flick_corba_init_environment();
                                    _return = test_lng(_obj, _local_entries, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(8);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t531_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t531_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t531_switch_tag)
            {
            case 's':
              {
                char _t532_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t532_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t532_switch_tag)
                  {
                  case 't':
                    {
                      char _t533_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t533_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t533_switch_tag)
                        {
                        case 'r':
                          {
                            char _t534_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t534_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t534_switch_tag)
                              {
                              case 'c':
                                {
                                  char _t535_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t535_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t535_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t536_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t536_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t536_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                test_structlist *_local_entries;
                                                CORBA_Environment *_ev;
                                                CORBA_long _return = 0;
                                                CORBA_Environment _t537_storage;
                                                unsigned int _t538_principal;
                                                test_structlist _t539_storage;
                                                unsigned long int _t541_array_iter;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _ev = &_t537_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(10);
                                                flick_cdr_swap_decode_unsigned32(2, _t538_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                _local_entries = &_t539_storage;
                                                flick_cdr_swap_decode_unsigned32(6, _local_entries->_length);
                                                _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer ));
                                                flick_iiop_decode_end_chunk(10);
                                                flick_iiop_decode_end_glob(20);
                                                flick_iiop_decode_new_glob(16 * _local_entries->_length);
                                                for (_t541_array_iter = 0; _t541_array_iter < _local_entries->_length; _t541_array_iter++)
                                                  {
                                                    flick_iiop_decode_new_chunk(16);
                                                    flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t541_array_iter].a.a);
                                                    flick_cdr_swap_decode_signed32(4, _local_entries->_buffer[_t541_array_iter].a.b);
                                                    flick_cdr_swap_decode_signed32(8, _local_entries->_buffer[_t541_array_iter].b.a);
                                                    flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t541_array_iter].b.b);
                                                    flick_iiop_decode_end_chunk(16);
                                                  }
                                                flick_iiop_decode_end_glob(16 * _local_entries->_length);
                                                flick_corba_init_environment();
                                                _return = test_strct(_obj, _local_entries, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(8);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _return);
                                                      flick_iiop_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(8);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(20);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(20);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t311_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t311_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t311_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t312_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t312_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t312_switch_tag)
            {
            case 'd':
              {
                char _t313_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t313_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t313_switch_tag)
                  {
                  case 'i':
                    {
                      char _t314_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t314_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t314_switch_tag)
                        {
                        case 'r':
                          {
                            char _t315_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t315_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t315_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    test_directory *_local_entries;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_Environment _t316_storage;
                                    unsigned int _t317_principal;
                                    test_directory _t318_storage;
                                    unsigned long int _t344_array_iter;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t316_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_decode_unsigned32(0, _t317_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_entries = &_t318_storage;
                                    flick_cdr_decode_unsigned32(4, _local_entries->_length);
                                    _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry ));
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(20);
                                    for (_t344_array_iter = 0; _t344_array_iter < _local_entries->_length; _t344_array_iter++)
                                      {
                                        flick_unsigned8_t _t357_array_length;
                                        flick_unsigned8_t _t359_array_iter;
                                        flick_unsigned8_t _t360_array_length;
                                        flick_unsigned8_t _t362_array_iter;
                                        flick_unsigned8_t _t363_array_length;
                                        flick_unsigned8_t _t365_array_iter;
                                        flick_unsigned8_t _t366_array_length;
                                        flick_unsigned8_t _t368_array_iter;

                                        flick_cdr_decode_auto_string(_local_entries->_buffer[_t344_array_iter].filename, auto_flick_alloc, iiop);
                                        flick_iiop_decode_new_glob(136);
                                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_decode_unsigned32(0, _local_entries->_buffer[_t344_array_iter].info.st_dev);
                                        _t357_array_length = 3;
                                        flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                        for (_t359_array_iter = 0; _t359_array_iter < _t357_array_length; _t359_array_iter++)
                                          {
                                            flick_iiop_decode_new_chunk(4);
                                            flick_cdr_decode_signed32(0, _local_entries->_buffer[_t344_array_iter].info.st_pad1[_t359_array_iter]);
                                            flick_iiop_decode_end_chunk(4);
                                          }
#else
                                        flick_cdr_decode_bcopy(_local_entries->_buffer[_t344_array_iter].info.st_pad1, sizeof(long) * _t357_array_length, iiop);
#endif
                                        flick_iiop_decode_new_chunk(24);
                                        flick_cdr_decode_unsigned32(0, _local_entries->_buffer[_t344_array_iter].info.st_ino);
                                        flick_cdr_decode_unsigned32(4, _local_entries->_buffer[_t344_array_iter].info.st_mode);
                                        flick_cdr_decode_unsigned32(8, _local_entries->_buffer[_t344_array_iter].info.st_nlink);
                                        flick_cdr_decode_signed32(12, _local_entries->_buffer[_t344_array_iter].info.st_uid);
                                        flick_cdr_decode_signed32(16, _local_entries->_buffer[_t344_array_iter].info.st_gid);
                                        flick_cdr_decode_unsigned32(20, _local_entries->_buffer[_t344_array_iter].info.st_rdev);
                                        _t360_array_length = 2;
                                        flick_iiop_decode_end_chunk(24);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                        for (_t362_array_iter = 0; _t362_array_iter < _t360_array_length; _t362_array_iter++)
                                          {
                                            flick_iiop_decode_new_chunk(4);
                                            flick_cdr_decode_signed32(0, _local_entries->_buffer[_t344_array_iter].info.st_pad2[_t362_array_iter]);
                                            flick_iiop_decode_end_chunk(4);
                                          }
#else
                                        flick_cdr_decode_bcopy(_local_entries->_buffer[_t344_array_iter].info.st_pad2, sizeof(long) * _t360_array_length, iiop);
#endif
                                        flick_iiop_decode_new_chunk(40);
                                        flick_cdr_decode_signed32(0, _local_entries->_buffer[_t344_array_iter].info.st_size);
                                        flick_cdr_decode_signed32(4, _local_entries->_buffer[_t344_array_iter].info.st_pad3);
                                        flick_cdr_decode_signed32(8, _local_entries->_buffer[_t344_array_iter].info.st_atime.my_tv_sec);
                                        flick_cdr_decode_signed32(12, _local_entries->_buffer[_t344_array_iter].info.st_atime.my_tv_nsec);
                                        flick_cdr_decode_signed32(16, _local_entries->_buffer[_t344_array_iter].info.st_mtime.my_tv_sec);
                                        flick_cdr_decode_signed32(20, _local_entries->_buffer[_t344_array_iter].info.st_mtime.my_tv_nsec);
                                        flick_cdr_decode_signed32(24, _local_entries->_buffer[_t344_array_iter].info.st_ctime.my_tv_sec);
                                        flick_cdr_decode_signed32(28, _local_entries->_buffer[_t344_array_iter].info.st_ctime.my_tv_nsec);
                                        flick_cdr_decode_signed32(32, _local_entries->_buffer[_t344_array_iter].info.st_blksize);
                                        flick_cdr_decode_signed32(36, _local_entries->_buffer[_t344_array_iter].info.st_blocks);
                                        _t363_array_length = 16;
                                        flick_iiop_decode_end_chunk(40);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                        for (_t365_array_iter = 0; _t365_array_iter < _t363_array_length; _t365_array_iter++)
                                          {
                                            flick_iiop_decode_new_chunk(1);
                                            flick_cdr_decode_char8(0, _local_entries->_buffer[_t344_array_iter].info.st_fstype[_t365_array_iter]);
                                            flick_iiop_decode_end_chunk(1);
                                          }
#else
                                        flick_cdr_decode_bcopy(_local_entries->_buffer[_t344_array_iter].info.st_fstype, sizeof(char) * _t363_array_length, iiop);
#endif
                                        _t366_array_length = 8;
#if 0 /* are we in the swapping decode or non-swapping decode */
                                        for (_t368_array_iter = 0; _t368_array_iter < _t366_array_length; _t368_array_iter++)
                                          {
                                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_decode_signed32(0, _local_entries->_buffer[_t344_array_iter].info.st_pad4[_t368_array_iter]);
                                            flick_iiop_decode_end_chunk(4);
                                          }
#else
                                        flick_cdr_decode_bcopy(_local_entries->_buffer[_t344_array_iter].info.st_pad4, sizeof(long) * _t366_array_length, iiop);
#endif
                                        flick_iiop_decode_end_glob(136);
                                      }
                                    flick_corba_init_environment();
                                    _return = test_dir(_obj, _local_entries, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(8);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case 'l':
              {
                char _t369_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t369_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t369_switch_tag)
                  {
                  case 'n':
                    {
                      char _t370_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t370_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t370_switch_tag)
                        {
                        case 'g':
                          {
                            char _t371_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t371_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t371_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    test_longlist *_local_entries;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    CORBA_Environment _t372_storage;
                                    unsigned int _t373_principal;
                                    test_longlist _t374_storage;
                                    unsigned long int _t376_array_iter;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    _ev = &_t372_storage;
                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                    flick_iiop_decode_new_chunk(8);
                                    flick_cdr_decode_unsigned32(0, _t373_principal);
                                    /* XXX - right now, it had better be empty! - fix this... */
                                    _local_entries = &_t374_storage;
                                    flick_cdr_decode_unsigned32(4, _local_entries->_length);
                                    _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(CORBA_long ));
                                    flick_iiop_decode_end_chunk(8);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(4 * _local_entries->_length);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                    for (_t376_array_iter = 0; _t376_array_iter < _local_entries->_length; _t376_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(4);
                                        flick_cdr_decode_signed32(0, _local_entries->_buffer[_t376_array_iter]);
                                        flick_iiop_decode_end_chunk(4);
                                      }
#else
                                    flick_cdr_decode_bcopy(_local_entries->_buffer, sizeof(long) * _local_entries->_length, iiop);
#endif
                                    flick_iiop_decode_end_glob(4 * _local_entries->_length);
                                    flick_corba_init_environment();
                                    _return = test_lng(_obj, _local_entries, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(8);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t377_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t377_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t377_switch_tag)
            {
            case 's':
              {
                char _t378_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t378_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t378_switch_tag)
                  {
                  case 't':
                    {
                      char _t379_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t379_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t379_switch_tag)
                        {
                        case 'r':
                          {
                            char _t380_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t380_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t380_switch_tag)
                              {
                              case 'c':
                                {
                                  char _t381_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t381_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t381_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t382_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t382_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t382_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                test_structlist *_local_entries;
                                                CORBA_Environment *_ev;
                                                CORBA_long _return = 0;
                                                CORBA_Environment _t383_storage;
                                                unsigned int _t384_principal;
                                                test_structlist _t385_storage;
                                                unsigned long int _t387_array_iter;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                _ev = &_t383_storage;
                                                /* Decode the 'Principal' pseudo-object (secure ID) */
                                                flick_iiop_decode_new_chunk(10);
                                                flick_cdr_decode_unsigned32(2, _t384_principal);
                                                /* XXX - right now, it had better be empty! - fix this... */
                                                _local_entries = &_t385_storage;
                                                flick_cdr_decode_unsigned32(6, _local_entries->_length);
                                                _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer ));
                                                flick_iiop_decode_end_chunk(10);
                                                flick_iiop_decode_end_glob(20);
                                                flick_iiop_decode_new_glob(16 * _local_entries->_length);
                                                for (_t387_array_iter = 0; _t387_array_iter < _local_entries->_length; _t387_array_iter++)
                                                  {
                                                    flick_iiop_decode_new_chunk(16);
                                                    flick_cdr_decode_signed32(0, _local_entries->_buffer[_t387_array_iter].a.a);
                                                    flick_cdr_decode_signed32(4, _local_entries->_buffer[_t387_array_iter].a.b);
                                                    flick_cdr_decode_signed32(8, _local_entries->_buffer[_t387_array_iter].b.a);
                                                    flick_cdr_decode_signed32(12, _local_entries->_buffer[_t387_array_iter].b.b);
                                                    flick_iiop_decode_end_chunk(16);
                                                  }
                                                flick_iiop_decode_end_glob(16 * _local_entries->_length);
                                                flick_corba_init_environment();
                                                _return = test_strct(_obj, _local_entries, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(8);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _return);
                                                      flick_iiop_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                    }
                                                  }
                                                flick_iiop_encode_end_glob(8);
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(20);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(20);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return 0;
}
