#include "interface_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &math_server, "math_server_instance1");
		CORBA_BOA_obj_is_ready(boa, &math_server, "math_server_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
#if 0 /* We never byte swap on encoding */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif /* alway bcopy */
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, iiop);
#endif
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_long10_swap(flick_marshal_stream_t _stream, long10 *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_iiop_decode_end_chunk(4);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_port32(0, *_data, 1);
  flick_iiop_mark_port_for_cleanup(*_data, 1);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_math_swap(flick_marshal_stream_t _stream, math *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_port32(0, *_data, 1);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int math_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t300_switch_tag;

    flick_iiop_decode_new_glob(68);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t300_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t300_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t301_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t301_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t301_switch_tag)
            {
            case 'a':
              {
                char _t302_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t302_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t302_switch_tag)
                  {
                  case 'd':
                    {
                      char _t303_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t303_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t303_switch_tag)
                        {
                        case 'd':
                          {
                            char _t304_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t304_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t304_switch_tag)
                              {
                              case 's':
                                {
                                  char _t305_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t305_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t305_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t306_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t306_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t306_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t307_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t307_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t307_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t308_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t308_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t308_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t309_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t309_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t309_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_short _local_a;
                                                                  CORBA_short _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_short _return = 0;
                                                                  CORBA_Environment _t310_storage;
                                                                  unsigned int _t311_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t310_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t311_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_swap_decode_signed16(7, _local_a);
                                                                  flick_cdr_swap_decode_signed16(9, _local_b);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(68);
                                                                  flick_corba_init_environment();
                                                                  _return = math_addshort(_obj, _local_a, _local_b, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(6);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(2);
                                                                        flick_cdr_encode_signed16(0, _return);
                                                                        flick_iiop_encode_end_chunk(2);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(6);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t312_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t312_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t312_switch_tag)
                  {
                  case 'u':
                    {
                      char _t313_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t313_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t313_switch_tag)
                        {
                        case 'b':
                          {
                            char _t314_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t314_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t314_switch_tag)
                              {
                              case 's':
                                {
                                  char _t315_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t315_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t315_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t316_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t316_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t316_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t317_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t317_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t317_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t318_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t318_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t318_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t319_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t319_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t319_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_short _local_a;
                                                                  CORBA_short _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_short _return = 0;
                                                                  CORBA_Environment _t320_storage;
                                                                  unsigned int _t321_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t320_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t321_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_swap_decode_signed16(7, _local_a);
                                                                  flick_cdr_swap_decode_signed16(9, _local_b);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(68);
                                                                  flick_corba_init_environment();
                                                                  _return = math_subshort(_obj, _local_a, _local_b, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(6);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(2);
                                                                        flick_cdr_encode_signed16(0, _return);
                                                                        flick_iiop_encode_end_chunk(2);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(6);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            case 'm':
              {
                char _t322_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t322_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t322_switch_tag)
                  {
                  case 'u':
                    {
                      char _t323_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t323_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t323_switch_tag)
                        {
                        case 'l':
                          {
                            char _t324_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t324_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t324_switch_tag)
                              {
                              case 't':
                                {
                                  char _t325_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t325_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t325_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t326_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t326_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t326_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t327_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t327_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t327_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t328_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t328_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t328_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t329_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t329_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t329_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_long _local_a;
                                                                  CORBA_long _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t330_storage;
                                                                  unsigned int _t331_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t330_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(15);
                                                                  flick_cdr_swap_decode_unsigned32(3, _t331_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_swap_decode_signed32(7, _local_a);
                                                                  flick_cdr_swap_decode_signed32(11, _local_b);
                                                                  flick_iiop_decode_end_chunk(15);
                                                                  flick_iiop_decode_end_glob(68);
                                                                  flick_corba_init_environment();
                                                                  _return = math_multlong(_obj, _local_a, _local_b, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t332_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t332_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t332_switch_tag)
            {
            case 'm':
              {
                char _t333_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t333_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t333_switch_tag)
                  {
                  case 'u':
                    {
                      char _t334_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t334_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t334_switch_tag)
                        {
                        case 'l':
                          {
                            char _t335_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t335_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t335_switch_tag)
                              {
                              case 't':
                                {
                                  char _t336_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t336_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t336_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t337_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t337_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t337_switch_tag)
                                          {
                                          case 'h':
                                            {
                                              char _t338_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t338_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t338_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t339_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t339_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t339_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t340_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t340_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t340_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t341_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t341_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t341_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        math _obj;
                                                                        CORBA_short _local_a;
                                                                        CORBA_short _local_b;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_short _return = 0;
                                                                        CORBA_Environment _t342_storage;
                                                                        unsigned int _t343_principal;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t342_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(10);
                                                                        flick_cdr_swap_decode_unsigned32(2, _t343_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        flick_cdr_swap_decode_signed16(6, _local_a);
                                                                        flick_cdr_swap_decode_signed16(8, _local_b);
                                                                        flick_iiop_decode_end_chunk(10);
                                                                        flick_iiop_decode_end_glob(68);
                                                                        flick_corba_init_environment();
                                                                        _return = math_multshort(_obj, _local_a, _local_b, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(6);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(2);
                                                                              flick_cdr_encode_signed16(0, _return);
                                                                              flick_iiop_encode_end_chunk(2);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(6);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t344_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t344_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t344_switch_tag)
            {
            case 'a':
              {
                char _t345_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t345_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t345_switch_tag)
                  {
                  case 'd':
                    {
                      char _t346_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t346_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t346_switch_tag)
                        {
                        case 'd':
                          {
                            char _t347_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t347_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t347_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t348_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t348_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t348_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t349_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t349_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t349_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t350_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t350_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t350_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t351_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t351_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t351_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            math _obj;
                                                            CORBA_long _local_a;
                                                            CORBA_long _local_b;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t352_storage;
                                                            unsigned int _t353_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t352_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(12);
                                                            flick_cdr_swap_decode_unsigned32(0, _t353_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_swap_decode_signed32(4, _local_a);
                                                            flick_cdr_swap_decode_signed32(8, _local_b);
                                                            flick_iiop_decode_end_chunk(12);
                                                            flick_iiop_decode_end_glob(68);
                                                            flick_corba_init_environment();
                                                            _return = math_addlong(_obj, _local_a, _local_b, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t354_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t354_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t354_switch_tag)
                  {
                  case 'u':
                    {
                      char _t355_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t355_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t355_switch_tag)
                        {
                        case 'b':
                          {
                            char _t356_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t356_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t356_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t357_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t357_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t357_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t358_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t358_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t358_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t359_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t359_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t359_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t360_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t360_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t360_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            math _obj;
                                                            CORBA_long _local_a;
                                                            CORBA_long _local_b;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t361_storage;
                                                            unsigned int _t362_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t361_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(12);
                                                            flick_cdr_swap_decode_unsigned32(0, _t362_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_swap_decode_signed32(4, _local_a);
                                                            flick_cdr_swap_decode_signed32(8, _local_b);
                                                            flick_iiop_decode_end_chunk(12);
                                                            flick_iiop_decode_end_glob(68);
                                                            flick_corba_init_environment();
                                                            _return = math_sublong(_obj, _local_a, _local_b, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t363_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t363_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t363_switch_tag)
            {
            case 'a':
              {
                char _t364_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t364_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t364_switch_tag)
                  {
                  case 'd':
                    {
                      char _t365_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t365_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t365_switch_tag)
                        {
                        case 'd':
                          {
                            char _t366_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t366_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t366_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t367_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t367_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t367_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t368_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t368_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t368_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t369_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t369_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t369_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t370_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t370_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t370_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t371_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t371_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t371_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t372_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t372_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t372_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t373_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t373_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t373_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t374_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t374_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t374_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    math _obj;
                                                                                    long10 *_local_a;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_long _return = 0;
                                                                                    CORBA_Environment _t375_storage;
                                                                                    unsigned int _t376_principal;
                                                                                    long10 _t377_storage;
                                                                                    unsigned long int _t379_array_iter;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _ev = &_t375_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(8);
                                                                                    flick_cdr_swap_decode_unsigned32(0, _t376_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    _local_a = &_t377_storage;
                                                                                    flick_cdr_swap_decode_unsigned32(4, _local_a->_length);
                                                                                    _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                                    flick_iiop_decode_end_chunk(8);
                                                                                    for (_t379_array_iter = 0; _t379_array_iter < _local_a->_length; _t379_array_iter++)
                                                                                      {
                                                                                        flick_iiop_decode_new_chunk(4);
                                                                                        flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t379_array_iter]);
                                                                                        flick_iiop_decode_end_chunk(4);
                                                                                      }
                                                                                    flick_iiop_decode_end_glob(68);
                                                                                    flick_corba_init_environment();
                                                                                    _return = math_addlonglist(_obj, _local_a, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(8);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _return);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(68);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(68);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t380_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _t380_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t380_switch_tag)
            {
            case 'm':
              {
                char _t381_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t381_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t381_switch_tag)
                  {
                  case 'u':
                    {
                      char _t382_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t382_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t382_switch_tag)
                        {
                        case 'l':
                          {
                            char _t383_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t383_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t383_switch_tag)
                              {
                              case 't':
                                {
                                  char _t384_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t384_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t384_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t385_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t385_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t385_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t386_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t386_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t386_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t387_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t387_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t387_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t388_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_swap_decode_char8(0, _t388_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t388_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t389_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_swap_decode_char8(0, _t389_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t389_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t390_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_swap_decode_char8(0, _t390_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t390_switch_tag)
                                                                        {
                                                                        case 's':
                                                                          {
                                                                            char _t391_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_swap_decode_char8(0, _t391_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t391_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t392_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_swap_decode_char8(0, _t392_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t392_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          math _obj;
                                                                                          long10 *_local_a;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_long _return = 0;
                                                                                          CORBA_Environment _t393_storage;
                                                                                          unsigned int _t394_principal;
                                                                                          long10 _t395_storage;
                                                                                          unsigned long int _t397_array_iter;

                                                                                          {
                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                          }
                                                                                          _ev = &_t393_storage;
                                                                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                          flick_iiop_decode_new_chunk(11);
                                                                                          flick_cdr_swap_decode_unsigned32(3, _t394_principal);
                                                                                          /* XXX - right now, it had better be empty! - fix this... */
                                                                                          _local_a = &_t395_storage;
                                                                                          flick_cdr_swap_decode_unsigned32(7, _local_a->_length);
                                                                                          _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                                          flick_iiop_decode_end_chunk(11);
                                                                                          for (_t397_array_iter = 0; _t397_array_iter < _local_a->_length; _t397_array_iter++)
                                                                                            {
                                                                                              flick_iiop_decode_new_chunk(4);
                                                                                              flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t397_array_iter]);
                                                                                              flick_iiop_decode_end_chunk(4);
                                                                                            }
                                                                                          flick_iiop_decode_end_glob(68);
                                                                                          flick_corba_init_environment();
                                                                                          _return = math_multlonglist(_obj, _local_a, _ev);
                                                                                          flick_iiop_server_start_encode();
                                                                                          {
                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                          }
                                                                                          flick_iiop_encode_new_glob(8);
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          switch (_ev->_major)
                                                                                            {
                                                                                            case CORBA_NO_EXCEPTION:
                                                                                              {
                                                                                                /* Begin encode phase on parameters */
                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                flick_cdr_encode_signed32(0, _return);
                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                break;
                                                                                              }
                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                              {
                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                              }
                                                                                            }
                                                                                          flick_iiop_encode_end_glob(8);
                                                                                          flick_iiop_server_end_encode();
                                                                                        }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                        flick_iiop_decode_end_glob(68);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                                  flick_iiop_decode_end_glob(68);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                            flick_iiop_decode_end_glob(68);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                      flick_iiop_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(68);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t104_switch_tag;

    flick_iiop_decode_new_glob(68);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t104_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t104_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t105_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t105_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t105_switch_tag)
            {
            case 'a':
              {
                char _t106_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t106_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t106_switch_tag)
                  {
                  case 'd':
                    {
                      char _t107_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t107_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t107_switch_tag)
                        {
                        case 'd':
                          {
                            char _t108_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t108_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t108_switch_tag)
                              {
                              case 's':
                                {
                                  char _t109_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t109_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t109_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t110_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t110_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t110_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t111_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t111_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t111_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t112_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t112_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t112_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t113_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t113_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t113_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_short _local_a;
                                                                  CORBA_short _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_short _return = 0;
                                                                  CORBA_Environment _t114_storage;
                                                                  unsigned int _t115_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t114_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t115_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_decode_signed16(7, _local_a);
                                                                  flick_cdr_decode_signed16(9, _local_b);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(68);
                                                                  flick_corba_init_environment();
                                                                  _return = math_addshort(_obj, _local_a, _local_b, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(6);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(2);
                                                                        flick_cdr_encode_signed16(0, _return);
                                                                        flick_iiop_encode_end_chunk(2);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(6);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t116_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t116_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t116_switch_tag)
                  {
                  case 'u':
                    {
                      char _t117_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t117_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t117_switch_tag)
                        {
                        case 'b':
                          {
                            char _t118_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t118_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t118_switch_tag)
                              {
                              case 's':
                                {
                                  char _t119_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t119_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t119_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t120_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t120_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t120_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t121_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t121_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t121_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t122_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t122_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t122_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t123_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t123_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t123_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_short _local_a;
                                                                  CORBA_short _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_short _return = 0;
                                                                  CORBA_Environment _t124_storage;
                                                                  unsigned int _t125_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t124_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(11);
                                                                  flick_cdr_decode_unsigned32(3, _t125_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_decode_signed16(7, _local_a);
                                                                  flick_cdr_decode_signed16(9, _local_b);
                                                                  flick_iiop_decode_end_chunk(11);
                                                                  flick_iiop_decode_end_glob(68);
                                                                  flick_corba_init_environment();
                                                                  _return = math_subshort(_obj, _local_a, _local_b, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(6);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(2);
                                                                        flick_cdr_encode_signed16(0, _return);
                                                                        flick_iiop_encode_end_chunk(2);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(6);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            case 'm':
              {
                char _t126_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t126_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t126_switch_tag)
                  {
                  case 'u':
                    {
                      char _t127_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t127_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t127_switch_tag)
                        {
                        case 'l':
                          {
                            char _t128_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t128_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t128_switch_tag)
                              {
                              case 't':
                                {
                                  char _t129_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t129_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t129_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t130_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t130_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t130_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t131_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t131_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t131_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t132_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t132_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t132_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t133_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t133_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t133_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_long _local_a;
                                                                  CORBA_long _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t134_storage;
                                                                  unsigned int _t135_principal;

                                                                  {
                                                                    flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                  }
                                                                  _ev = &_t134_storage;
                                                                  /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                  flick_iiop_decode_new_chunk(15);
                                                                  flick_cdr_decode_unsigned32(3, _t135_principal);
                                                                  /* XXX - right now, it had better be empty! - fix this... */
                                                                  flick_cdr_decode_signed32(7, _local_a);
                                                                  flick_cdr_decode_signed32(11, _local_b);
                                                                  flick_iiop_decode_end_chunk(15);
                                                                  flick_iiop_decode_end_glob(68);
                                                                  flick_corba_init_environment();
                                                                  _return = math_multlong(_obj, _local_a, _local_b, _ev);
                                                                  flick_iiop_server_start_encode();
                                                                  {
                                                                    flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                  }
                                                                  flick_iiop_encode_new_glob(8);
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _ev->_major);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        /* Begin encode phase on parameters */
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _return);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                      }
                                                                    }
                                                                  flick_iiop_encode_end_glob(8);
                                                                  flick_iiop_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t136_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t136_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t136_switch_tag)
            {
            case 'm':
              {
                char _t137_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t137_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t137_switch_tag)
                  {
                  case 'u':
                    {
                      char _t138_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t138_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t138_switch_tag)
                        {
                        case 'l':
                          {
                            char _t139_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t139_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t139_switch_tag)
                              {
                              case 't':
                                {
                                  char _t140_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t140_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t140_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t141_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t141_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t141_switch_tag)
                                          {
                                          case 'h':
                                            {
                                              char _t142_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t142_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t142_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t143_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t143_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t143_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t144_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t144_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t144_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t145_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t145_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t145_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        math _obj;
                                                                        CORBA_short _local_a;
                                                                        CORBA_short _local_b;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_short _return = 0;
                                                                        CORBA_Environment _t146_storage;
                                                                        unsigned int _t147_principal;

                                                                        {
                                                                          flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                        }
                                                                        _ev = &_t146_storage;
                                                                        /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                        flick_iiop_decode_new_chunk(10);
                                                                        flick_cdr_decode_unsigned32(2, _t147_principal);
                                                                        /* XXX - right now, it had better be empty! - fix this... */
                                                                        flick_cdr_decode_signed16(6, _local_a);
                                                                        flick_cdr_decode_signed16(8, _local_b);
                                                                        flick_iiop_decode_end_chunk(10);
                                                                        flick_iiop_decode_end_glob(68);
                                                                        flick_corba_init_environment();
                                                                        _return = math_multshort(_obj, _local_a, _local_b, _ev);
                                                                        flick_iiop_server_start_encode();
                                                                        {
                                                                          flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                        }
                                                                        flick_iiop_encode_new_glob(6);
                                                                        flick_iiop_encode_new_chunk(4);
                                                                        flick_cdr_encode_signed32(0, _ev->_major);
                                                                        flick_iiop_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              /* Begin encode phase on parameters */
                                                                              flick_iiop_encode_new_chunk(2);
                                                                              flick_cdr_encode_signed16(0, _return);
                                                                              flick_iiop_encode_end_chunk(2);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                            }
                                                                          }
                                                                        flick_iiop_encode_end_glob(6);
                                                                        flick_iiop_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t148_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t148_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t148_switch_tag)
            {
            case 'a':
              {
                char _t149_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t149_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t149_switch_tag)
                  {
                  case 'd':
                    {
                      char _t150_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t150_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t150_switch_tag)
                        {
                        case 'd':
                          {
                            char _t151_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t151_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t151_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t152_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t152_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t152_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t153_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t153_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t153_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t154_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t154_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t154_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t155_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t155_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t155_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            math _obj;
                                                            CORBA_long _local_a;
                                                            CORBA_long _local_b;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t156_storage;
                                                            unsigned int _t157_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t156_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(12);
                                                            flick_cdr_decode_unsigned32(0, _t157_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_decode_signed32(4, _local_a);
                                                            flick_cdr_decode_signed32(8, _local_b);
                                                            flick_iiop_decode_end_chunk(12);
                                                            flick_iiop_decode_end_glob(68);
                                                            flick_corba_init_environment();
                                                            _return = math_addlong(_obj, _local_a, _local_b, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t158_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t158_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t158_switch_tag)
                  {
                  case 'u':
                    {
                      char _t159_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t159_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t159_switch_tag)
                        {
                        case 'b':
                          {
                            char _t160_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t160_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t160_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t161_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t161_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t161_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t162_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t162_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t162_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t163_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t163_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t163_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t164_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t164_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t164_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            math _obj;
                                                            CORBA_long _local_a;
                                                            CORBA_long _local_b;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            CORBA_Environment _t165_storage;
                                                            unsigned int _t166_principal;

                                                            {
                                                              flick_iiop_server_decode_target(_obj, 0, cdr);
                                                            }
                                                            _ev = &_t165_storage;
                                                            /* Decode the 'Principal' pseudo-object (secure ID) */
                                                            flick_iiop_decode_new_chunk(12);
                                                            flick_cdr_decode_unsigned32(0, _t166_principal);
                                                            /* XXX - right now, it had better be empty! - fix this... */
                                                            flick_cdr_decode_signed32(4, _local_a);
                                                            flick_cdr_decode_signed32(8, _local_b);
                                                            flick_iiop_decode_end_chunk(12);
                                                            flick_iiop_decode_end_glob(68);
                                                            flick_corba_init_environment();
                                                            _return = math_sublong(_obj, _local_a, _local_b, _ev);
                                                            flick_iiop_server_start_encode();
                                                            {
                                                              flick_iiop_server_encode_target(_obj, 0, cdr);
                                                            }
                                                            flick_iiop_encode_new_glob(8);
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_signed32(0, _ev->_major);
                                                            flick_iiop_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  /* Begin encode phase on parameters */
                                                                  flick_iiop_encode_new_chunk(4);
                                                                  flick_cdr_encode_signed32(0, _return);
                                                                  flick_iiop_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                }
                                                              }
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_iiop_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t167_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t167_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t167_switch_tag)
            {
            case 'a':
              {
                char _t168_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t168_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t168_switch_tag)
                  {
                  case 'd':
                    {
                      char _t169_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t169_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t169_switch_tag)
                        {
                        case 'd':
                          {
                            char _t170_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t170_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t170_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t171_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t171_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t171_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t172_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t172_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t172_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t173_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t173_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t173_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t174_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t174_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t174_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t175_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t175_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t175_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t176_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t176_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t176_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t177_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t177_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t177_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t178_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t178_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t178_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    math _obj;
                                                                                    long10 *_local_a;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_long _return = 0;
                                                                                    CORBA_Environment _t179_storage;
                                                                                    unsigned int _t180_principal;
                                                                                    long10 _t181_storage;
                                                                                    unsigned long int _t183_array_iter;

                                                                                    {
                                                                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    _ev = &_t179_storage;
                                                                                    /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                    flick_iiop_decode_new_chunk(8);
                                                                                    flick_cdr_decode_unsigned32(0, _t180_principal);
                                                                                    /* XXX - right now, it had better be empty! - fix this... */
                                                                                    _local_a = &_t181_storage;
                                                                                    flick_cdr_decode_unsigned32(4, _local_a->_length);
                                                                                    _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                                    flick_iiop_decode_end_chunk(8);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                                    for (_t183_array_iter = 0; _t183_array_iter < _local_a->_length; _t183_array_iter++)
                                                                                      {
                                                                                        flick_iiop_decode_new_chunk(4);
                                                                                        flick_cdr_decode_signed32(0, _local_a->_buffer[_t183_array_iter]);
                                                                                        flick_iiop_decode_end_chunk(4);
                                                                                      }
#else
                                                                                    flick_cdr_decode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, iiop);
#endif
                                                                                    flick_iiop_decode_end_glob(68);
                                                                                    flick_corba_init_environment();
                                                                                    _return = math_addlonglist(_obj, _local_a, _ev);
                                                                                    flick_iiop_server_start_encode();
                                                                                    {
                                                                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                    }
                                                                                    flick_iiop_encode_new_glob(8);
                                                                                    flick_iiop_encode_new_chunk(4);
                                                                                    flick_cdr_encode_signed32(0, _ev->_major);
                                                                                    flick_iiop_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          /* Begin encode phase on parameters */
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _return);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                        }
                                                                                      }
                                                                                    flick_iiop_encode_end_glob(8);
                                                                                    flick_iiop_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(68);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(68);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t184_switch_tag;

          flick_iiop_decode_new_chunk(1);
          flick_cdr_decode_char8(0, _t184_switch_tag);
          flick_iiop_decode_end_chunk(1);
          switch (_t184_switch_tag)
            {
            case 'm':
              {
                char _t185_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t185_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t185_switch_tag)
                  {
                  case 'u':
                    {
                      char _t186_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t186_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t186_switch_tag)
                        {
                        case 'l':
                          {
                            char _t187_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t187_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t187_switch_tag)
                              {
                              case 't':
                                {
                                  char _t188_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t188_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch (_t188_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t189_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t189_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch (_t189_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t190_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t190_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch (_t190_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t191_switch_tag;

                                                    flick_iiop_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t191_switch_tag);
                                                    flick_iiop_decode_end_chunk(1);
                                                    switch (_t191_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t192_switch_tag;

                                                          flick_iiop_decode_new_chunk(1);
                                                          flick_cdr_decode_char8(0, _t192_switch_tag);
                                                          flick_iiop_decode_end_chunk(1);
                                                          switch (_t192_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t193_switch_tag;

                                                                flick_iiop_decode_new_chunk(1);
                                                                flick_cdr_decode_char8(0, _t193_switch_tag);
                                                                flick_iiop_decode_end_chunk(1);
                                                                switch (_t193_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t194_switch_tag;

                                                                      flick_iiop_decode_new_chunk(1);
                                                                      flick_cdr_decode_char8(0, _t194_switch_tag);
                                                                      flick_iiop_decode_end_chunk(1);
                                                                      switch (_t194_switch_tag)
                                                                        {
                                                                        case 's':
                                                                          {
                                                                            char _t195_switch_tag;

                                                                            flick_iiop_decode_new_chunk(1);
                                                                            flick_cdr_decode_char8(0, _t195_switch_tag);
                                                                            flick_iiop_decode_end_chunk(1);
                                                                            switch (_t195_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t196_switch_tag;

                                                                                  flick_iiop_decode_new_chunk(1);
                                                                                  flick_cdr_decode_char8(0, _t196_switch_tag);
                                                                                  flick_iiop_decode_end_chunk(1);
                                                                                  switch (_t196_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          math _obj;
                                                                                          long10 *_local_a;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_long _return = 0;
                                                                                          CORBA_Environment _t197_storage;
                                                                                          unsigned int _t198_principal;
                                                                                          long10 _t199_storage;
                                                                                          unsigned long int _t201_array_iter;

                                                                                          {
                                                                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                                                                          }
                                                                                          _ev = &_t197_storage;
                                                                                          /* Decode the 'Principal' pseudo-object (secure ID) */
                                                                                          flick_iiop_decode_new_chunk(11);
                                                                                          flick_cdr_decode_unsigned32(3, _t198_principal);
                                                                                          /* XXX - right now, it had better be empty! - fix this... */
                                                                                          _local_a = &_t199_storage;
                                                                                          flick_cdr_decode_unsigned32(7, _local_a->_length);
                                                                                          _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                                          flick_iiop_decode_end_chunk(11);
#if 0 /* are we in the swapping decode or non-swapping decode */
                                                                                          for (_t201_array_iter = 0; _t201_array_iter < _local_a->_length; _t201_array_iter++)
                                                                                            {
                                                                                              flick_iiop_decode_new_chunk(4);
                                                                                              flick_cdr_decode_signed32(0, _local_a->_buffer[_t201_array_iter]);
                                                                                              flick_iiop_decode_end_chunk(4);
                                                                                            }
#else
                                                                                          flick_cdr_decode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, iiop);
#endif
                                                                                          flick_iiop_decode_end_glob(68);
                                                                                          flick_corba_init_environment();
                                                                                          _return = math_multlonglist(_obj, _local_a, _ev);
                                                                                          flick_iiop_server_start_encode();
                                                                                          {
                                                                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                                                                          }
                                                                                          flick_iiop_encode_new_glob(8);
                                                                                          flick_iiop_encode_new_chunk(4);
                                                                                          flick_cdr_encode_signed32(0, _ev->_major);
                                                                                          flick_iiop_encode_end_chunk(4);
                                                                                          switch (_ev->_major)
                                                                                            {
                                                                                            case CORBA_NO_EXCEPTION:
                                                                                              {
                                                                                                /* Begin encode phase on parameters */
                                                                                                flick_iiop_encode_new_chunk(4);
                                                                                                flick_cdr_encode_signed32(0, _return);
                                                                                                flick_iiop_encode_end_chunk(4);
                                                                                                break;
                                                                                              }
                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                              {
                                                                                                flick_corba_encode_system_exception((_ev->_except), cdr, iiop);
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                                                              }
                                                                                            }
                                                                                          flick_iiop_encode_end_glob(8);
                                                                                          flick_iiop_server_end_encode();
                                                                                        }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                        flick_iiop_decode_end_glob(68);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                                  flick_iiop_decode_end_glob(68);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                            flick_iiop_decode_end_glob(68);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                      flick_iiop_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                                flick_iiop_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                          flick_iiop_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(68);
          break;
        }
      }
  }
  }
  return 0;
}
