#include "program-5-client.h"

void flick_marshal_stub_mystruct(flick_marshal_stream_t _stream, const struct mystruct *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->mystruct);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_mystruct(flick_marshal_stream_t _stream, struct mystruct *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->mystruct);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_mystruct_swap(flick_marshal_stream_t _stream, struct mystruct *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->mystruct);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int *op_1(char **arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;
  _return = 0;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 10);
    /* Encode the 'Principal' pseudo-object (secure ID) */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_cdr_encode_longstring(*arg, null_flick_free, iiop);
  }
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    	flick_sun_decode_client_error(_return, FLICK_ERROR_COMMUNICATION, cdr, iiop); 
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t3_storage;

            _return = &_t3_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t1_storage;

            _return = &_t1_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

