#include "program-6-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &math_50, "math_50_instance1");
		CORBA_BOA_obj_is_ready(boa, &math_50, "math_50_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_sa(flick_marshal_stream_t _stream, const struct sa *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a);
  flick_cdr_encode_signed32(4, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a);
  flick_cdr_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_sa_swap(flick_marshal_stream_t _stream, struct sa *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_cdr_swap_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_sb(flick_marshal_stream_t _stream, const struct sb *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->a.a);
  flick_cdr_encode_signed32(4, _data->a.b);
  flick_cdr_encode_signed32(8, _data->b.a);
  flick_cdr_encode_signed32(12, _data->b.b);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->a.a);
  flick_cdr_decode_signed32(4, _data->a.b);
  flick_cdr_decode_signed32(8, _data->b.a);
  flick_cdr_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_sb_swap(flick_marshal_stream_t _stream, struct sb *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->a.a);
  flick_cdr_swap_decode_signed32(4, _data->a.b);
  flick_cdr_swap_decode_signed32(8, _data->b.a);
  flick_cdr_swap_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->long_list_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->long_list_len);
#if 0 /* We never byte swap on encoding */
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_list_len; _t1_array_iter++)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->long_list_val[_t1_array_iter]);
      flick_iiop_encode_end_chunk(4);
    }
#else /* Always bcopy */
  flick_cdr_encode_bcopy(_data->long_list_val, sizeof(long) * _data->long_list_len, iiop);
#endif /* alway bcopy */
  flick_iiop_encode_end_glob(4 * _data->long_list_len);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->long_list_len);
#if 0 /* are we in the swapping decode or non-swapping decode */
  for (_t3_array_iter = 0; _t3_array_iter < _data->long_list_len; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->long_list_val[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
#else
  flick_cdr_decode_bcopy(_data->long_list_val, sizeof(long) * _data->long_list_len, iiop);
#endif
  flick_iiop_decode_end_glob(4 * _data->long_list_len);
}

void flick_unmarshal_stub_long_list_swap(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned long int _t5_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->long_list_len);
  for (_t5_array_iter = 0; _t5_array_iter < _data->long_list_len; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->long_list_val[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->long_list_len);
}

void flick_marshal_stub_sb_list(flick_marshal_stream_t _stream, const sb_list *_data)
{
  unsigned long int _t7_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->sb_list_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(16 * _data->sb_list_len);
  for (_t7_array_iter = 0; _t7_array_iter < _data->sb_list_len; _t7_array_iter++)
    {
      flick_iiop_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->sb_list_val[_t7_array_iter].a.a);
      flick_cdr_encode_signed32(4, _data->sb_list_val[_t7_array_iter].a.b);
      flick_cdr_encode_signed32(8, _data->sb_list_val[_t7_array_iter].b.a);
      flick_cdr_encode_signed32(12, _data->sb_list_val[_t7_array_iter].b.b);
      flick_iiop_encode_end_chunk(16);
    }
  flick_iiop_encode_end_glob(16 * _data->sb_list_len);
}

void flick_unmarshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned long int _t9_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->sb_list_len);
  _data->sb_list_val = sun_flick_alloc(_data->sb_list_len * sizeof(struct sb ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->sb_list_len);
  for (_t9_array_iter = 0; _t9_array_iter < _data->sb_list_len; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->sb_list_val[_t9_array_iter].a.a);
      flick_cdr_decode_signed32(4, _data->sb_list_val[_t9_array_iter].a.b);
      flick_cdr_decode_signed32(8, _data->sb_list_val[_t9_array_iter].b.a);
      flick_cdr_decode_signed32(12, _data->sb_list_val[_t9_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->sb_list_len);
}

void flick_unmarshal_stub_sb_list_swap(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned long int _t11_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->sb_list_len);
  _data->sb_list_val = sun_flick_alloc(_data->sb_list_len * sizeof(struct sb ));
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->sb_list_len);
  for (_t11_array_iter = 0; _t11_array_iter < _data->sb_list_len; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->sb_list_val[_t11_array_iter].a.a);
      flick_cdr_swap_decode_signed32(4, _data->sb_list_val[_t11_array_iter].a.b);
      flick_cdr_swap_decode_signed32(8, _data->sb_list_val[_t11_array_iter].b.a);
      flick_cdr_swap_decode_signed32(12, _data->sb_list_val[_t11_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->sb_list_len);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int math_50(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t39_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t39_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t39_switch_tag)
      {
      case (signed int) 7:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t40_principal;
            long_list _t41_storage;
            unsigned long int _t43_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, _t40_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t41_storage;
            flick_cdr_swap_decode_unsigned32(4, _local_arg->long_list_len);
            _local_arg->long_list_val = auto_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            flick_iiop_decode_new_glob(4 * _local_arg->long_list_len);
            for (_t43_array_iter = 0; _t43_array_iter < _local_arg->long_list_len; _t43_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->long_list_val[_t43_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4 * _local_arg->long_list_len);
            flick_sun_init_environment();
            _return = long_test_50(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            sb_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t44_principal;
            sb_list _t45_storage;
            unsigned long int _t47_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, _t44_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t45_storage;
            flick_cdr_swap_decode_unsigned32(4, _local_arg->sb_list_len);
            _local_arg->sb_list_val = auto_flick_alloc(_local_arg->sb_list_len * sizeof(struct sb ));
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            flick_iiop_decode_new_glob(16 * _local_arg->sb_list_len);
            for (_t47_array_iter = 0; _t47_array_iter < _local_arg->sb_list_len; _t47_array_iter++)
              {
                flick_iiop_decode_new_chunk(16);
                flick_cdr_swap_decode_signed32(0, _local_arg->sb_list_val[_t47_array_iter].a.a);
                flick_cdr_swap_decode_signed32(4, _local_arg->sb_list_val[_t47_array_iter].a.b);
                flick_cdr_swap_decode_signed32(8, _local_arg->sb_list_val[_t47_array_iter].b.a);
                flick_cdr_swap_decode_signed32(12, _local_arg->sb_list_val[_t47_array_iter].b.b);
                flick_iiop_decode_end_chunk(16);
              }
            flick_iiop_decode_end_glob(16 * _local_arg->sb_list_len);
            flick_sun_init_environment();
            _return = sb_test_50(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    signed int _t21_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t21_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t21_switch_tag)
      {
      case (signed int) 7:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t22_principal;
            long_list _t23_storage;
            unsigned long int _t25_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t22_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t23_storage;
            flick_cdr_decode_unsigned32(4, _local_arg->long_list_len);
            _local_arg->long_list_val = auto_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            flick_iiop_decode_new_glob(4 * _local_arg->long_list_len);
#if 0 /* are we in the swapping decode or non-swapping decode */
            for (_t25_array_iter = 0; _t25_array_iter < _local_arg->long_list_len; _t25_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, _local_arg->long_list_val[_t25_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
#else
            flick_cdr_decode_bcopy(_local_arg->long_list_val, sizeof(long) * _local_arg->long_list_len, iiop);
#endif
            flick_iiop_decode_end_glob(4 * _local_arg->long_list_len);
            flick_sun_init_environment();
            _return = long_test_50(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            sb_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t26_principal;
            sb_list _t27_storage;
            unsigned long int _t29_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _t26_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t27_storage;
            flick_cdr_decode_unsigned32(4, _local_arg->sb_list_len);
            _local_arg->sb_list_val = auto_flick_alloc(_local_arg->sb_list_len * sizeof(struct sb ));
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            flick_iiop_decode_new_glob(16 * _local_arg->sb_list_len);
            for (_t29_array_iter = 0; _t29_array_iter < _local_arg->sb_list_len; _t29_array_iter++)
              {
                flick_iiop_decode_new_chunk(16);
                flick_cdr_decode_signed32(0, _local_arg->sb_list_val[_t29_array_iter].a.a);
                flick_cdr_decode_signed32(4, _local_arg->sb_list_val[_t29_array_iter].a.b);
                flick_cdr_decode_signed32(8, _local_arg->sb_list_val[_t29_array_iter].b.a);
                flick_cdr_decode_signed32(12, _local_arg->sb_list_val[_t29_array_iter].b.b);
                flick_iiop_decode_end_chunk(16);
              }
            flick_iiop_decode_end_glob(16 * _local_arg->sb_list_len);
            flick_sun_init_environment();
            _return = sb_test_50(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return 0;
}
