#include "struct-3-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB *, CORBA_BOA *, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB *orb;
	CORBA_BOA *boa;
	if (argc < 5) {
		fprintf(stderr, "usage: %s -ORBipaddr (local host ip address) -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb)
		exit(1);

	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa)
		exit(1);

	if (!register_objects(orb, boa, argc, argv)) {
#if 0
		/* call CORBA_BOA_obj_is_ready for every object instance 
		   of an interface you want.  Here are some examples: */

		CORBA_BOA_obj_is_ready(boa, &prog_2, "prog_2_instance1");
		CORBA_BOA_obj_is_ready(boa, &prog_2, "prog_2_instance2");

#endif

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Unable to register object implementations\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->one);
  flick_cdr_encode_signed32(4, _data->two);
  flick_cdr_encode_signed32(8, _data->three);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->one);
  flick_cdr_decode_signed32(4, _data->two);
  flick_cdr_decode_signed32(8, _data->three);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->one);
  flick_cdr_swap_decode_signed32(4, _data->two);
  flick_cdr_swap_decode_signed32(8, _data->three);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>

int prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t9_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t9_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t9_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct bar *_local_arg;
            struct svc_req *_obj;
            struct bar *_return = 0;
            unsigned int _t10_principal;
            struct bar _t11_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_unsigned32(0, _t10_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t11_storage;
            flick_cdr_swap_decode_signed32(4, _local_arg->one);
            flick_cdr_swap_decode_signed32(8, _local_arg->two);
            flick_cdr_swap_decode_signed32(12, _local_arg->three);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(16);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return->one);
                  flick_cdr_encode_signed32(4, _return->two);
                  flick_cdr_encode_signed32(8, _return->three);
                  flick_iiop_encode_end_chunk(12);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(16);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    signed int _t3_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t3_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct bar *_local_arg;
            struct svc_req *_obj;
            struct bar *_return = 0;
            unsigned int _t4_principal;
            struct bar _t5_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Decode the 'Principal' pseudo-object (secure ID) */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, _t4_principal);
            /* XXX - right now, it had better be empty! - fix this... */
            _local_arg = &_t5_storage;
            flick_cdr_decode_signed32(4, _local_arg->one);
            flick_cdr_decode_signed32(8, _local_arg->two);
            flick_cdr_decode_signed32(12, _local_arg->three);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(16);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_iiop_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return->one);
                  flick_cdr_encode_signed32(4, _return->two);
                  flick_cdr_encode_signed32(8, _return->three);
                  flick_iiop_encode_end_chunk(12);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(16);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return 0;
}
