#include "structplain_-client.h"

void flick_marshal_stub_coord(flick_marshal_stream_t _stream, const struct coord *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed16(0, _data->row);
  flick_mach3mig_encode_signed16(8, _data->col);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed16(0, _data->row);
  flick_mach3mig_decode_signed16(8, _data->col);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_geom(flick_marshal_stream_t _stream, const geom *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_short geom_dist(geom _obj, struct coord *a, struct coord *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_short _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(80);
    flick_mach3mig_encode_new_chunk(80);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'd');
    flick_mach3mig_encode_char8(16, 'i');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(48, a->row);
    flick_mach3mig_encode_signed16(56, a->col);
    flick_mach3mig_encode_signed16(64, b->row);
    flick_mach3mig_encode_signed16(72, b->col);
    flick_mach3mig_encode_end_chunk(80);
    flick_mach3mig_encode_end_glob(80);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t7_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t7_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t7_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t8_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t8_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t8_switch_tag)
            {
            case '$':
              {
                char _t9_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t9_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t9_switch_tag)
                  {
                  case 'd':
                    {
                      char _t10_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t10_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t10_switch_tag)
                        {
                        case 'i':
                          {
                            char _t11_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t11_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t11_switch_tag)
                              {
                              case 's':
                                {
                                  char _t12_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t12_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t12_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t13_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t13_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t13_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed16(0, _return);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

