#include "typedef_-client.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_c(flick_marshal_stream_t _stream, const c *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_c(flick_marshal_stream_t _stream, c *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_d(flick_marshal_stream_t _stream, const d *_data)
{
  flick_mach3mig_encode_string(*_data, null_flick_free, mach3mig, 256);
}

void flick_unmarshal_stub_d(flick_marshal_stream_t _stream, d *_data)
{
  flick_mach3mig_decode_string(*_data, CORBA_flick_alloc, mach3mig, 256);
}

void flick_marshal_stub_e(flick_marshal_stream_t _stream, const e *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed16_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(20);
  flick_mach3mig_array_encode_new_glob(2 * _data->_length);
#if 0 /* We don't need to ever to bit translation */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(2);
      flick_mach3mig_array_encode_signed16(0, _data->_buffer[_t1_array_iter]);
      flick_mach3mig_array_encode_end_chunk(2);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(short) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_encode_end_glob(2 * _data->_length);
}

void flick_unmarshal_stub_e(flick_marshal_stream_t _stream, e *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  flick_mach3mig_array_decode_signed16_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(20);
  flick_mach3mig_array_decode_new_glob(2 * _data->_length);
#if 0 /* We don't need to ever to bit translation */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(2);
      flick_mach3mig_array_decode_signed16(0, _data->_buffer[_t3_array_iter]);
      flick_mach3mig_array_decode_end_chunk(2);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(short) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_decode_end_glob(2 * _data->_length);
}

void flick_marshal_stub_f(flick_marshal_stream_t _stream, const f *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_float32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_f(flick_marshal_stream_t _stream, f *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_float32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_g(flick_marshal_stream_t _stream, const g *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t6_array_iter;

  _t4_array_length = 5;
  flick_mach3mig_array_encode_new_glob(22);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed16_type(0, _t4_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t6_array_iter = 0; _t6_array_iter < _t4_array_length; _t6_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(2);
      flick_mach3mig_array_encode_signed16(0, (*_data)[_t6_array_iter]);
      flick_mach3mig_array_encode_end_chunk(2);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(short) * _t4_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(22);
}

void flick_unmarshal_stub_g(flick_marshal_stream_t _stream, g *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t9_array_iter;

  _t7_array_length = 5;
  flick_mach3mig_array_decode_new_glob(22);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed16_type(0, _t7_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t9_array_iter = 0; _t9_array_iter < _t7_array_length; _t9_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(2);
      flick_mach3mig_array_decode_signed16(0, (*_data)[_t9_array_iter]);
      flick_mach3mig_array_decode_end_chunk(2);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(short) * _t7_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(22);
}

void flick_marshal_stub_h(flick_marshal_stream_t _stream, const h *_data)
{
  unsigned long int _t11_array_iter;

  flick_mach3mig_encode_new_glob(30);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed16_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(2);
      flick_mach3mig_array_encode_signed16(0, _data->_buffer[_t11_array_iter]);
      flick_mach3mig_array_encode_end_chunk(2);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(short) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(30);
}

void flick_unmarshal_stub_h(flick_marshal_stream_t _stream, h *_data)
{
  unsigned long int _t13_array_iter;

  flick_mach3mig_decode_new_glob(30);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  flick_mach3mig_array_decode_signed16_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t13_array_iter = 0; _t13_array_iter < _data->_length; _t13_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(2);
      flick_mach3mig_array_decode_signed16(0, _data->_buffer[_t13_array_iter]);
      flick_mach3mig_array_decode_end_chunk(2);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(short) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(30);
}

