#include "module-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_ex2;
	s.vers_num = _VERS_ex2;

	assert(flick_server_register(s, &mod1_mod2_ex2_server));


	s.prog_num = _PROG_ex1;
	s.vers_num = _VERS_ex1;

	assert(flick_server_register(s, &mod1_mod2_ex1_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, const mod1_mod2_ex1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int mod1_mod2_ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t26_switch_tag;

    flick_suntcp_decode_new_glob(60);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t26_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t26_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t27_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t27_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t27_switch_tag)
            {
            case 'm':
              {
                char _t28_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t28_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t28_switch_tag)
                  {
                  case '1':
                    {
                      char _t29_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t29_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t29_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex1 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t30_storage;
                              unsigned int _t31_ignore;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _ev = &_t30_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t31_ignore);
                              flick_xdr_decode_unsigned32(4, _t31_ignore);
                              flick_xdr_decode_unsigned32(8, _t31_ignore);
                              flick_xdr_decode_unsigned32(12, _t31_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(60);
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(8);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_suntcp_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(8);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t32_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t32_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t32_switch_tag)
            {
            case '_':
              {
                char _t33_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t33_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t33_switch_tag)
                  {
                  case '_':
                    {
                      char _t34_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t34_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t34_switch_tag)
                        {
                        case 'g':
                          {
                            char _t35_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t35_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t35_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t36_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t36_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t36_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t37_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t37_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t37_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t38_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t38_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t38_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t39_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t39_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t39_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t40_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t40_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t40_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex1 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t41_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t41_storage;
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '2':
                                                        {
                                                          char _t42_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t42_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t42_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex1 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t43_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t43_storage;
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t44_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t44_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t44_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t45_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t45_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t45_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t46_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t46_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t46_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t47_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t47_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t47_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t48_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t48_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t48_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t49_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t49_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t49_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex1 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t50_storage;
                                                                  unsigned int _t51_ignore;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t50_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t51_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t51_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t51_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t51_ignore);
                                                                  flick_xdr_decode_signed32(16, _local_l1);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_corba_init_environment();
                                                                  mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(60);
          break;
        }
      }
  }
  return 0;
}
void flick_marshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, const mod1_mod2_ex2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int mod1_mod2_ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t87_switch_tag;

    flick_suntcp_decode_new_glob(60);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t87_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t87_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t88_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t88_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t88_switch_tag)
            {
            case 'm':
              {
                char _t89_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t89_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t89_switch_tag)
                  {
                  case '2':
                    {
                      char _t90_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t90_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t90_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_long *_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_long _t91_storage;
                              CORBA_Environment _t92_storage;
                              unsigned int _t93_ignore;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _local_b = &_t91_storage;
                              _ev = &_t92_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t93_ignore);
                              flick_xdr_decode_unsigned32(4, _t93_ignore);
                              flick_xdr_decode_unsigned32(8, _t93_ignore);
                              flick_xdr_decode_unsigned32(12, _t93_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(60);
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(12);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(8);
                                    flick_xdr_encode_signed32(0, *_local_b);
                                    flick_xdr_encode_signed32(4, _return);
                                    flick_suntcp_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(12);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  case '1':
                    {
                      char _t94_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t94_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t94_switch_tag)
                        {
                        case 0:
                          {
                            {
                              mod1_mod2_ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t95_storage;
                              unsigned int _t96_ignore;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _ev = &_t95_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t96_ignore);
                              flick_xdr_decode_unsigned32(4, _t96_ignore);
                              flick_xdr_decode_unsigned32(8, _t96_ignore);
                              flick_xdr_decode_unsigned32(12, _t96_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(60);
                              flick_corba_init_environment();
                              _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(8);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_suntcp_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(8);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t97_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t97_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t97_switch_tag)
            {
            case '_':
              {
                char _t98_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t98_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t98_switch_tag)
                  {
                  case '_':
                    {
                      char _t99_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t99_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t99_switch_tag)
                        {
                        case 'g':
                          {
                            char _t100_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t100_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t100_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t101_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t101_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t101_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t102_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t102_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t102_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t103_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t103_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t103_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t104_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t104_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t104_switch_tag)
                                                      {
                                                      case '3':
                                                        {
                                                          char _t105_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t105_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t105_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t106_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t106_storage;
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '1':
                                                        {
                                                          char _t107_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t107_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t107_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t108_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t108_storage;
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '2':
                                                        {
                                                          char _t109_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t109_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t109_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t110_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t110_storage;
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_corba_init_environment();
                                                                  _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t111_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t111_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t111_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t112_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t112_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t112_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t113_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t113_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t113_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t114_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t114_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t114_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t115_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t115_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t115_switch_tag)
                                                      {
                                                      case '3':
                                                        {
                                                          char _t116_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t116_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t116_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_long _local_l3;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t117_storage;
                                                                  unsigned int _t118_ignore;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t117_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t118_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t118_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t118_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t118_ignore);
                                                                  flick_xdr_decode_signed32(16, _local_l3);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_corba_init_environment();
                                                                  mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '1':
                                                        {
                                                          char _t119_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t119_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t119_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  mod1_mod2_ex2 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t120_storage;
                                                                  unsigned int _t121_ignore;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t120_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t121_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t121_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t121_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t121_ignore);
                                                                  flick_xdr_decode_signed32(16, _local_l1);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(60);
                                                                  flick_corba_init_environment();
                                                                  mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(60);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(60);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(60);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(60);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(60);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(60);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(60);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(60);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(60);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(60);
          break;
        }
      }
  }
  return 0;
}
