#include "parm_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	assert(flick_server_register(s, &test_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->a);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->a);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_xdr_encode_longstring(_data->a, CORBA_flick_free, suntcp);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_xdr_decode_longstring(_data->a, CORBA_flick_alloc, suntcp);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_end_glob(8);
        flick_xdr_encode_longstring(_data->_u.a, CORBA_flick_free, suntcp);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(8);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_end_glob(8);
        flick_xdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, suntcp);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(8);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 10;
  flick_suntcp_encode_new_glob(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t0_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 10;
  flick_suntcp_decode_new_glob(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t3_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  unsigned long int _t7_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t7_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  unsigned long int _t9_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t9_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t243_switch_tag;

    flick_suntcp_decode_new_glob(144);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t243_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t243_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t244_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t244_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t244_switch_tag)
            {
            case 'S':
              {
                char _t245_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t245_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t245_switch_tag)
                  {
                  case 'h':
                    {
                      char _t246_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t246_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t246_switch_tag)
                        {
                        case 'o':
                          {
                            char _t247_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t247_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t247_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t248_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t248_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t248_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t249_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t249_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t249_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_short _local_a;
                                                CORBA_short *_local_b;
                                                CORBA_short *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_short _return = 0;
                                                CORBA_short _t250_storage;
                                                CORBA_Environment _t251_storage;
                                                unsigned int _t252_ignore;
                                                CORBA_short _t253_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                _local_c = &_t250_storage;
                                                _ev = &_t251_storage;
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t252_ignore);
                                                flick_xdr_decode_unsigned32(4, _t252_ignore);
                                                flick_xdr_decode_unsigned32(8, _t252_ignore);
                                                flick_xdr_decode_unsigned32(12, _t252_ignore);
                                                flick_xdr_decode_signed16(16, _local_a);
                                                _local_b = &_t253_storage;
                                                flick_xdr_decode_signed16(20, *_local_b);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_corba_init_environment();
                                                _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_signed16(0, *_local_b);
                                                      flick_xdr_encode_signed16(4, *_local_c);
                                                      flick_xdr_encode_signed16(8, _return);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(16);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'U':
              {
                char _t254_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t254_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t254_switch_tag)
                  {
                  case 'L':
                    {
                      char _t255_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t255_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t255_switch_tag)
                        {
                        case 'o':
                          {
                            char _t256_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t256_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t256_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t257_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t257_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t257_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t258_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t258_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t258_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_unsigned_long _local_a;
                                                CORBA_unsigned_long *_local_b;
                                                CORBA_unsigned_long *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_unsigned_long _return = 0;
                                                CORBA_unsigned_long _t259_storage;
                                                CORBA_Environment _t260_storage;
                                                unsigned int _t261_ignore;
                                                CORBA_unsigned_long _t262_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                _local_c = &_t259_storage;
                                                _ev = &_t260_storage;
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t261_ignore);
                                                flick_xdr_decode_unsigned32(4, _t261_ignore);
                                                flick_xdr_decode_unsigned32(8, _t261_ignore);
                                                flick_xdr_decode_unsigned32(12, _t261_ignore);
                                                flick_xdr_decode_unsigned32(16, _local_a);
                                                _local_b = &_t262_storage;
                                                flick_xdr_decode_unsigned32(20, *_local_b);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_corba_init_environment();
                                                _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_unsigned32(0, *_local_b);
                                                      flick_xdr_encode_unsigned32(4, *_local_c);
                                                      flick_xdr_encode_unsigned32(8, _return);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(16);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'F':
              {
                char _t263_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t263_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t263_switch_tag)
                  {
                  case 'l':
                    {
                      char _t264_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t264_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t264_switch_tag)
                        {
                        case 'o':
                          {
                            char _t265_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t265_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t265_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t266_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t266_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t266_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t267_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t267_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t267_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_float _local_a;
                                                CORBA_float *_local_b;
                                                CORBA_float *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_float _return = 0.000000;
                                                CORBA_float _t268_storage;
                                                CORBA_Environment _t269_storage;
                                                unsigned int _t270_ignore;
                                                CORBA_float _t271_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                _local_c = &_t268_storage;
                                                _ev = &_t269_storage;
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t270_ignore);
                                                flick_xdr_decode_unsigned32(4, _t270_ignore);
                                                flick_xdr_decode_unsigned32(8, _t270_ignore);
                                                flick_xdr_decode_unsigned32(12, _t270_ignore);
                                                flick_xdr_decode_float32(16, _local_a);
                                                _local_b = &_t271_storage;
                                                flick_xdr_decode_float32(20, *_local_b);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_corba_init_environment();
                                                _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_float32(0, *_local_b);
                                                      flick_xdr_encode_float32(4, *_local_c);
                                                      flick_xdr_encode_float32(8, _return);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(16);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'O':
              {
                char _t272_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t272_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t272_switch_tag)
                  {
                  case 'c':
                    {
                      char _t273_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t273_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t273_switch_tag)
                        {
                        case 't':
                          {
                            char _t274_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t274_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t274_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t275_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t275_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t275_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t276_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t276_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t276_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                CORBA_octet _local_a;
                                                CORBA_octet *_local_b;
                                                CORBA_octet *_local_c;
                                                CORBA_Environment *_ev;
                                                CORBA_octet _return = 0;
                                                CORBA_octet _t277_storage;
                                                CORBA_Environment _t278_storage;
                                                unsigned int _t279_ignore;
                                                CORBA_octet _t280_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                _local_c = &_t277_storage;
                                                _ev = &_t278_storage;
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(24);
                                                flick_xdr_decode_unsigned32(0, _t279_ignore);
                                                flick_xdr_decode_unsigned32(4, _t279_ignore);
                                                flick_xdr_decode_unsigned32(8, _t279_ignore);
                                                flick_xdr_decode_unsigned32(12, _t279_ignore);
                                                flick_xdr_decode_unsigned8(16, _local_a);
                                                _local_b = &_t280_storage;
                                                flick_xdr_decode_unsigned8(20, *_local_b);
                                                flick_suntcp_decode_end_chunk(24);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_corba_init_environment();
                                                _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(16);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(12);
                                                      flick_xdr_encode_unsigned8(0, *_local_b);
                                                      flick_xdr_encode_unsigned8(4, *_local_c);
                                                      flick_xdr_encode_unsigned8(8, _return);
                                                      flick_suntcp_encode_end_chunk(12);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(16);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'A':
              {
                char _t281_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t281_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t281_switch_tag)
                  {
                  case 'r':
                    {
                      char _t282_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t282_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t282_switch_tag)
                        {
                        case 'r':
                          {
                            char _t283_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t283_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t283_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t284_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t284_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t284_switch_tag)
                                    {
                                    case 'y':
                                      {
                                        char _t285_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t285_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t285_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                test_arr _local_a;
                                                test_arr _local_b;
                                                test_arr _local_c;
                                                CORBA_Environment *_ev;
                                                test_arr *_return = 0;
                                                CORBA_Environment _t286_storage;
                                                unsigned int _t287_ignore;
                                                flick_unsigned8_t _t288_array_length;
                                                flick_unsigned8_t _t290_array_iter;
                                                flick_unsigned8_t _t291_array_length;
                                                flick_unsigned8_t _t293_array_iter;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                _ev = &_t286_storage;
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(16);
                                                flick_xdr_decode_unsigned32(0, _t287_ignore);
                                                flick_xdr_decode_unsigned32(4, _t287_ignore);
                                                flick_xdr_decode_unsigned32(8, _t287_ignore);
                                                flick_xdr_decode_unsigned32(12, _t287_ignore);
                                                _t288_array_length = 10;
                                                flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
                                                for (_t290_array_iter = 0; _t290_array_iter < _t288_array_length; _t290_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_a[_t290_array_iter]);
                                                    flick_suntcp_decode_end_chunk(4);
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_xdr_decode_bcopy(_local_a, sizeof(long) * _t288_array_length, suntcp);
#endif /* ENDIANness */
                                                _t291_array_length = 10;
#if BYTE_ORDER != BIG_ENDIAN
                                                for (_t293_array_iter = 0; _t293_array_iter < _t291_array_length; _t293_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_b[_t293_array_iter]);
                                                    flick_suntcp_decode_end_chunk(4);
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_xdr_decode_bcopy(_local_b, sizeof(long) * _t291_array_length, suntcp);
#endif /* ENDIANness */
                                                flick_suntcp_decode_end_glob(144);
                                                flick_corba_init_environment();
                                                _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(124);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_unsigned8_t _t303_array_length;
                                                      flick_unsigned8_t _t305_array_iter;
                                                      flick_unsigned8_t _t306_array_length;
                                                      flick_unsigned8_t _t308_array_iter;
                                                      flick_unsigned8_t _t309_array_length;
                                                      flick_unsigned8_t _t311_array_iter;

                                                      _t303_array_length = 10;
#if BYTE_ORDER != BIG_ENDIAN
                                                      for (_t305_array_iter = 0; _t305_array_iter < _t303_array_length; _t305_array_iter++)
                                                        {
                                                          flick_suntcp_encode_new_chunk(4);
                                                          flick_xdr_encode_signed32(0, _local_b[_t305_array_iter]);
                                                          flick_suntcp_encode_end_chunk(4);
                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_xdr_encode_bcopy(_local_b, sizeof(long) * _t303_array_length, suntcp);
#endif /* ENDIANness */
                                                      _t306_array_length = 10;
#if BYTE_ORDER != BIG_ENDIAN
                                                      for (_t308_array_iter = 0; _t308_array_iter < _t306_array_length; _t308_array_iter++)
                                                        {
                                                          flick_suntcp_encode_new_chunk(4);
                                                          flick_xdr_encode_signed32(0, _local_c[_t308_array_iter]);
                                                          flick_suntcp_encode_end_chunk(4);
                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_xdr_encode_bcopy(_local_c, sizeof(long) * _t306_array_length, suntcp);
#endif /* ENDIANness */
                                                      _t309_array_length = 10;
#if BYTE_ORDER != BIG_ENDIAN
                                                      for (_t311_array_iter = 0; _t311_array_iter < _t309_array_length; _t311_array_iter++)
                                                        {
                                                          flick_suntcp_encode_new_chunk(4);
                                                          flick_xdr_encode_signed32(0, (*_return)[_t311_array_iter]);
                                                          flick_suntcp_encode_end_chunk(4);
                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_xdr_encode_bcopy(*_return, sizeof(long) * _t309_array_length, suntcp);
#endif /* ENDIANness */
                                                      CORBA_flick_free(_return);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(124);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t312_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t312_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t312_switch_tag)
            {
            case 'L':
              {
                char _t313_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t313_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t313_switch_tag)
                  {
                  case 'o':
                    {
                      char _t314_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t314_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t314_switch_tag)
                        {
                        case 'n':
                          {
                            char _t315_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t315_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t315_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t316_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t316_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t316_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          CORBA_long _local_a;
                                          CORBA_long *_local_b;
                                          CORBA_long *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          CORBA_long _t317_storage;
                                          CORBA_Environment _t318_storage;
                                          unsigned int _t319_ignore;
                                          CORBA_long _t320_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _local_c = &_t317_storage;
                                          _ev = &_t318_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t319_ignore);
                                          flick_xdr_decode_unsigned32(4, _t319_ignore);
                                          flick_xdr_decode_unsigned32(8, _t319_ignore);
                                          flick_xdr_decode_unsigned32(12, _t319_ignore);
                                          flick_xdr_decode_signed32(16, _local_a);
                                          _local_b = &_t320_storage;
                                          flick_xdr_decode_signed32(20, *_local_b);
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_corba_init_environment();
                                          _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_signed32(0, *_local_b);
                                                flick_xdr_encode_signed32(4, *_local_c);
                                                flick_xdr_encode_signed32(8, _return);
                                                flick_suntcp_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(16);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'C':
              {
                char _t321_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t321_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t321_switch_tag)
                  {
                  case 'h':
                    {
                      char _t322_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t322_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t322_switch_tag)
                        {
                        case 'a':
                          {
                            char _t323_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t323_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t323_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t324_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t324_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t324_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          CORBA_char _local_a;
                                          CORBA_char *_local_b;
                                          CORBA_char *_local_c;
                                          CORBA_Environment *_ev;
                                          CORBA_char _return = 0;
                                          CORBA_char _t325_storage;
                                          CORBA_Environment _t326_storage;
                                          unsigned int _t327_ignore;
                                          CORBA_char _t328_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _local_c = &_t325_storage;
                                          _ev = &_t326_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t327_ignore);
                                          flick_xdr_decode_unsigned32(4, _t327_ignore);
                                          flick_xdr_decode_unsigned32(8, _t327_ignore);
                                          flick_xdr_decode_unsigned32(12, _t327_ignore);
                                          flick_xdr_decode_char8(16, _local_a);
                                          _local_b = &_t328_storage;
                                          flick_xdr_decode_char8(20, *_local_b);
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_corba_init_environment();
                                          _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_char8(0, *_local_b);
                                                flick_xdr_encode_char8(4, *_local_c);
                                                flick_xdr_encode_char8(8, _return);
                                                flick_suntcp_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(16);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'E':
              {
                char _t329_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t329_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t329_switch_tag)
                  {
                  case 'n':
                    {
                      char _t330_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t330_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t330_switch_tag)
                        {
                        case 'u':
                          {
                            char _t331_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t331_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t331_switch_tag)
                              {
                              case 'm':
                                {
                                  char _t332_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t332_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t332_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          test _obj;
                                          Enumeration _local_a;
                                          Enumeration *_local_b;
                                          Enumeration *_local_c;
                                          CORBA_Environment *_ev;
                                          Enumeration _return;
                                          Enumeration _t333_storage;
                                          CORBA_Environment _t334_storage;
                                          unsigned int _t335_ignore;
                                          Enumeration _t336_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _local_c = &_t333_storage;
                                          _ev = &_t334_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t335_ignore);
                                          flick_xdr_decode_unsigned32(4, _t335_ignore);
                                          flick_xdr_decode_unsigned32(8, _t335_ignore);
                                          flick_xdr_decode_unsigned32(12, _t335_ignore);
                                          flick_xdr_decode_unsigned32(16, _local_a);
                                          _local_b = &_t336_storage;
                                          flick_xdr_decode_unsigned32(20, *_local_b);
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_corba_init_environment();
                                          _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_unsigned32(0, *_local_b);
                                                flick_xdr_encode_unsigned32(4, *_local_c);
                                                flick_xdr_encode_unsigned32(8, _return);
                                                flick_suntcp_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(16);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t337_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t337_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t337_switch_tag)
            {
            case 'U':
              {
                char _t338_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t338_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t338_switch_tag)
                  {
                  case 'S':
                    {
                      char _t339_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t339_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t339_switch_tag)
                        {
                        case 'h':
                          {
                            char _t340_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t340_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t340_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t341_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t341_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t341_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t342_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t342_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t342_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t343_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t343_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t343_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_unsigned_short _local_a;
                                                      CORBA_unsigned_short *_local_b;
                                                      CORBA_unsigned_short *_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_unsigned_short _return = 0;
                                                      CORBA_unsigned_short _t344_storage;
                                                      CORBA_Environment _t345_storage;
                                                      unsigned int _t346_ignore;
                                                      CORBA_unsigned_short _t347_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      _local_c = &_t344_storage;
                                                      _ev = &_t345_storage;
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(24);
                                                      flick_xdr_decode_unsigned32(0, _t346_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t346_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t346_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t346_ignore);
                                                      flick_xdr_decode_unsigned16(16, _local_a);
                                                      _local_b = &_t347_storage;
                                                      flick_xdr_decode_unsigned16(20, *_local_b);
                                                      flick_suntcp_decode_end_chunk(24);
                                                      flick_suntcp_decode_end_glob(144);
                                                      flick_corba_init_environment();
                                                      _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(16);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(12);
                                                            flick_xdr_encode_unsigned16(0, *_local_b);
                                                            flick_xdr_encode_unsigned16(4, *_local_c);
                                                            flick_xdr_encode_unsigned16(8, _return);
                                                            flick_suntcp_encode_end_chunk(12);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(16);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t348_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t348_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t348_switch_tag)
                  {
                  case 't':
                    {
                      char _t349_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t349_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t349_switch_tag)
                        {
                        case 'r':
                          {
                            char _t350_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t350_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t350_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t351_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t351_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t351_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t352_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t352_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t352_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t353_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t353_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t353_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_char *_local_a;
                                                      CORBA_char **_local_b;
                                                      CORBA_char **_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_char *_return = 0;
                                                      CORBA_char *_t354_storage;
                                                      CORBA_Environment _t355_storage;
                                                      unsigned int _t356_ignore;
                                                      CORBA_char *_t357_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      _local_c = &_t354_storage;
                                                      _ev = &_t355_storage;
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t356_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t356_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t356_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t356_ignore);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(144);
                                                      flick_xdr_decode_auto_string(_local_a, auto_flick_alloc, suntcp);
                                                      _local_b = &_t357_storage;
                                                      flick_xdr_decode_longstring(*_local_b, CORBA_flick_alloc, suntcp);
                                                      flick_corba_init_environment();
                                                      _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_xdr_encode_longstring(*_local_b, CORBA_flick_free, suntcp);
                                                            flick_xdr_encode_longstring(*_local_c, CORBA_flick_free, suntcp);
                                                            flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(4);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t358_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t358_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t358_switch_tag)
            {
            case 'B':
              {
                char _t359_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t359_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t359_switch_tag)
                  {
                  case 'o':
                    {
                      char _t360_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t360_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t360_switch_tag)
                        {
                        case 'o':
                          {
                            char _t361_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t361_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t361_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t362_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t362_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t362_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t363_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t363_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t363_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t364_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t364_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t364_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t365_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t365_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t365_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            CORBA_boolean _local_a;
                                                            CORBA_boolean *_local_b;
                                                            CORBA_boolean *_local_c;
                                                            CORBA_Environment *_ev;
                                                            CORBA_boolean _return = 0;
                                                            CORBA_boolean _t366_storage;
                                                            CORBA_Environment _t367_storage;
                                                            unsigned int _t368_ignore;
                                                            CORBA_boolean _t369_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            _local_c = &_t366_storage;
                                                            _ev = &_t367_storage;
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t368_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t368_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t368_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t368_ignore);
                                                            flick_xdr_decode_unsigned8(16, _local_a);
                                                            _local_b = &_t369_storage;
                                                            flick_xdr_decode_unsigned8(20, *_local_b);
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(144);
                                                            flick_corba_init_environment();
                                                            _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(16);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(12);
                                                                  flick_xdr_encode_unsigned8(0, *_local_b);
                                                                  flick_xdr_encode_unsigned8(4, *_local_c);
                                                                  flick_xdr_encode_unsigned8(8, _return);
                                                                  flick_suntcp_encode_end_chunk(12);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(16);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t370_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t370_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t370_switch_tag)
            {
            case 'F':
              {
                char _t371_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t371_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t371_switch_tag)
                  {
                  case 'i':
                    {
                      char _t372_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t372_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t372_switch_tag)
                        {
                        case 'x':
                          {
                            char _t373_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t373_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t373_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t374_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t374_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t374_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t375_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t375_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t375_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t376_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t376_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t376_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t377_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t377_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t377_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t378_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t378_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t378_switch_tag)
                                                            {
                                                            case 'u':
                                                              {
                                                                char _t379_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t379_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t379_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t380_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t380_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t380_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t381_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t381_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t381_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    struct FStruct *_local_a;
                                                                                    struct FStruct *_local_b;
                                                                                    struct FStruct *_local_c;
                                                                                    CORBA_Environment *_ev;
                                                                                    struct FStruct _return;
                                                                                    struct FStruct _t382_storage;
                                                                                    CORBA_Environment _t383_storage;
                                                                                    unsigned int _t384_ignore;
                                                                                    struct FStruct _t385_storage;
                                                                                    struct FStruct _t386_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    _local_c = &_t382_storage;
                                                                                    _ev = &_t383_storage;
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(24);
                                                                                    flick_xdr_decode_unsigned32(0, _t384_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t384_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t384_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t384_ignore);
                                                                                    _local_a = &_t385_storage;
                                                                                    flick_xdr_decode_signed16(16, _local_a->a);
                                                                                    _local_b = &_t386_storage;
                                                                                    flick_xdr_decode_signed16(20, _local_b->a);
                                                                                    flick_suntcp_decode_end_chunk(24);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(16);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(12);
                                                                                          flick_xdr_encode_signed16(0, _local_b->a);
                                                                                          flick_xdr_encode_signed16(4, _local_c->a);
                                                                                          flick_xdr_encode_signed16(8, _return.a);
                                                                                          flick_suntcp_encode_end_chunk(12);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(16);
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'B':
              {
                char _t387_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t387_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t387_switch_tag)
                  {
                  case 'o':
                    {
                      char _t388_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t388_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t388_switch_tag)
                        {
                        case 'u':
                          {
                            char _t389_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t389_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t389_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t390_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t390_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t390_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t391_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t391_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t391_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t392_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t392_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t392_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t393_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t393_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t393_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t394_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t394_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t394_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t395_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t395_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t395_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t396_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t396_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t396_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t397_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t397_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t397_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    CORBA_char *_local_a;
                                                                                    CORBA_char **_local_b;
                                                                                    CORBA_char **_local_c;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_char *_return = 0;
                                                                                    CORBA_char *_t398_storage;
                                                                                    CORBA_Environment _t399_storage;
                                                                                    unsigned int _t400_ignore;
                                                                                    CORBA_char *_t401_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    _local_c = &_t398_storage;
                                                                                    _ev = &_t399_storage;
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                    flick_xdr_decode_unsigned32(0, _t400_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t400_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t400_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t400_ignore);
                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    flick_xdr_decode_auto_string(_local_a, auto_flick_alloc, suntcp);
                                                                                    _local_b = &_t401_storage;
                                                                                    flick_xdr_decode_string(*_local_b, CORBA_flick_alloc, suntcp, 20);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          flick_xdr_encode_string(*_local_b, CORBA_flick_free, suntcp, 20);
                                                                                          flick_xdr_encode_string(*_local_c, CORBA_flick_free, suntcp, 20);
                                                                                          flick_xdr_encode_string(_return, CORBA_flick_free, suntcp, 20);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t402_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t402_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t402_switch_tag)
            {
            case 'V':
              {
                char _t403_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t403_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t403_switch_tag)
                  {
                  case 'a':
                    {
                      char _t404_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t404_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t404_switch_tag)
                        {
                        case 'r':
                          {
                            char _t405_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t405_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t405_switch_tag)
                              {
                              case 'S':
                                {
                                  char _t406_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t406_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t406_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t407_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t407_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t407_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t408_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t408_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t408_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t409_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t409_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t409_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t410_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t410_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t410_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t411_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t411_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t411_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test _obj;
                                                                        struct VStruct *_local_a;
                                                                        struct VStruct *_local_b;
                                                                        struct VStruct **_local_c;
                                                                        CORBA_Environment *_ev;
                                                                        struct VStruct *_return = 0;
                                                                        struct VStruct *_t412_storage;
                                                                        CORBA_Environment _t413_storage;
                                                                        unsigned int _t414_ignore;
                                                                        struct VStruct _t415_storage;
                                                                        struct VStruct _t416_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _local_c = &_t412_storage;
                                                                        _ev = &_t413_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t414_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t414_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t414_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t414_ignore);
                                                                        _local_a = &_t415_storage;
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        flick_xdr_decode_auto_string(_local_a->a, auto_flick_alloc, suntcp);
                                                                        _local_b = &_t416_storage;
                                                                        flick_xdr_decode_longstring(_local_b->a, CORBA_flick_alloc, suntcp);
                                                                        flick_corba_init_environment();
                                                                        _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(4);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              flick_xdr_encode_longstring(_local_b->a, CORBA_flick_free, suntcp);
                                                                              flick_xdr_encode_longstring((*_local_c)->a, CORBA_flick_free, suntcp);
                                                                              CORBA_flick_free(*_local_c);
                                                                              flick_xdr_encode_longstring(_return->a, CORBA_flick_free, suntcp);
                                                                              CORBA_flick_free(_return);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(4);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t417_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t417_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t417_switch_tag)
            {
            case 'F':
              {
                char _t418_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t418_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t418_switch_tag)
                  {
                  case 'i':
                    {
                      char _t419_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t419_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t419_switch_tag)
                        {
                        case 'x':
                          {
                            char _t420_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t420_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t420_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t421_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t421_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t421_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t422_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t422_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t422_switch_tag)
                                          {
                                          case 'U':
                                            {
                                              char _t423_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t423_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t423_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t424_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t424_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t424_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t425_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t425_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t425_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t426_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t426_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t426_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t427_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t427_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t427_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              struct FUnion *_local_a;
                                                                              struct FUnion *_local_b;
                                                                              struct FUnion *_local_c;
                                                                              CORBA_Environment *_ev;
                                                                              struct FUnion _return;
                                                                              struct FUnion _t428_storage;
                                                                              CORBA_Environment _t429_storage;
                                                                              unsigned int _t430_ignore;
                                                                              struct FUnion _t431_storage;
                                                                              struct FUnion _t432_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _local_c = &_t428_storage;
                                                                              _ev = &_t429_storage;
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t430_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t430_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t430_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t430_ignore);
                                                                              _local_a = &_t431_storage;
                                                                              flick_xdr_decode_signed32(16, _local_a->_d);
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              switch (_local_a->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_signed32(0, _local_a->_u.x);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _local_a->_u.z);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              _local_b = &_t432_storage;
                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_signed32(0, _local_b->_d);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch (_local_b->_d)
                                                                                {
                                                                                case 1:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_signed32(0, _local_b->_u.x);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _local_b->_u.z);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              flick_suntcp_decode_end_glob(144);
                                                                              flick_corba_init_environment();
                                                                              _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(28);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _local_b->_d);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_local_b->_d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _local_b->_u.x);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_char8(0, _local_b->_u.z);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _local_c->_d);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_local_c->_d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _local_c->_u.x);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_char8(0, _local_c->_u.z);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _return._d);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_return._d)
                                                                                      {
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _return._u.x);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_char8(0, _return._u.z);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(28);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t433_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t433_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t433_switch_tag)
            {
            case 'V':
              {
                char _t434_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t434_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t434_switch_tag)
                  {
                  case 'a':
                    {
                      char _t435_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t435_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t435_switch_tag)
                        {
                        case 'r':
                          {
                            char _t436_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t436_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t436_switch_tag)
                              {
                              case 'U':
                                {
                                  char _t437_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t437_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t437_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t438_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t438_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t438_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t439_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t439_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t439_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t440_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t440_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t440_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t441_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t441_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t441_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  struct VUnion *_local_a;
                                                                  struct VUnion *_local_b;
                                                                  struct VUnion **_local_c;
                                                                  CORBA_Environment *_ev;
                                                                  struct VUnion *_return = 0;
                                                                  struct VUnion *_t442_storage;
                                                                  CORBA_Environment _t443_storage;
                                                                  unsigned int _t444_ignore;
                                                                  struct VUnion _t445_storage;
                                                                  struct VUnion _t446_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _local_c = &_t442_storage;
                                                                  _ev = &_t443_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t444_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t444_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t444_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t444_ignore);
                                                                  _local_a = &_t445_storage;
                                                                  flick_xdr_decode_signed32(16, _local_a->_d);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  switch (_local_a->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        flick_xdr_decode_auto_string(_local_a->_u.a, auto_flick_alloc, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_a->_u.z);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        break;
                                                                      }
                                                                    }
                                                                  _local_b = &_t446_storage;
                                                                  flick_suntcp_decode_new_glob(8);
                                                                  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                                  flick_xdr_decode_signed32(0, _local_b->_d);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch (_local_b->_d)
                                                                    {
                                                                    case 1:
                                                                      {
                                                                        flick_suntcp_decode_end_glob(8);
                                                                        flick_xdr_decode_longstring(_local_b->_u.a, CORBA_flick_alloc, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_b->_u.z);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    }
                                                                  flick_corba_init_environment();
                                                                  _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(12);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _local_b->_d);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_local_b->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(12);
                                                                              flick_xdr_encode_longstring(_local_b->_u.a, CORBA_flick_free, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _local_b->_u.z);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(12);
                                                                              break;
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_xdr_encode_signed32(0, (*_local_c)->_d);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch ((*_local_c)->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              flick_xdr_encode_longstring((*_local_c)->_u.a, CORBA_flick_free, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, (*_local_c)->_u.z);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              break;
                                                                            }
                                                                          }
                                                                        CORBA_flick_free(*_local_c);
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                        flick_xdr_encode_signed32(0, _return->_d);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_return->_d)
                                                                          {
                                                                          case 1:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              flick_xdr_encode_longstring(_return->_u.a, CORBA_flick_free, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _return->_u.z);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              break;
                                                                            }
                                                                          }
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(12);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(12);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            case 'S':
              {
                char _t447_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t447_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t447_switch_tag)
                  {
                  case 'e':
                    {
                      char _t448_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t448_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t448_switch_tag)
                        {
                        case 'q':
                          {
                            char _t449_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t449_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t449_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t450_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t450_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t450_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t451_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t451_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t451_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t452_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t452_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t452_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t453_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t453_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t453_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t454_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t454_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t454_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  test _obj;
                                                                  test_seq *_local_a;
                                                                  test_seq *_local_b;
                                                                  test_seq **_local_c;
                                                                  CORBA_Environment *_ev;
                                                                  test_seq *_return = 0;
                                                                  test_seq *_t455_storage;
                                                                  CORBA_Environment _t456_storage;
                                                                  unsigned int _t457_ignore;
                                                                  test_seq _t458_storage;
                                                                  unsigned long int _t460_array_iter;
                                                                  test_seq _t461_storage;
                                                                  unsigned long int _t463_array_iter;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _local_c = &_t455_storage;
                                                                  _ev = &_t456_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t457_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t457_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t457_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t457_ignore);
                                                                  _local_a = &_t458_storage;
                                                                  flick_xdr_decode_unsigned32(16, _local_a->_length);
                                                                  _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t460_array_iter = 0; _t460_array_iter < _local_a->_length; _t460_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_a->_buffer[_t460_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_a->_buffer, sizeof(long) * _local_a->_length, suntcp);
#endif /* ENDIANness */
                                                                  _local_b = &_t461_storage;
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_unsigned32(0, _local_b->_length);
                                                                  _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                                                                  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t463_array_iter = 0; _t463_array_iter < _local_b->_length; _t463_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_b->_buffer[_t463_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_xdr_decode_bcopy(_local_b->_buffer, sizeof(long) * _local_b->_length, suntcp);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_end_glob(144);
                                                                  flick_corba_init_environment();
                                                                  _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(136);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t471_array_iter;
                                                                        unsigned long int _t473_array_iter;
                                                                        unsigned long int _t475_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _local_b->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t471_array_iter = 0; _t471_array_iter < _local_b->_length; _t471_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_b->_buffer[_t471_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_local_b->_buffer, sizeof(long) * _local_b->_length, suntcp);
#endif /* ENDIANness */
                                                                        CORBA_flick_free(_local_b->_buffer);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, (*_local_c)->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t473_array_iter = 0; _t473_array_iter < (*_local_c)->_length; _t473_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, (*_local_c)->_buffer[_t473_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy((*_local_c)->_buffer, sizeof(long) * (*_local_c)->_length, suntcp);
#endif /* ENDIANness */
                                                                        CORBA_flick_free((*_local_c)->_buffer);
                                                                        CORBA_flick_free(*_local_c);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _return->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t475_array_iter = 0; _t475_array_iter < _return->_length; _t475_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return->_buffer[_t475_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_xdr_encode_bcopy(_return->_buffer, sizeof(long) * _return->_length, suntcp);
#endif /* ENDIANness */
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(136);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(144);
          break;
        }
      }
  }
  return 0;
}
