#include "primtypes-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_ex2;
	s.vers_num = _VERS_ex2;

	assert(flick_server_register(s, &ex2_server));


	s.prog_num = _PROG_ex1;
	s.vers_num = _VERS_ex1;

	assert(flick_server_register(s, &ex1_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t47_switch_tag;

    flick_suntcp_decode_new_glob(112);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t47_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t47_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t48_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t48_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t48_switch_tag)
            {
            case 'm':
              {
                char _t49_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t49_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t49_switch_tag)
                  {
                  case '1':
                    {
                      char _t50_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t50_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t50_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t51_storage;
                              unsigned int _t52_ignore;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _ev = &_t51_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t52_ignore);
                              flick_xdr_decode_unsigned32(4, _t52_ignore);
                              flick_xdr_decode_unsigned32(8, _t52_ignore);
                              flick_xdr_decode_unsigned32(12, _t52_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(112);
                              flick_corba_init_environment();
                              _return = ex1_m1(_obj, _local_a, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(8);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_suntcp_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(8);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t53_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t53_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t53_switch_tag)
            {
            case 'm':
              {
                char _t54_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t54_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t54_switch_tag)
                  {
                  case 't':
                    {
                      char _t55_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t55_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t55_switch_tag)
                        {
                        case 'y':
                          {
                            char _t56_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t56_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t56_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t57_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t57_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t57_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t58_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t58_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t58_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t59_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t59_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t59_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex1 _obj;
                                                      CORBA_long _local_a1;
                                                      CORBA_long *_local_a2;
                                                      CORBA_long *_local_a3;
                                                      CORBA_unsigned_long _local_b1;
                                                      CORBA_unsigned_long *_local_b2;
                                                      CORBA_unsigned_long *_local_b3;
                                                      CORBA_short _local_c1;
                                                      CORBA_short *_local_c2;
                                                      CORBA_short *_local_c3;
                                                      CORBA_unsigned_short _local_d1;
                                                      CORBA_unsigned_short *_local_d2;
                                                      CORBA_unsigned_short *_local_d3;
                                                      CORBA_float _local_e1;
                                                      CORBA_float *_local_e2;
                                                      CORBA_float *_local_e3;
                                                      CORBA_double _local_f1;
                                                      CORBA_double *_local_f2;
                                                      CORBA_double *_local_f3;
                                                      CORBA_char _local_g1;
                                                      CORBA_char *_local_g2;
                                                      CORBA_char *_local_g3;
                                                      CORBA_Environment *_ev;
                                                      ex1 _return;
                                                      CORBA_long _t60_storage;
                                                      CORBA_unsigned_long _t61_storage;
                                                      CORBA_short _t62_storage;
                                                      CORBA_unsigned_short _t63_storage;
                                                      CORBA_float _t64_storage;
                                                      CORBA_double _t65_storage;
                                                      CORBA_char _t66_storage;
                                                      CORBA_Environment _t67_storage;
                                                      unsigned int _t68_ignore;
                                                      CORBA_long _t69_storage;
                                                      CORBA_unsigned_long _t70_storage;
                                                      CORBA_short _t71_storage;
                                                      CORBA_unsigned_short _t72_storage;
                                                      CORBA_float _t73_storage;
                                                      CORBA_double _t74_storage;
                                                      CORBA_char _t75_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      _local_a3 = &_t60_storage;
                                                      _local_b3 = &_t61_storage;
                                                      _local_c3 = &_t62_storage;
                                                      _local_d3 = &_t63_storage;
                                                      _local_e3 = &_t64_storage;
                                                      _local_f3 = &_t65_storage;
                                                      _local_g3 = &_t66_storage;
                                                      _ev = &_t67_storage;
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(80);
                                                      flick_xdr_decode_unsigned32(0, _t68_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t68_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t68_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t68_ignore);
                                                      flick_xdr_decode_signed32(16, _local_a1);
                                                      _local_a2 = &_t69_storage;
                                                      flick_xdr_decode_signed32(20, *_local_a2);
                                                      flick_xdr_decode_unsigned32(24, _local_b1);
                                                      _local_b2 = &_t70_storage;
                                                      flick_xdr_decode_unsigned32(28, *_local_b2);
                                                      flick_xdr_decode_signed16(32, _local_c1);
                                                      _local_c2 = &_t71_storage;
                                                      flick_xdr_decode_signed16(36, *_local_c2);
                                                      flick_xdr_decode_unsigned16(40, _local_d1);
                                                      _local_d2 = &_t72_storage;
                                                      flick_xdr_decode_unsigned16(44, *_local_d2);
                                                      flick_xdr_decode_float32(48, _local_e1);
                                                      _local_e2 = &_t73_storage;
                                                      flick_xdr_decode_float32(52, *_local_e2);
                                                      flick_xdr_decode_float64(56, _local_f1);
                                                      _local_f2 = &_t74_storage;
                                                      flick_xdr_decode_float64(64, *_local_f2);
                                                      flick_xdr_decode_char8(72, _local_g1);
                                                      _local_g2 = &_t75_storage;
                                                      flick_xdr_decode_char8(76, *_local_g2);
                                                      flick_suntcp_decode_end_chunk(80);
                                                      flick_suntcp_decode_end_glob(112);
                                                      flick_corba_init_environment();
                                                      _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(72);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(68);
                                                            flick_xdr_encode_signed32(0, *_local_a2);
                                                            flick_xdr_encode_signed32(4, *_local_a3);
                                                            flick_xdr_encode_unsigned32(8, *_local_b2);
                                                            flick_xdr_encode_unsigned32(12, *_local_b3);
                                                            flick_xdr_encode_signed16(16, *_local_c2);
                                                            flick_xdr_encode_signed16(20, *_local_c3);
                                                            flick_xdr_encode_unsigned16(24, *_local_d2);
                                                            flick_xdr_encode_unsigned16(28, *_local_d3);
                                                            flick_xdr_encode_float32(32, *_local_e2);
                                                            flick_xdr_encode_float32(36, *_local_e3);
                                                            flick_xdr_encode_float64(40, *_local_f2);
                                                            flick_xdr_encode_float64(48, *_local_f3);
                                                            flick_xdr_encode_char8(56, *_local_g2);
                                                            flick_xdr_encode_char8(60, *_local_g3);
                                                            flick_xdr_encode_port32(64, _return, 1);
                                                            flick_suntcp_mark_port_for_cleanup(_return, 1);
                                                            flick_suntcp_encode_end_chunk(68);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(72);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t76_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t76_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t76_switch_tag)
            {
            case '_':
              {
                char _t77_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t77_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t77_switch_tag)
                  {
                  case '_':
                    {
                      char _t78_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t78_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t78_switch_tag)
                        {
                        case 'g':
                          {
                            char _t79_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t79_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t79_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t80_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t80_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t80_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t81_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t81_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t81_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t82_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t82_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t82_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t83_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t83_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t83_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t84_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t84_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t84_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex1 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t85_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t85_storage;
                                                                  flick_suntcp_decode_end_glob(112);
                                                                  flick_corba_init_environment();
                                                                  _return = ex1__get_l1(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t86_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t86_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t86_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t87_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t87_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t87_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t88_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t88_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t88_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t89_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t89_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t89_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t90_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t90_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t90_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t91_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t91_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t91_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex1 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t92_storage;
                                                                  unsigned int _t93_ignore;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t92_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t93_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t93_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t93_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t93_ignore);
                                                                  flick_xdr_decode_signed32(16, _local_l1);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(112);
                                                                  flick_corba_init_environment();
                                                                  ex1__set_l1(_obj, _local_l1, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(112);
          break;
        }
      }
  }
  return 0;
}
void flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t149_switch_tag;

    flick_suntcp_decode_new_glob(112);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t149_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t149_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t150_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t150_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t150_switch_tag)
            {
            case 'm':
              {
                char _t151_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t151_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t151_switch_tag)
                  {
                  case '2':
                    {
                      char _t152_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t152_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t152_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_long *_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_long _t153_storage;
                              CORBA_Environment _t154_storage;
                              unsigned int _t155_ignore;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _local_b = &_t153_storage;
                              _ev = &_t154_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t155_ignore);
                              flick_xdr_decode_unsigned32(4, _t155_ignore);
                              flick_xdr_decode_unsigned32(8, _t155_ignore);
                              flick_xdr_decode_unsigned32(12, _t155_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(112);
                              flick_corba_init_environment();
                              _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(12);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(8);
                                    flick_xdr_encode_signed32(0, *_local_b);
                                    flick_xdr_encode_signed32(4, _return);
                                    flick_suntcp_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(12);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  case 'v':
                    {
                      char _t156_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t156_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t156_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t157_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _ev = &_t157_storage;
                              flick_suntcp_decode_end_glob(112);
                              flick_corba_init_environment();
                              ex2_mv(_obj, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(4);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(4);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  case '1':
                    {
                      char _t158_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t158_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t158_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              CORBA_Environment _t159_storage;
                              unsigned int _t160_ignore;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              _ev = &_t159_storage;
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t160_ignore);
                              flick_xdr_decode_unsigned32(4, _t160_ignore);
                              flick_xdr_decode_unsigned32(8, _t160_ignore);
                              flick_xdr_decode_unsigned32(12, _t160_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(112);
                              flick_corba_init_environment();
                              _return = ex2_m1(_obj, _local_a, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(8);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_suntcp_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(8);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t161_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t161_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t161_switch_tag)
            {
            case '_':
              {
                char _t162_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t162_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t162_switch_tag)
                  {
                  case '_':
                    {
                      char _t163_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t163_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t163_switch_tag)
                        {
                        case 'g':
                          {
                            char _t164_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t164_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t164_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t165_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t165_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t165_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t166_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t166_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t166_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t167_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t167_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t167_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t168_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t168_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t168_switch_tag)
                                                      {
                                                      case '2':
                                                        {
                                                          char _t169_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t169_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t169_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t170_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t170_storage;
                                                                  flick_suntcp_decode_end_glob(112);
                                                                  flick_corba_init_environment();
                                                                  _return = ex2__get_l2(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      case '1':
                                                        {
                                                          char _t171_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t171_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t171_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex2 _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  CORBA_Environment _t172_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t172_storage;
                                                                  flick_suntcp_decode_end_glob(112);
                                                                  flick_corba_init_environment();
                                                                  _return = ex2__get_l1(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        case 's':
                          {
                            char _t173_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t173_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t173_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t174_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t174_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t174_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t175_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t175_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t175_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t176_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t176_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t176_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t177_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t177_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t177_switch_tag)
                                                      {
                                                      case '1':
                                                        {
                                                          char _t178_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t178_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t178_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  ex2 _obj;
                                                                  CORBA_long _local_l1;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t179_storage;
                                                                  unsigned int _t180_ignore;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  _ev = &_t179_storage;
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t180_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t180_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t180_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t180_ignore);
                                                                  flick_xdr_decode_signed32(16, _local_l1);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(112);
                                                                  flick_corba_init_environment();
                                                                  ex2__set_l1(_obj, _local_l1, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t181_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t181_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t181_switch_tag)
            {
            case 'm':
              {
                char _t182_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t182_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t182_switch_tag)
                  {
                  case 't':
                    {
                      char _t183_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t183_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t183_switch_tag)
                        {
                        case 'y':
                          {
                            char _t184_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t184_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t184_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t185_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t185_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t185_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t186_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t186_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t186_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t187_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t187_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t187_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex2 _obj;
                                                      CORBA_long _local_a1;
                                                      CORBA_long *_local_a2;
                                                      CORBA_long *_local_a3;
                                                      CORBA_unsigned_long _local_b1;
                                                      CORBA_unsigned_long *_local_b2;
                                                      CORBA_unsigned_long *_local_b3;
                                                      CORBA_short _local_c1;
                                                      CORBA_short *_local_c2;
                                                      CORBA_short *_local_c3;
                                                      CORBA_unsigned_short _local_d1;
                                                      CORBA_unsigned_short *_local_d2;
                                                      CORBA_unsigned_short *_local_d3;
                                                      CORBA_float _local_e1;
                                                      CORBA_float *_local_e2;
                                                      CORBA_float *_local_e3;
                                                      CORBA_double _local_f1;
                                                      CORBA_double *_local_f2;
                                                      CORBA_double *_local_f3;
                                                      CORBA_char _local_g1;
                                                      CORBA_char *_local_g2;
                                                      CORBA_char *_local_g3;
                                                      CORBA_Environment *_ev;
                                                      ex1 _return;
                                                      CORBA_long _t188_storage;
                                                      CORBA_unsigned_long _t189_storage;
                                                      CORBA_short _t190_storage;
                                                      CORBA_unsigned_short _t191_storage;
                                                      CORBA_float _t192_storage;
                                                      CORBA_double _t193_storage;
                                                      CORBA_char _t194_storage;
                                                      CORBA_Environment _t195_storage;
                                                      unsigned int _t196_ignore;
                                                      CORBA_long _t197_storage;
                                                      CORBA_unsigned_long _t198_storage;
                                                      CORBA_short _t199_storage;
                                                      CORBA_unsigned_short _t200_storage;
                                                      CORBA_float _t201_storage;
                                                      CORBA_double _t202_storage;
                                                      CORBA_char _t203_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      _local_a3 = &_t188_storage;
                                                      _local_b3 = &_t189_storage;
                                                      _local_c3 = &_t190_storage;
                                                      _local_d3 = &_t191_storage;
                                                      _local_e3 = &_t192_storage;
                                                      _local_f3 = &_t193_storage;
                                                      _local_g3 = &_t194_storage;
                                                      _ev = &_t195_storage;
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(80);
                                                      flick_xdr_decode_unsigned32(0, _t196_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t196_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t196_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t196_ignore);
                                                      flick_xdr_decode_signed32(16, _local_a1);
                                                      _local_a2 = &_t197_storage;
                                                      flick_xdr_decode_signed32(20, *_local_a2);
                                                      flick_xdr_decode_unsigned32(24, _local_b1);
                                                      _local_b2 = &_t198_storage;
                                                      flick_xdr_decode_unsigned32(28, *_local_b2);
                                                      flick_xdr_decode_signed16(32, _local_c1);
                                                      _local_c2 = &_t199_storage;
                                                      flick_xdr_decode_signed16(36, *_local_c2);
                                                      flick_xdr_decode_unsigned16(40, _local_d1);
                                                      _local_d2 = &_t200_storage;
                                                      flick_xdr_decode_unsigned16(44, *_local_d2);
                                                      flick_xdr_decode_float32(48, _local_e1);
                                                      _local_e2 = &_t201_storage;
                                                      flick_xdr_decode_float32(52, *_local_e2);
                                                      flick_xdr_decode_float64(56, _local_f1);
                                                      _local_f2 = &_t202_storage;
                                                      flick_xdr_decode_float64(64, *_local_f2);
                                                      flick_xdr_decode_char8(72, _local_g1);
                                                      _local_g2 = &_t203_storage;
                                                      flick_xdr_decode_char8(76, *_local_g2);
                                                      flick_suntcp_decode_end_chunk(80);
                                                      flick_suntcp_decode_end_glob(112);
                                                      flick_corba_init_environment();
                                                      _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(72);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(68);
                                                            flick_xdr_encode_signed32(0, *_local_a2);
                                                            flick_xdr_encode_signed32(4, *_local_a3);
                                                            flick_xdr_encode_unsigned32(8, *_local_b2);
                                                            flick_xdr_encode_unsigned32(12, *_local_b3);
                                                            flick_xdr_encode_signed16(16, *_local_c2);
                                                            flick_xdr_encode_signed16(20, *_local_c3);
                                                            flick_xdr_encode_unsigned16(24, *_local_d2);
                                                            flick_xdr_encode_unsigned16(28, *_local_d3);
                                                            flick_xdr_encode_float32(32, *_local_e2);
                                                            flick_xdr_encode_float32(36, *_local_e3);
                                                            flick_xdr_encode_float64(40, *_local_f2);
                                                            flick_xdr_encode_float64(48, *_local_f3);
                                                            flick_xdr_encode_char8(56, *_local_g2);
                                                            flick_xdr_encode_char8(60, *_local_g3);
                                                            flick_xdr_encode_port32(64, _return, 1);
                                                            flick_suntcp_mark_port_for_cleanup(_return, 1);
                                                            flick_suntcp_encode_end_chunk(68);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(72);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(112);
          break;
        }
      }
  }
  return 0;
}
