#include "test1-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_test1;
	s.vers_num = _VERS_test1;

	assert(flick_server_register(s, &test1_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned16(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned16(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->case_num);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->case_num);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  flick_xdr_encode_longstring(_data->name, CORBA_flick_free, suntcp);
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_signed32(0, _data->value);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_xdr_decode_longstring(_data->name, CORBA_flick_alloc, suntcp);
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_signed32(0, _data->value);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1(flick_marshal_stream_t _stream, const test1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int test1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t142_switch_tag;

    flick_suntcp_decode_new_glob(84);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t142_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t142_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t143_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t143_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t143_switch_tag)
            {
            case 't':
              {
                char _t144_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t144_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t144_switch_tag)
                  {
                  case 'e':
                    {
                      char _t145_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t145_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t145_switch_tag)
                        {
                        case 's':
                          {
                            char _t146_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t146_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t146_switch_tag)
                              {
                              case 't':
                                {
                                  char _t147_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t147_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t147_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t148_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t148_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t148_switch_tag)
                                          {
                                          case 'v':
                                            {
                                              char _t149_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t149_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t149_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t150_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t150_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t150_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t151_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t151_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t151_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t152_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t152_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t152_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t153_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _ev = &_t153_storage;
                                                                        flick_suntcp_decode_end_glob(84);
                                                                        flick_corba_init_environment();
                                                                        test1_test_void(_obj, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(4);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(4);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'l':
                                            {
                                              char _t154_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t154_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t154_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t155_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t155_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t155_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t156_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t156_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t156_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t157_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t157_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t157_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_long _local_a1;
                                                                        CORBA_long *_local_a2;
                                                                        CORBA_long *_local_a3;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        CORBA_long _t158_storage;
                                                                        CORBA_Environment _t159_storage;
                                                                        unsigned int _t160_ignore;
                                                                        CORBA_long _t161_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _local_a2 = &_t158_storage;
                                                                        _ev = &_t159_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t160_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t160_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t160_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t160_ignore);
                                                                        flick_xdr_decode_signed32(16, _local_a1);
                                                                        _local_a3 = &_t161_storage;
                                                                        flick_xdr_decode_signed32(20, *_local_a3);
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        flick_suntcp_decode_end_glob(84);
                                                                        flick_corba_init_environment();
                                                                        _return = test1_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(16);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_signed32(0, *_local_a2);
                                                                              flick_xdr_encode_signed32(4, *_local_a3);
                                                                              flick_xdr_encode_signed32(8, _return);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(16);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'c':
                                            {
                                              char _t162_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t162_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t162_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t163_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t163_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t163_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t164_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t164_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t164_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t165_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t165_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t165_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_char _local_a1;
                                                                        CORBA_char *_local_a2;
                                                                        CORBA_char *_local_a3;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_char _return = 0;
                                                                        CORBA_char _t166_storage;
                                                                        CORBA_Environment _t167_storage;
                                                                        unsigned int _t168_ignore;
                                                                        CORBA_char _t169_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        _local_a2 = &_t166_storage;
                                                                        _ev = &_t167_storage;
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t168_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t168_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t168_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t168_ignore);
                                                                        flick_xdr_decode_char8(16, _local_a1);
                                                                        _local_a3 = &_t169_storage;
                                                                        flick_xdr_decode_char8(20, *_local_a3);
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        flick_suntcp_decode_end_glob(84);
                                                                        flick_corba_init_environment();
                                                                        _return = test1_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(16);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, *_local_a2);
                                                                              flick_xdr_encode_char8(4, *_local_a3);
                                                                              flick_xdr_encode_char8(8, _return);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(16);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(84);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t170_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t170_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t170_switch_tag)
            {
            case 't':
              {
                char _t171_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t171_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t171_switch_tag)
                  {
                  case 'e':
                    {
                      char _t172_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t172_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t172_switch_tag)
                        {
                        case 's':
                          {
                            char _t173_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t173_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t173_switch_tag)
                              {
                              case 't':
                                {
                                  char _t174_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t174_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t174_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t175_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t175_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t175_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t176_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t176_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t176_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t177_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t177_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t177_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t178_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t178_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t178_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t179_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t179_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t179_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t180_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t180_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t180_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_short _local_a1;
                                                                              CORBA_short *_local_a2;
                                                                              CORBA_short *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_short _return = 0;
                                                                              CORBA_short _t181_storage;
                                                                              CORBA_Environment _t182_storage;
                                                                              unsigned int _t183_ignore;
                                                                              CORBA_short _t184_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _local_a2 = &_t181_storage;
                                                                              _ev = &_t182_storage;
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(24);
                                                                              flick_xdr_decode_unsigned32(0, _t183_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t183_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t183_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t183_ignore);
                                                                              flick_xdr_decode_signed16(16, _local_a1);
                                                                              _local_a3 = &_t184_storage;
                                                                              flick_xdr_decode_signed16(20, *_local_a3);
                                                                              flick_suntcp_decode_end_chunk(24);
                                                                              flick_suntcp_decode_end_glob(84);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(16);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(12);
                                                                                    flick_xdr_encode_signed16(0, *_local_a2);
                                                                                    flick_xdr_encode_signed16(4, *_local_a3);
                                                                                    flick_xdr_encode_signed16(8, _return);
                                                                                    flick_suntcp_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(16);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'u':
                                            {
                                              char _t185_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t185_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t185_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t186_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t186_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t186_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t187_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t187_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t187_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t188_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t188_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t188_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t189_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t189_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t189_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              test1_ulong _local_a1;
                                                                              test1_ulong *_local_a2;
                                                                              test1_ulong *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              test1_ulong _return;
                                                                              test1_ulong _t190_storage;
                                                                              CORBA_Environment _t191_storage;
                                                                              unsigned int _t192_ignore;
                                                                              test1_ulong _t193_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _local_a2 = &_t190_storage;
                                                                              _ev = &_t191_storage;
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(24);
                                                                              flick_xdr_decode_unsigned32(0, _t192_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t192_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t192_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t192_ignore);
                                                                              flick_xdr_decode_unsigned32(16, _local_a1);
                                                                              _local_a3 = &_t193_storage;
                                                                              flick_xdr_decode_unsigned32(20, *_local_a3);
                                                                              flick_suntcp_decode_end_chunk(24);
                                                                              flick_suntcp_decode_end_glob(84);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(16);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(12);
                                                                                    flick_xdr_encode_unsigned32(0, *_local_a2);
                                                                                    flick_xdr_encode_unsigned32(4, *_local_a3);
                                                                                    flick_xdr_encode_unsigned32(8, _return);
                                                                                    flick_suntcp_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(16);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'f':
                                            {
                                              char _t194_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t194_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t194_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t195_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t195_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t195_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t196_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t196_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t196_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t197_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t197_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t197_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t198_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t198_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t198_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_float _local_a1;
                                                                              CORBA_float *_local_a2;
                                                                              CORBA_float *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_float _return = 0.000000;
                                                                              CORBA_float _t199_storage;
                                                                              CORBA_Environment _t200_storage;
                                                                              unsigned int _t201_ignore;
                                                                              CORBA_float _t202_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _local_a2 = &_t199_storage;
                                                                              _ev = &_t200_storage;
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(24);
                                                                              flick_xdr_decode_unsigned32(0, _t201_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t201_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t201_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t201_ignore);
                                                                              flick_xdr_decode_float32(16, _local_a1);
                                                                              _local_a3 = &_t202_storage;
                                                                              flick_xdr_decode_float32(20, *_local_a3);
                                                                              flick_suntcp_decode_end_chunk(24);
                                                                              flick_suntcp_decode_end_glob(84);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(16);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(12);
                                                                                    flick_xdr_encode_float32(0, *_local_a2);
                                                                                    flick_xdr_encode_float32(4, *_local_a3);
                                                                                    flick_xdr_encode_float32(8, _return);
                                                                                    flick_suntcp_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(16);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'o':
                                            {
                                              char _t203_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t203_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t203_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t204_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t204_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t204_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t205_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t205_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t205_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t206_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t206_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t206_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t207_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t207_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t207_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_octet _local_a1;
                                                                              CORBA_octet *_local_a2;
                                                                              CORBA_octet *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_octet _return = 0;
                                                                              CORBA_octet _t208_storage;
                                                                              CORBA_Environment _t209_storage;
                                                                              unsigned int _t210_ignore;
                                                                              CORBA_octet _t211_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _local_a2 = &_t208_storage;
                                                                              _ev = &_t209_storage;
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(24);
                                                                              flick_xdr_decode_unsigned32(0, _t210_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t210_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t210_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t210_ignore);
                                                                              flick_xdr_decode_unsigned8(16, _local_a1);
                                                                              _local_a3 = &_t211_storage;
                                                                              flick_xdr_decode_unsigned8(20, *_local_a3);
                                                                              flick_suntcp_decode_end_chunk(24);
                                                                              flick_suntcp_decode_end_glob(84);
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(16);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(12);
                                                                                    flick_xdr_encode_unsigned8(0, *_local_a2);
                                                                                    flick_xdr_encode_unsigned8(4, *_local_a3);
                                                                                    flick_xdr_encode_unsigned8(8, _return);
                                                                                    flick_suntcp_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(16);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 't':
                                            {
                                              char _t212_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t212_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t212_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t213_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t213_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t213_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t214_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t214_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t214_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t215_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t215_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t215_switch_tag)
                                                                  {
                                                                  case 'w':
                                                                    {
                                                                      char _t216_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t216_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t216_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_long _local_case_num;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t217_storage;
                                                                              unsigned int _t218_ignore;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              _ev = &_t217_storage;
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t218_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t218_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t218_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t218_ignore);
                                                                              flick_xdr_decode_signed32(16, _local_case_num);
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(84);
                                                                              flick_corba_init_environment();
                                                                              test1_test_throw(_obj, _local_case_num, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(12);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_end_glob(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(12);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_unsigned8(0, _ev->_atomic_user_id);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_atomic_user_id)
                                                                                      {
                                                                                      case 0:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, ((test1_x1 *)(_ev->_except))->case_num);
                                                                                          CORBA_flick_free((test1_x1 *)(_ev->_except));
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          flick_suntcp_encode_end_glob(12);
                                                                                          break;
                                                                                        }
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_end_glob(12);
                                                                                          flick_xdr_encode_longstring(((test1_x2 *)(_ev->_except))->name, CORBA_flick_free, suntcp);
                                                                                          flick_suntcp_encode_new_glob(4);
                                                                                          flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                                          flick_xdr_encode_signed32(0, ((test1_x2 *)(_ev->_except))->value);
                                                                                          CORBA_flick_free((test1_x2 *)(_ev->_except));
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(12);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                  }
                                                                                }
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(84);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t219_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t219_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t219_switch_tag)
            {
            case 't':
              {
                char _t220_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t220_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t220_switch_tag)
                  {
                  case 'e':
                    {
                      char _t221_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t221_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t221_switch_tag)
                        {
                        case 's':
                          {
                            char _t222_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t222_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t222_switch_tag)
                              {
                              case 't':
                                {
                                  char _t223_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t223_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t223_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t224_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t224_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t224_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t225_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t225_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t225_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t226_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t226_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t226_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t227_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t227_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t227_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t228_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t228_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t228_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t229_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t229_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t229_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t230_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t230_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t230_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    test1_ushort _local_a1;
                                                                                    test1_ushort *_local_a2;
                                                                                    test1_ushort *_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    test1_ushort _return;
                                                                                    test1_ushort _t231_storage;
                                                                                    CORBA_Environment _t232_storage;
                                                                                    unsigned int _t233_ignore;
                                                                                    test1_ushort _t234_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    _local_a2 = &_t231_storage;
                                                                                    _ev = &_t232_storage;
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(24);
                                                                                    flick_xdr_decode_unsigned32(0, _t233_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t233_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t233_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t233_ignore);
                                                                                    flick_xdr_decode_unsigned16(16, _local_a1);
                                                                                    _local_a3 = &_t234_storage;
                                                                                    flick_xdr_decode_unsigned16(20, *_local_a3);
                                                                                    flick_suntcp_decode_end_chunk(24);
                                                                                    flick_suntcp_decode_end_glob(84);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(16);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(12);
                                                                                          flick_xdr_encode_unsigned16(0, *_local_a2);
                                                                                          flick_xdr_encode_unsigned16(4, *_local_a3);
                                                                                          flick_xdr_encode_unsigned16(8, _return);
                                                                                          flick_suntcp_encode_end_chunk(12);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(16);
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t235_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t235_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t235_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t236_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t236_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t236_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t237_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t237_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t237_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t238_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t238_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t238_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t239_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t239_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t239_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t240_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t240_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t240_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_double _local_a1;
                                                                                    CORBA_double *_local_a2;
                                                                                    CORBA_double *_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_double _return = 0.000000;
                                                                                    CORBA_double _t241_storage;
                                                                                    CORBA_Environment _t242_storage;
                                                                                    unsigned int _t243_ignore;
                                                                                    CORBA_double _t244_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    _local_a2 = &_t241_storage;
                                                                                    _ev = &_t242_storage;
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(32);
                                                                                    flick_xdr_decode_unsigned32(0, _t243_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t243_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t243_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t243_ignore);
                                                                                    flick_xdr_decode_float64(16, _local_a1);
                                                                                    _local_a3 = &_t244_storage;
                                                                                    flick_xdr_decode_float64(24, *_local_a3);
                                                                                    flick_suntcp_decode_end_chunk(32);
                                                                                    flick_suntcp_decode_end_glob(84);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(28);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(24);
                                                                                          flick_xdr_encode_float64(0, *_local_a2);
                                                                                          flick_xdr_encode_float64(8, *_local_a3);
                                                                                          flick_xdr_encode_float64(16, _return);
                                                                                          flick_suntcp_encode_end_chunk(24);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(28);
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t245_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t245_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t245_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t246_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t246_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t246_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t247_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t247_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t247_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t248_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t248_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t248_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t249_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t249_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t249_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t250_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t250_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t250_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_char *_local_a1;
                                                                                    CORBA_char **_local_a2;
                                                                                    CORBA_char **_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_char *_return = 0;
                                                                                    CORBA_char *_t251_storage;
                                                                                    CORBA_Environment _t252_storage;
                                                                                    unsigned int _t253_ignore;
                                                                                    CORBA_char *_t254_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    _local_a2 = &_t251_storage;
                                                                                    _ev = &_t252_storage;
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                    flick_xdr_decode_unsigned32(0, _t253_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t253_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t253_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t253_ignore);
                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                    flick_suntcp_decode_end_glob(84);
                                                                                    flick_xdr_decode_auto_string(_local_a1, auto_flick_alloc, suntcp);
                                                                                    _local_a3 = &_t254_storage;
                                                                                    flick_xdr_decode_longstring(*_local_a3, CORBA_flick_alloc, suntcp);
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          flick_xdr_encode_longstring(*_local_a2, CORBA_flick_free, suntcp);
                                                                                          flick_xdr_encode_longstring(*_local_a3, CORBA_flick_free, suntcp);
                                                                                          flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(84);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            case 'p':
              {
                char _t255_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t255_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t255_switch_tag)
                  {
                  case 'l':
                    {
                      char _t256_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t256_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t256_switch_tag)
                        {
                        case 'e':
                          {
                            char _t257_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t257_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t257_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t258_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t258_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t258_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t259_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t259_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t259_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t260_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t260_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t260_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t261_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t261_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t261_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t262_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t262_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t262_switch_tag)
                                                            {
                                                            case 'x':
                                                              {
                                                                char _t263_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t263_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t263_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t264_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t264_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t264_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t265_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t265_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t265_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Environment _t266_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    _ev = &_t266_storage;
                                                                                    flick_suntcp_decode_end_glob(84);
                                                                                    flick_corba_init_environment();
                                                                                    test1_please_exit(_obj, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(84);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t267_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t267_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t267_switch_tag)
            {
            case 't':
              {
                char _t268_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t268_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t268_switch_tag)
                  {
                  case 'e':
                    {
                      char _t269_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t269_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t269_switch_tag)
                        {
                        case 's':
                          {
                            char _t270_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t270_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t270_switch_tag)
                              {
                              case 't':
                                {
                                  char _t271_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t271_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t271_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t272_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t272_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t272_switch_tag)
                                          {
                                          case 'b':
                                            {
                                              char _t273_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t273_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t273_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t274_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t274_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t274_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t275_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t275_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t275_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t276_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t276_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t276_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t277_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t277_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t277_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t278_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t278_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t278_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t279_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t279_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t279_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          test1 _obj;
                                                                                          CORBA_boolean _local_a1;
                                                                                          CORBA_boolean *_local_a2;
                                                                                          CORBA_boolean *_local_a3;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_boolean _return = 0;
                                                                                          CORBA_boolean _t280_storage;
                                                                                          CORBA_Environment _t281_storage;
                                                                                          unsigned int _t282_ignore;
                                                                                          CORBA_boolean _t283_storage;

                                                                                          {
                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          _local_a2 = &_t280_storage;
                                                                                          _ev = &_t281_storage;
                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                          flick_suntcp_decode_new_chunk(24);
                                                                                          flick_xdr_decode_unsigned32(0, _t282_ignore);
                                                                                          flick_xdr_decode_unsigned32(4, _t282_ignore);
                                                                                          flick_xdr_decode_unsigned32(8, _t282_ignore);
                                                                                          flick_xdr_decode_unsigned32(12, _t282_ignore);
                                                                                          flick_xdr_decode_unsigned8(16, _local_a1);
                                                                                          _local_a3 = &_t283_storage;
                                                                                          flick_xdr_decode_unsigned8(20, *_local_a3);
                                                                                          flick_suntcp_decode_end_chunk(24);
                                                                                          flick_suntcp_decode_end_glob(84);
                                                                                          flick_corba_init_environment();
                                                                                          _return = test1_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                          flick_suntcp_server_start_encode();
                                                                                          {
                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          flick_suntcp_encode_new_glob(16);
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          switch (_ev->_major)
                                                                                            {
                                                                                            case CORBA_NO_EXCEPTION:
                                                                                              {
                                                                                                flick_suntcp_encode_new_chunk(12);
                                                                                                flick_xdr_encode_unsigned8(0, *_local_a2);
                                                                                                flick_xdr_encode_unsigned8(4, *_local_a3);
                                                                                                flick_xdr_encode_unsigned8(8, _return);
                                                                                                flick_suntcp_encode_end_chunk(12);
                                                                                                break;
                                                                                              }
                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                              {
                                                                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                              }
                                                                                            }
                                                                                          flick_suntcp_encode_end_glob(16);
                                                                                          flick_suntcp_server_end_encode();
                                                                                        }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(84);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(84);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(84);
          break;
        }
      }
  }
  return 0;
}
