#include "unionplain_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_un;
	s.vers_num = _VERS_un;

	assert(flick_server_register(s, &un_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed16(0, _data->_u.y);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed16(0, _data->_u.y);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed16(0, _data->_u.y);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 'c':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed16(0, _data->_u.y);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 'c':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, const struct Foo3 *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case -1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed16(0, _data->_u.a);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 50:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.b);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.c);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case -1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed16(0, _data->_u.a);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 50:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.b);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.c);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, const struct Foo4 *_data)
{
  flick_suntcp_encode_new_glob(48);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_end_glob(48);
        flick_xdr_encode_longstring(_data->_u.a, CORBA_flick_free, suntcp);
        break;
      }
    case 2:
      {
        unsigned long int _t3_array_iter;

        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned32(0, _data->_u.b._length);
        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        for (_t3_array_iter = 0; _t3_array_iter < _data->_u.b._length; _t3_array_iter++)
          {
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, _data->_u.b._buffer[_t3_array_iter]);
            flick_suntcp_encode_end_chunk(4);
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_xdr_encode_bcopy(_data->_u.b._buffer, sizeof(long) * _data->_u.b._length, suntcp);
#endif /* ENDIANness */
        CORBA_flick_free(_data->_u.b._buffer);
        flick_suntcp_encode_end_glob(48);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.c);
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(48);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_suntcp_decode_new_glob(48);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_end_glob(48);
        flick_xdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, suntcp);
        break;
      }
    case 2:
      {
        unsigned long int _t7_array_iter;

        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_unsigned32(0, _data->_u.b._length);
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        for (_t7_array_iter = 0; _t7_array_iter < _data->_u.b._length; _t7_array_iter++)
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _data->_u.b._buffer[_t7_array_iter]);
            flick_suntcp_decode_end_chunk(4);
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_xdr_decode_bcopy(_data->_u.b._buffer, sizeof(long) * _data->_u.b._length, suntcp);
#endif /* ENDIANness */
        flick_suntcp_decode_end_glob(48);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.c);
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(48);
        break;
      }
    }
}

void flick_marshal_stub_un(flick_marshal_stream_t _stream, const un *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int un_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t26_switch_tag;

    flick_suntcp_decode_new_glob(84);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t26_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t26_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t27_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t27_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t27_switch_tag)
            {
            case 'o':
              {
                char _t28_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t28_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t28_switch_tag)
                  {
                  case 'n':
                    {
                      char _t29_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t29_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t29_switch_tag)
                        {
                        case 'e':
                          {
                            char _t30_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t30_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t30_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    un _obj;
                                    struct Foo2 *_local_a;
                                    CORBA_Environment *_ev;
                                    struct Foo _return;
                                    CORBA_Environment _t31_storage;
                                    unsigned int _t32_ignore;
                                    struct Foo2 _t33_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _ev = &_t31_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t32_ignore);
                                    flick_xdr_decode_unsigned32(4, _t32_ignore);
                                    flick_xdr_decode_unsigned32(8, _t32_ignore);
                                    flick_xdr_decode_unsigned32(12, _t32_ignore);
                                    _local_a = &_t33_storage;
                                    flick_xdr_decode_char8(16, _local_a->_d);
                                    flick_suntcp_decode_end_chunk(20);
                                    switch (_local_a->_d)
                                      {
                                      case 'a':
                                        {
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_signed32(0, _local_a->_u.x);
                                          flick_suntcp_decode_end_chunk(4);
                                          break;
                                        }
                                      case 'b':
                                        {
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_signed16(0, _local_a->_u.y);
                                          flick_suntcp_decode_end_chunk(4);
                                          break;
                                        }
                                      case 'c':
                                        {
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _local_a->_u.z);
                                          flick_suntcp_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_server_error(0, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
                                          break;
                                        }
                                      }
                                    flick_suntcp_decode_end_glob(84);
                                    flick_corba_init_environment();
                                    _return = un_one(_obj, _local_a, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _return._d);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_return._d)
                                            {
                                            case 1:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _return._u.x);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            case 2:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed16(0, _return._u.y);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_char8(0, _return._u.z);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(12);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            case 't':
              {
                char _t34_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t34_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t34_switch_tag)
                  {
                  case 'w':
                    {
                      char _t35_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t35_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t35_switch_tag)
                        {
                        case 'o':
                          {
                            char _t36_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t36_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t36_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    un _obj;
                                    struct Foo4 *_local_a;
                                    CORBA_Environment *_ev;
                                    struct Foo3 _return;
                                    CORBA_Environment _t37_storage;
                                    unsigned int _t38_ignore;
                                    struct Foo4 _t39_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    _ev = &_t37_storage;
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t38_ignore);
                                    flick_xdr_decode_unsigned32(4, _t38_ignore);
                                    flick_xdr_decode_unsigned32(8, _t38_ignore);
                                    flick_xdr_decode_unsigned32(12, _t38_ignore);
                                    _local_a = &_t39_storage;
                                    flick_xdr_decode_signed32(16, _local_a->_d);
                                    flick_suntcp_decode_end_chunk(20);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_suntcp_decode_end_glob(84);
                                          flick_xdr_decode_auto_string(_local_a->_u.a, auto_flick_alloc, suntcp);
                                          break;
                                        }
                                      case 2:
                                        {
                                          unsigned long int _t43_array_iter;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_unsigned32(0, _local_a->_u.b._length);
                                          _local_a->_u.b._buffer = auto_flick_alloc(_local_a->_u.b._length * sizeof(CORBA_long ));
                                          flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                          for (_t43_array_iter = 0; _t43_array_iter < _local_a->_u.b._length; _t43_array_iter++)
                                            {
                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_signed32(0, _local_a->_u.b._buffer[_t43_array_iter]);
                                              flick_suntcp_decode_end_chunk(4);
                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                          flick_xdr_decode_bcopy(_local_a->_u.b._buffer, sizeof(long) * _local_a->_u.b._length, suntcp);
#endif /* ENDIANness */
                                          flick_suntcp_decode_end_glob(84);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_signed32(0, _local_a->_u.c);
                                          flick_suntcp_decode_end_chunk(4);
                                          flick_suntcp_decode_end_glob(84);
                                          break;
                                        }
                                      }
                                    flick_corba_init_environment();
                                    _return = un_two(_obj, _local_a, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed16(0, _return._d);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_return._d)
                                            {
                                            case -1:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed16(0, _return._u.a);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            case 50:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _return._u.b);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_char8(0, _return._u.c);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(12);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(84);
          break;
        }
      }
  }
  return 0;
}
